
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_2', 1: '__ANON_1', 2: '$END', 3: 'RBRACE', 4: '__ANON_0', 5: 'start', 6: '__anon_plus_2', 7: 'new_line_or_comment', 8: '__ANON_3', 9: 'identifier', 10: '__anon_star_0', 11: 'attribute', 12: 'body', 13: 'block', 14: 'FOR', 15: 'STRING_LIT', 16: 'LPAR', 17: 'LBRACE', 18: 'BANG', 19: 'TRUE', 20: '__ANON_11', 21: 'LSQB', 22: 'IN', 23: 'RPAR', 24: 'RSQB', 25: 'DECIMAL', 26: 'COMMA', 27: '__ANON_10', 28: 'NULL', 29: 'FALSE', 30: 'IF', 31: 'MINUS', 32: 'STAR', 33: 'LESSTHAN', 34: '__ANON_4', 35: 'COLON', 36: 'PERCENT', 37: '__ANON_13', 38: '__ANON_5', 39: '__ANON_8', 40: '__ANON_7', 41: 'PLUS', 42: '__ANON_6', 43: 'MORETHAN', 44: 'SLASH', 45: 'EQUAL', 46: '__ANON_14', 47: 'QMARK', 48: '__ANON_9', 49: '__ANON_12', 50: 'DOT', 51: '__anon_star_1', 52: 'function_call', 53: 'for_object_expr', 54: 'for_tuple_expr', 55: 'attr_splat_expr_term', 56: 'operation', 57: 'expression', 58: 'binary_op', 59: '__anon_plus_3', 60: 'expr_term', 61: 'null_lit', 62: 'int_lit', 63: 'float_lit', 64: 'full_splat_expr_term', 65: 'heredoc_template', 66: 'heredoc_template_trim', 67: 'true_lit', 68: 'false_lit', 69: 'conditional', 70: 'unary_op', 71: 'object', 72: 'tuple', 73: 'index_expr_term', 74: 'get_attr_expr_term', 75: 'for_intro', 76: 'object_elem', 77: 'binary_term', 78: 'binary_operator', 79: 'EXP_MARK', 80: 'index', 81: 'get_attr', 82: 'full_splat', 83: 'attr_splat', 84: '__anon_star_4', 85: '__anon_star_5', 86: 'new_line_and_or_comma', 87: 'arguments', 88: '__anon_star_6', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (0, 10), 1: (0, 2), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (0, 8), 5: (0, 1), 6: (0, 3), 7: (0, 4), 8: (0, 5), 9: (0, 6), 10: (0, 7), 11: (0, 9), 12: (0, 11), 13: (0, 12)}, 1: {2: (0, 13)}, 2: {14: (1, {'@': 46}), 15: (1, {'@': 46}), 8: (1, {'@': 46}), 16: (1, {'@': 46}), 17: (1, {'@': 46}), 18: (1, {'@': 46}), 1: (1, {'@': 46}), 19: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 22: (1, {'@': 46}), 4: (1, {'@': 46}), 23: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 0: (1, {'@': 46}), 26: (1, {'@': 46}), 2: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 30: (1, {'@': 46}), 31: (1, {'@': 46}), 3: (1, {'@': 46})}, 3: {23: (1, {'@': 47}), 24: (1, {'@': 47}), 25: (1, {'@': 47}), 0: (0, 15), 21: (1, {'@': 47}), 26: (1, {'@': 47}), 14: (1, {'@': 47}), 2: (1, {'@': 47}), 22: (1, {'@': 47}), 15: (1, {'@': 47}), 8: (1, {'@': 47}), 16: (1, {'@': 47}), 27: (1, {'@': 47}), 28: (1, {'@': 47}), 17: (1, {'@': 47}), 29: (1, {'@': 47}), 18: (1, {'@': 47}), 1: (0, 16), 30: (1, {'@': 47}), 19: (1, {'@': 47}), 31: (1, {'@': 47}), 20: (1, {'@': 47}), 3: (1, {'@': 47}), 4: (0, 14)}, 4: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 10: (0, 7), 9: (0, 6), 11: (0, 9), 12: (0, 17), 8: (0, 5), 13: (0, 12)}, 5: {32: (1, {'@': 48}), 33: (1, {'@': 48}), 34: (1, {'@': 48}), 15: (1, {'@': 48}), 8: (1, {'@': 48}), 35: (1, {'@': 48}), 17: (1, {'@': 48}), 36: (1, {'@': 48}), 1: (1, {'@': 48}), 37: (1, {'@': 48}), 38: (1, {'@': 48}), 20: (1, {'@': 48}), 39: (1, {'@': 48}), 4: (1, {'@': 48}), 23: (1, {'@': 48}), 25: (1, {'@': 48}), 0: (1, {'@': 48}), 40: (1, {'@': 48}), 26: (1, {'@': 48}), 41: (1, {'@': 48}), 27: (1, {'@': 48}), 28: (1, {'@': 48}), 29: (1, {'@': 48}), 42: (1, {'@': 48}), 43: (1, {'@': 48}), 31: (1, {'@': 48}), 3: (1, {'@': 48}), 44: (1, {'@': 48}), 45: (1, {'@': 48}), 16: (1, {'@': 48}), 18: (1, {'@': 48}), 46: (1, {'@': 48}), 19: (1, {'@': 48}), 21: (1, {'@': 48}), 22: (1, {'@': 48}), 24: (1, {'@': 48}), 2: (1, {'@': 48}), 47: (1, {'@': 48}), 48: (1, {'@': 48}), 30: (1, {'@': 48}), 49: (1, {'@': 48}), 50: (1, {'@': 48})}, 6: {17: (0, 18), 45: (0, 19), 51: (0, 20), 15: (0, 21), 9: (0, 22), 8: (0, 5)}, 7: {0: (1, {'@': 49}), 1: (1, {'@': 49}), 2: (1, {'@': 49}), 3: (1, {'@': 49}), 4: (1, {'@': 49}), 13: (0, 23), 9: (0, 6), 11: (0, 24), 8: (0, 5)}, 8: {14: (1, {'@': 50}), 15: (1, {'@': 50}), 8: (1, {'@': 50}), 16: (1, {'@': 50}), 17: (1, {'@': 50}), 18: (1, {'@': 50}), 1: (1, {'@': 50}), 19: (1, {'@': 50}), 20: (1, {'@': 50}), 21: (1, {'@': 50}), 22: (1, {'@': 50}), 4: (1, {'@': 50}), 23: (1, {'@': 50}), 24: (1, {'@': 50}), 25: (1, {'@': 50}), 0: (1, {'@': 50}), 26: (1, {'@': 50}), 2: (1, {'@': 50}), 27: (1, {'@': 50}), 28: (1, {'@': 50}), 29: (1, {'@': 50}), 30: (1, {'@': 50}), 31: (1, {'@': 50}), 3: (1, {'@': 50})}, 9: {0: (1, {'@': 51}), 1: (1, {'@': 51}), 2: (1, {'@': 51}), 8: (1, {'@': 51}), 3: (1, {'@': 51}), 4: (1, {'@': 51})}, 10: {14: (1, {'@': 52}), 15: (1, {'@': 52}), 8: (1, {'@': 52}), 16: (1, {'@': 52}), 17: (1, {'@': 52}), 18: (1, {'@': 52}), 1: (1, {'@': 52}), 19: (1, {'@': 52}), 20: (1, {'@': 52}), 21: (1, {'@': 52}), 22: (1, {'@': 52}), 4: (1, {'@': 52}), 23: (1, {'@': 52}), 24: (1, {'@': 52}), 25: (1, {'@': 52}), 0: (1, {'@': 52}), 26: (1, {'@': 52}), 2: (1, {'@': 52}), 27: (1, {'@': 52}), 28: (1, {'@': 52}), 29: (1, {'@': 52}), 30: (1, {'@': 52}), 31: (1, {'@': 52}), 3: (1, {'@': 52})}, 11: {2: (1, {'@': 53}), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 25)}, 12: {0: (1, {'@': 54}), 1: (1, {'@': 54}), 2: (1, {'@': 54}), 8: (1, {'@': 54}), 3: (1, {'@': 54}), 4: (1, {'@': 54})}, 13: {}, 14: {14: (1, {'@': 55}), 15: (1, {'@': 55}), 8: (1, {'@': 55}), 16: (1, {'@': 55}), 17: (1, {'@': 55}), 18: (1, {'@': 55}), 1: (1, {'@': 55}), 19: (1, {'@': 55}), 20: (1, {'@': 55}), 21: (1, {'@': 55}), 22: (1, {'@': 55}), 4: (1, {'@': 55}), 23: (1, {'@': 55}), 24: (1, {'@': 55}), 25: (1, {'@': 55}), 0: (1, {'@': 55}), 26: (1, {'@': 55}), 2: (1, {'@': 55}), 27: (1, {'@': 55}), 28: (1, {'@': 55}), 29: (1, {'@': 55}), 30: (1, {'@': 55}), 31: (1, {'@': 55}), 3: (1, {'@': 55})}, 15: {14: (1, {'@': 56}), 15: (1, {'@': 56}), 8: (1, {'@': 56}), 16: (1, {'@': 56}), 17: (1, {'@': 56}), 18: (1, {'@': 56}), 1: (1, {'@': 56}), 19: (1, {'@': 56}), 20: (1, {'@': 56}), 21: (1, {'@': 56}), 22: (1, {'@': 56}), 4: (1, {'@': 56}), 23: (1, {'@': 56}), 24: (1, {'@': 56}), 25: (1, {'@': 56}), 0: (1, {'@': 56}), 26: (1, {'@': 56}), 2: (1, {'@': 56}), 27: (1, {'@': 56}), 28: (1, {'@': 56}), 29: (1, {'@': 56}), 30: (1, {'@': 56}), 31: (1, {'@': 56}), 3: (1, {'@': 56})}, 16: {14: (1, {'@': 57}), 15: (1, {'@': 57}), 8: (1, {'@': 57}), 16: (1, {'@': 57}), 17: (1, {'@': 57}), 18: (1, {'@': 57}), 1: (1, {'@': 57}), 19: (1, {'@': 57}), 20: (1, {'@': 57}), 21: (1, {'@': 57}), 22: (1, {'@': 57}), 4: (1, {'@': 57}), 23: (1, {'@': 57}), 24: (1, {'@': 57}), 25: (1, {'@': 57}), 0: (1, {'@': 57}), 26: (1, {'@': 57}), 2: (1, {'@': 57}), 27: (1, {'@': 57}), 28: (1, {'@': 57}), 29: (1, {'@': 57}), 30: (1, {'@': 57}), 31: (1, {'@': 57}), 3: (1, {'@': 57})}, 17: {2: (1, {'@': 58}), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 26)}, 18: {0: (0, 10), 1: (0, 2), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (0, 8), 6: (0, 3), 8: (0, 5), 10: (0, 7), 9: (0, 6), 12: (0, 27), 11: (0, 9), 7: (0, 28), 13: (0, 12)}, 19: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 57: (0, 38), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 20: {9: (0, 65), 17: (0, 66), 8: (0, 5), 15: (0, 67)}, 21: {8: (1, {'@': 59}), 15: (1, {'@': 59}), 17: (1, {'@': 59})}, 22: {8: (1, {'@': 60}), 15: (1, {'@': 60}), 17: (1, {'@': 60})}, 23: {0: (1, {'@': 61}), 1: (1, {'@': 61}), 2: (1, {'@': 61}), 8: (1, {'@': 61}), 3: (1, {'@': 61}), 4: (1, {'@': 61})}, 24: {0: (1, {'@': 62}), 1: (1, {'@': 62}), 2: (1, {'@': 62}), 8: (1, {'@': 62}), 3: (1, {'@': 62}), 4: (1, {'@': 62})}, 25: {2: (1, {'@': 63})}, 26: {2: (1, {'@': 64})}, 27: {3: (0, 68)}, 28: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 10: (0, 7), 9: (0, 6), 11: (0, 9), 12: (0, 69), 8: (0, 5), 13: (0, 12)}, 29: {32: (1, {'@': 65}), 33: (1, {'@': 65}), 34: (1, {'@': 65}), 15: (1, {'@': 65}), 8: (1, {'@': 65}), 35: (1, {'@': 65}), 17: (1, {'@': 65}), 36: (1, {'@': 65}), 1: (1, {'@': 65}), 37: (1, {'@': 65}), 38: (1, {'@': 65}), 20: (1, {'@': 65}), 39: (1, {'@': 65}), 4: (1, {'@': 65}), 23: (1, {'@': 65}), 25: (1, {'@': 65}), 0: (1, {'@': 65}), 40: (1, {'@': 65}), 26: (1, {'@': 65}), 41: (1, {'@': 65}), 27: (1, {'@': 65}), 28: (1, {'@': 65}), 29: (1, {'@': 65}), 42: (1, {'@': 65}), 43: (1, {'@': 65}), 31: (1, {'@': 65}), 3: (1, {'@': 65}), 44: (1, {'@': 65}), 45: (1, {'@': 65}), 16: (1, {'@': 65}), 18: (1, {'@': 65}), 46: (1, {'@': 65}), 19: (1, {'@': 65}), 21: (1, {'@': 65}), 24: (1, {'@': 65}), 2: (1, {'@': 65}), 47: (1, {'@': 65}), 48: (1, {'@': 65}), 30: (1, {'@': 65}), 49: (1, {'@': 65}), 50: (1, {'@': 65})}, 30: {32: (1, {'@': 66}), 33: (1, {'@': 66}), 34: (1, {'@': 66}), 15: (1, {'@': 66}), 8: (1, {'@': 66}), 35: (1, {'@': 66}), 17: (1, {'@': 66}), 36: (1, {'@': 66}), 1: (1, {'@': 66}), 37: (1, {'@': 66}), 38: (1, {'@': 66}), 20: (1, {'@': 66}), 39: (1, {'@': 66}), 4: (1, {'@': 66}), 23: (1, {'@': 66}), 25: (1, {'@': 66}), 0: (1, {'@': 66}), 40: (1, {'@': 66}), 26: (1, {'@': 66}), 41: (1, {'@': 66}), 27: (1, {'@': 66}), 28: (1, {'@': 66}), 29: (1, {'@': 66}), 42: (1, {'@': 66}), 43: (1, {'@': 66}), 31: (1, {'@': 66}), 3: (1, {'@': 66}), 44: (1, {'@': 66}), 45: (1, {'@': 66}), 16: (1, {'@': 66}), 18: (1, {'@': 66}), 46: (1, {'@': 66}), 19: (1, {'@': 66}), 21: (1, {'@': 66}), 24: (1, {'@': 66}), 2: (1, {'@': 66}), 47: (1, {'@': 66}), 48: (1, {'@': 66}), 30: (1, {'@': 66}), 49: (1, {'@': 66}), 50: (1, {'@': 66})}, 31: {14: (0, 70), 52: (0, 29), 53: (0, 30), 7: (0, 71), 21: (0, 31), 17: (0, 32), 75: (0, 72), 16: (0, 33), 54: (0, 34), 57: (0, 73), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 24: (0, 74), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 32: {14: (0, 70), 52: (0, 29), 53: (0, 30), 21: (0, 31), 7: (0, 75), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 76), 55: (0, 35), 3: (0, 77), 9: (0, 78), 6: (0, 3), 56: (0, 37), 76: (0, 79), 75: (0, 80), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 33: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 7: (0, 81), 57: (0, 82), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 34: {32: (1, {'@': 67}), 33: (1, {'@': 67}), 34: (1, {'@': 67}), 15: (1, {'@': 67}), 8: (1, {'@': 67}), 35: (1, {'@': 67}), 17: (1, {'@': 67}), 36: (1, {'@': 67}), 1: (1, {'@': 67}), 37: (1, {'@': 67}), 38: (1, {'@': 67}), 20: (1, {'@': 67}), 39: (1, {'@': 67}), 4: (1, {'@': 67}), 23: (1, {'@': 67}), 25: (1, {'@': 67}), 0: (1, {'@': 67}), 40: (1, {'@': 67}), 26: (1, {'@': 67}), 41: (1, {'@': 67}), 27: (1, {'@': 67}), 28: (1, {'@': 67}), 29: (1, {'@': 67}), 42: (1, {'@': 67}), 43: (1, {'@': 67}), 31: (1, {'@': 67}), 3: (1, {'@': 67}), 44: (1, {'@': 67}), 45: (1, {'@': 67}), 16: (1, {'@': 67}), 18: (1, {'@': 67}), 46: (1, {'@': 67}), 19: (1, {'@': 67}), 21: (1, {'@': 67}), 24: (1, {'@': 67}), 2: (1, {'@': 67}), 47: (1, {'@': 67}), 48: (1, {'@': 67}), 30: (1, {'@': 67}), 49: (1, {'@': 67}), 50: (1, {'@': 67})}, 35: {32: (1, {'@': 68}), 33: (1, {'@': 68}), 34: (1, {'@': 68}), 15: (1, {'@': 68}), 8: (1, {'@': 68}), 35: (1, {'@': 68}), 17: (1, {'@': 68}), 36: (1, {'@': 68}), 1: (1, {'@': 68}), 37: (1, {'@': 68}), 38: (1, {'@': 68}), 20: (1, {'@': 68}), 39: (1, {'@': 68}), 4: (1, {'@': 68}), 23: (1, {'@': 68}), 25: (1, {'@': 68}), 0: (1, {'@': 68}), 40: (1, {'@': 68}), 26: (1, {'@': 68}), 41: (1, {'@': 68}), 27: (1, {'@': 68}), 28: (1, {'@': 68}), 29: (1, {'@': 68}), 42: (1, {'@': 68}), 43: (1, {'@': 68}), 31: (1, {'@': 68}), 3: (1, {'@': 68}), 44: (1, {'@': 68}), 45: (1, {'@': 68}), 16: (1, {'@': 68}), 18: (1, {'@': 68}), 46: (1, {'@': 68}), 19: (1, {'@': 68}), 21: (1, {'@': 68}), 24: (1, {'@': 68}), 2: (1, {'@': 68}), 47: (1, {'@': 68}), 48: (1, {'@': 68}), 30: (1, {'@': 68}), 49: (1, {'@': 68}), 50: (1, {'@': 68})}, 36: {32: (1, {'@': 69}), 33: (1, {'@': 69}), 34: (1, {'@': 69}), 15: (1, {'@': 69}), 8: (1, {'@': 69}), 35: (1, {'@': 69}), 17: (1, {'@': 69}), 36: (1, {'@': 69}), 1: (1, {'@': 69}), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 20: (1, {'@': 69}), 39: (1, {'@': 69}), 4: (1, {'@': 69}), 23: (1, {'@': 69}), 25: (1, {'@': 69}), 0: (1, {'@': 69}), 40: (1, {'@': 69}), 26: (1, {'@': 69}), 41: (1, {'@': 69}), 27: (1, {'@': 69}), 28: (1, {'@': 69}), 29: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 31: (1, {'@': 69}), 3: (1, {'@': 69}), 44: (1, {'@': 69}), 45: (1, {'@': 69}), 16: (0, 83), 18: (1, {'@': 69}), 46: (1, {'@': 69}), 19: (1, {'@': 69}), 21: (1, {'@': 69}), 24: (1, {'@': 69}), 2: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 30: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69})}, 37: {32: (1, {'@': 70}), 33: (1, {'@': 70}), 34: (1, {'@': 70}), 15: (1, {'@': 70}), 8: (1, {'@': 70}), 35: (1, {'@': 70}), 17: (1, {'@': 70}), 36: (1, {'@': 70}), 1: (1, {'@': 70}), 38: (1, {'@': 70}), 20: (1, {'@': 70}), 39: (1, {'@': 70}), 4: (1, {'@': 70}), 23: (1, {'@': 70}), 25: (1, {'@': 70}), 0: (1, {'@': 70}), 40: (1, {'@': 70}), 26: (1, {'@': 70}), 41: (1, {'@': 70}), 27: (1, {'@': 70}), 28: (1, {'@': 70}), 29: (1, {'@': 70}), 42: (1, {'@': 70}), 43: (1, {'@': 70}), 31: (1, {'@': 70}), 3: (1, {'@': 70}), 44: (1, {'@': 70}), 45: (1, {'@': 70}), 16: (1, {'@': 70}), 18: (1, {'@': 70}), 46: (1, {'@': 70}), 19: (1, {'@': 70}), 21: (1, {'@': 70}), 24: (1, {'@': 70}), 2: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 30: (1, {'@': 70}), 49: (1, {'@': 70})}, 38: {0: (0, 10), 1: (0, 2), 2: (1, {'@': 71}), 8: (1, {'@': 71}), 3: (1, {'@': 71}), 4: (0, 8), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 7: (0, 88), 6: (0, 3), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 39: {32: (1, {'@': 72}), 33: (1, {'@': 72}), 34: (1, {'@': 72}), 15: (1, {'@': 72}), 8: (1, {'@': 72}), 35: (1, {'@': 72}), 17: (1, {'@': 72}), 36: (1, {'@': 72}), 1: (1, {'@': 72}), 38: (1, {'@': 72}), 20: (1, {'@': 72}), 39: (1, {'@': 72}), 4: (1, {'@': 72}), 23: (1, {'@': 72}), 25: (1, {'@': 72}), 0: (1, {'@': 72}), 40: (1, {'@': 72}), 26: (1, {'@': 72}), 41: (1, {'@': 72}), 27: (1, {'@': 72}), 28: (1, {'@': 72}), 29: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 31: (1, {'@': 72}), 3: (1, {'@': 72}), 44: (1, {'@': 72}), 45: (1, {'@': 72}), 16: (1, {'@': 72}), 18: (1, {'@': 72}), 46: (1, {'@': 72}), 19: (1, {'@': 72}), 21: (1, {'@': 72}), 24: (1, {'@': 72}), 2: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 30: (1, {'@': 72}), 49: (1, {'@': 72})}, 40: {32: (1, {'@': 73}), 33: (1, {'@': 73}), 34: (1, {'@': 73}), 15: (1, {'@': 73}), 8: (1, {'@': 73}), 35: (1, {'@': 73}), 17: (1, {'@': 73}), 36: (1, {'@': 73}), 1: (1, {'@': 73}), 37: (1, {'@': 73}), 38: (1, {'@': 73}), 20: (1, {'@': 73}), 39: (1, {'@': 73}), 4: (1, {'@': 73}), 23: (1, {'@': 73}), 25: (1, {'@': 73}), 0: (1, {'@': 73}), 40: (1, {'@': 73}), 26: (1, {'@': 73}), 41: (1, {'@': 73}), 27: (1, {'@': 73}), 28: (1, {'@': 73}), 29: (1, {'@': 73}), 42: (1, {'@': 73}), 43: (1, {'@': 73}), 31: (1, {'@': 73}), 3: (1, {'@': 73}), 44: (1, {'@': 73}), 45: (1, {'@': 73}), 16: (1, {'@': 73}), 18: (1, {'@': 73}), 46: (1, {'@': 73}), 19: (1, {'@': 73}), 21: (1, {'@': 73}), 24: (1, {'@': 73}), 2: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 30: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73})}, 41: {32: (1, {'@': 74}), 33: (1, {'@': 74}), 34: (1, {'@': 74}), 15: (1, {'@': 74}), 8: (1, {'@': 74}), 35: (1, {'@': 74}), 17: (1, {'@': 74}), 36: (1, {'@': 74}), 1: (1, {'@': 74}), 37: (1, {'@': 74}), 38: (1, {'@': 74}), 20: (1, {'@': 74}), 39: (1, {'@': 74}), 4: (1, {'@': 74}), 23: (1, {'@': 74}), 25: (0, 102), 0: (1, {'@': 74}), 40: (1, {'@': 74}), 26: (1, {'@': 74}), 41: (1, {'@': 74}), 27: (1, {'@': 74}), 28: (1, {'@': 74}), 29: (1, {'@': 74}), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 31: (1, {'@': 74}), 3: (1, {'@': 74}), 44: (1, {'@': 74}), 45: (1, {'@': 74}), 16: (1, {'@': 74}), 18: (1, {'@': 74}), 46: (1, {'@': 74}), 19: (1, {'@': 74}), 21: (1, {'@': 74}), 24: (1, {'@': 74}), 2: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 30: (1, {'@': 74}), 49: (1, {'@': 74}), 50: (0, 101), 79: (0, 103)}, 42: {32: (1, {'@': 75}), 33: (1, {'@': 75}), 34: (1, {'@': 75}), 15: (1, {'@': 75}), 8: (1, {'@': 75}), 35: (1, {'@': 75}), 17: (1, {'@': 75}), 36: (1, {'@': 75}), 1: (1, {'@': 75}), 38: (1, {'@': 75}), 20: (1, {'@': 75}), 39: (1, {'@': 75}), 4: (1, {'@': 75}), 23: (1, {'@': 75}), 25: (1, {'@': 75}), 0: (1, {'@': 75}), 40: (1, {'@': 75}), 26: (1, {'@': 75}), 41: (1, {'@': 75}), 27: (1, {'@': 75}), 28: (1, {'@': 75}), 29: (1, {'@': 75}), 42: (1, {'@': 75}), 43: (1, {'@': 75}), 31: (1, {'@': 75}), 3: (1, {'@': 75}), 44: (1, {'@': 75}), 45: (1, {'@': 75}), 16: (1, {'@': 75}), 18: (1, {'@': 75}), 46: (1, {'@': 75}), 19: (1, {'@': 75}), 21: (0, 104), 24: (1, {'@': 75}), 2: (1, {'@': 75}), 47: (1, {'@': 75}), 48: (1, {'@': 75}), 30: (1, {'@': 75}), 49: (1, {'@': 75}), 37: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 83: (0, 109), 50: (0, 110)}, 43: {32: (1, {'@': 76}), 33: (1, {'@': 76}), 34: (1, {'@': 76}), 15: (1, {'@': 76}), 8: (1, {'@': 76}), 35: (1, {'@': 76}), 17: (1, {'@': 76}), 36: (1, {'@': 76}), 1: (1, {'@': 76}), 37: (1, {'@': 76}), 38: (1, {'@': 76}), 20: (1, {'@': 76}), 39: (1, {'@': 76}), 4: (1, {'@': 76}), 23: (1, {'@': 76}), 25: (1, {'@': 76}), 0: (1, {'@': 76}), 40: (1, {'@': 76}), 26: (1, {'@': 76}), 41: (1, {'@': 76}), 27: (1, {'@': 76}), 28: (1, {'@': 76}), 29: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (1, {'@': 76}), 31: (1, {'@': 76}), 3: (1, {'@': 76}), 44: (1, {'@': 76}), 45: (1, {'@': 76}), 16: (1, {'@': 76}), 18: (1, {'@': 76}), 46: (1, {'@': 76}), 19: (1, {'@': 76}), 21: (1, {'@': 76}), 24: (1, {'@': 76}), 2: (1, {'@': 76}), 47: (1, {'@': 76}), 48: (1, {'@': 76}), 30: (1, {'@': 76}), 49: (1, {'@': 76}), 50: (1, {'@': 76})}, 44: {32: (1, {'@': 77}), 33: (1, {'@': 77}), 34: (1, {'@': 77}), 15: (1, {'@': 77}), 8: (1, {'@': 77}), 35: (1, {'@': 77}), 17: (1, {'@': 77}), 36: (1, {'@': 77}), 1: (1, {'@': 77}), 37: (1, {'@': 77}), 38: (1, {'@': 77}), 20: (1, {'@': 77}), 39: (1, {'@': 77}), 4: (1, {'@': 77}), 23: (1, {'@': 77}), 25: (1, {'@': 77}), 0: (1, {'@': 77}), 40: (1, {'@': 77}), 26: (1, {'@': 77}), 41: (1, {'@': 77}), 27: (1, {'@': 77}), 28: (1, {'@': 77}), 29: (1, {'@': 77}), 42: (1, {'@': 77}), 43: (1, {'@': 77}), 31: (1, {'@': 77}), 3: (1, {'@': 77}), 44: (1, {'@': 77}), 45: (1, {'@': 77}), 16: (1, {'@': 77}), 18: (1, {'@': 77}), 46: (1, {'@': 77}), 19: (1, {'@': 77}), 21: (1, {'@': 77}), 24: (1, {'@': 77}), 2: (1, {'@': 77}), 47: (1, {'@': 77}), 48: (1, {'@': 77}), 30: (1, {'@': 77}), 49: (1, {'@': 77}), 50: (1, {'@': 77})}, 45: {32: (1, {'@': 78}), 33: (1, {'@': 78}), 34: (1, {'@': 78}), 15: (1, {'@': 78}), 8: (1, {'@': 78}), 35: (1, {'@': 78}), 17: (1, {'@': 78}), 36: (1, {'@': 78}), 1: (1, {'@': 78}), 37: (1, {'@': 78}), 38: (1, {'@': 78}), 20: (1, {'@': 78}), 39: (1, {'@': 78}), 4: (1, {'@': 78}), 23: (1, {'@': 78}), 25: (1, {'@': 78}), 0: (1, {'@': 78}), 40: (1, {'@': 78}), 26: (1, {'@': 78}), 41: (1, {'@': 78}), 27: (1, {'@': 78}), 28: (1, {'@': 78}), 29: (1, {'@': 78}), 42: (1, {'@': 78}), 43: (1, {'@': 78}), 31: (1, {'@': 78}), 3: (1, {'@': 78}), 44: (1, {'@': 78}), 45: (1, {'@': 78}), 16: (1, {'@': 78}), 18: (1, {'@': 78}), 46: (1, {'@': 78}), 19: (1, {'@': 78}), 21: (1, {'@': 78}), 24: (1, {'@': 78}), 2: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 30: (1, {'@': 78}), 49: (1, {'@': 78}), 50: (1, {'@': 78})}, 46: {32: (1, {'@': 79}), 33: (1, {'@': 79}), 34: (1, {'@': 79}), 15: (1, {'@': 79}), 8: (1, {'@': 79}), 35: (1, {'@': 79}), 17: (1, {'@': 79}), 36: (1, {'@': 79}), 1: (1, {'@': 79}), 37: (1, {'@': 79}), 38: (1, {'@': 79}), 20: (1, {'@': 79}), 39: (1, {'@': 79}), 4: (1, {'@': 79}), 23: (1, {'@': 79}), 25: (1, {'@': 79}), 0: (1, {'@': 79}), 40: (1, {'@': 79}), 26: (1, {'@': 79}), 41: (1, {'@': 79}), 27: (1, {'@': 79}), 28: (1, {'@': 79}), 29: (1, {'@': 79}), 42: (1, {'@': 79}), 43: (1, {'@': 79}), 31: (1, {'@': 79}), 3: (1, {'@': 79}), 44: (1, {'@': 79}), 45: (1, {'@': 79}), 16: (1, {'@': 79}), 18: (1, {'@': 79}), 46: (1, {'@': 79}), 19: (1, {'@': 79}), 21: (1, {'@': 79}), 24: (1, {'@': 79}), 2: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 30: (1, {'@': 79}), 49: (1, {'@': 79}), 50: (1, {'@': 79})}, 47: {32: (1, {'@': 80}), 33: (1, {'@': 80}), 34: (1, {'@': 80}), 15: (1, {'@': 80}), 8: (1, {'@': 80}), 35: (1, {'@': 80}), 17: (1, {'@': 80}), 36: (1, {'@': 80}), 1: (1, {'@': 80}), 37: (1, {'@': 80}), 38: (1, {'@': 80}), 20: (1, {'@': 80}), 39: (1, {'@': 80}), 4: (1, {'@': 80}), 23: (1, {'@': 80}), 25: (1, {'@': 80}), 0: (1, {'@': 80}), 40: (1, {'@': 80}), 26: (1, {'@': 80}), 41: (1, {'@': 80}), 27: (1, {'@': 80}), 28: (1, {'@': 80}), 29: (1, {'@': 80}), 42: (1, {'@': 80}), 43: (1, {'@': 80}), 31: (1, {'@': 80}), 3: (1, {'@': 80}), 44: (1, {'@': 80}), 45: (1, {'@': 80}), 16: (1, {'@': 80}), 18: (1, {'@': 80}), 46: (1, {'@': 80}), 19: (1, {'@': 80}), 21: (1, {'@': 80}), 24: (1, {'@': 80}), 2: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 30: (1, {'@': 80}), 49: (1, {'@': 80}), 50: (1, {'@': 80})}, 48: {32: (1, {'@': 81}), 33: (1, {'@': 81}), 34: (1, {'@': 81}), 15: (1, {'@': 81}), 8: (1, {'@': 81}), 35: (1, {'@': 81}), 17: (1, {'@': 81}), 36: (1, {'@': 81}), 1: (1, {'@': 81}), 37: (1, {'@': 81}), 38: (1, {'@': 81}), 20: (1, {'@': 81}), 39: (1, {'@': 81}), 4: (1, {'@': 81}), 23: (1, {'@': 81}), 25: (1, {'@': 81}), 0: (1, {'@': 81}), 40: (1, {'@': 81}), 26: (1, {'@': 81}), 41: (1, {'@': 81}), 27: (1, {'@': 81}), 28: (1, {'@': 81}), 29: (1, {'@': 81}), 42: (1, {'@': 81}), 43: (1, {'@': 81}), 31: (1, {'@': 81}), 3: (1, {'@': 81}), 44: (1, {'@': 81}), 45: (1, {'@': 81}), 16: (1, {'@': 81}), 18: (1, {'@': 81}), 46: (1, {'@': 81}), 19: (1, {'@': 81}), 21: (1, {'@': 81}), 24: (1, {'@': 81}), 2: (1, {'@': 81}), 47: (1, {'@': 81}), 48: (1, {'@': 81}), 30: (1, {'@': 81}), 49: (1, {'@': 81}), 50: (1, {'@': 81})}, 49: {32: (1, {'@': 82}), 33: (1, {'@': 82}), 34: (1, {'@': 82}), 15: (1, {'@': 82}), 8: (1, {'@': 82}), 35: (1, {'@': 82}), 17: (1, {'@': 82}), 36: (1, {'@': 82}), 1: (1, {'@': 82}), 37: (1, {'@': 82}), 38: (1, {'@': 82}), 20: (1, {'@': 82}), 39: (1, {'@': 82}), 4: (1, {'@': 82}), 23: (1, {'@': 82}), 25: (1, {'@': 82}), 0: (1, {'@': 82}), 40: (1, {'@': 82}), 26: (1, {'@': 82}), 41: (1, {'@': 82}), 27: (1, {'@': 82}), 28: (1, {'@': 82}), 29: (1, {'@': 82}), 42: (1, {'@': 82}), 43: (1, {'@': 82}), 31: (1, {'@': 82}), 3: (1, {'@': 82}), 44: (1, {'@': 82}), 45: (1, {'@': 82}), 16: (1, {'@': 82}), 18: (1, {'@': 82}), 46: (1, {'@': 82}), 19: (1, {'@': 82}), 21: (1, {'@': 82}), 24: (1, {'@': 82}), 2: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 30: (1, {'@': 82}), 49: (1, {'@': 82}), 50: (1, {'@': 82})}, 50: {32: (1, {'@': 83}), 33: (1, {'@': 83}), 34: (1, {'@': 83}), 15: (1, {'@': 83}), 8: (1, {'@': 83}), 35: (1, {'@': 83}), 17: (1, {'@': 83}), 36: (1, {'@': 83}), 1: (1, {'@': 83}), 37: (1, {'@': 83}), 38: (1, {'@': 83}), 20: (1, {'@': 83}), 39: (1, {'@': 83}), 4: (1, {'@': 83}), 23: (1, {'@': 83}), 25: (1, {'@': 83}), 0: (1, {'@': 83}), 40: (1, {'@': 83}), 26: (1, {'@': 83}), 41: (1, {'@': 83}), 27: (1, {'@': 83}), 28: (1, {'@': 83}), 29: (1, {'@': 83}), 42: (1, {'@': 83}), 43: (1, {'@': 83}), 31: (1, {'@': 83}), 3: (1, {'@': 83}), 44: (1, {'@': 83}), 45: (1, {'@': 83}), 16: (1, {'@': 83}), 18: (1, {'@': 83}), 46: (1, {'@': 83}), 19: (1, {'@': 83}), 21: (1, {'@': 83}), 24: (1, {'@': 83}), 2: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 30: (1, {'@': 83}), 49: (1, {'@': 83}), 50: (1, {'@': 83})}, 51: {32: (1, {'@': 84}), 33: (1, {'@': 84}), 34: (1, {'@': 84}), 15: (1, {'@': 84}), 8: (1, {'@': 84}), 35: (1, {'@': 84}), 17: (1, {'@': 84}), 36: (1, {'@': 84}), 1: (1, {'@': 84}), 37: (1, {'@': 84}), 38: (1, {'@': 84}), 20: (1, {'@': 84}), 39: (1, {'@': 84}), 4: (1, {'@': 84}), 23: (1, {'@': 84}), 25: (1, {'@': 84}), 0: (1, {'@': 84}), 40: (1, {'@': 84}), 26: (1, {'@': 84}), 41: (1, {'@': 84}), 27: (1, {'@': 84}), 28: (1, {'@': 84}), 29: (1, {'@': 84}), 42: (1, {'@': 84}), 43: (1, {'@': 84}), 31: (1, {'@': 84}), 3: (1, {'@': 84}), 44: (1, {'@': 84}), 45: (1, {'@': 84}), 16: (1, {'@': 84}), 18: (1, {'@': 84}), 46: (1, {'@': 84}), 19: (1, {'@': 84}), 21: (1, {'@': 84}), 24: (1, {'@': 84}), 2: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 30: (1, {'@': 84}), 49: (1, {'@': 84}), 50: (1, {'@': 84})}, 52: {32: (1, {'@': 85}), 33: (1, {'@': 85}), 34: (1, {'@': 85}), 15: (1, {'@': 85}), 8: (1, {'@': 85}), 35: (1, {'@': 85}), 17: (1, {'@': 85}), 36: (1, {'@': 85}), 1: (1, {'@': 85}), 37: (1, {'@': 85}), 38: (1, {'@': 85}), 20: (1, {'@': 85}), 39: (1, {'@': 85}), 4: (1, {'@': 85}), 23: (1, {'@': 85}), 25: (1, {'@': 85}), 0: (1, {'@': 85}), 40: (1, {'@': 85}), 26: (1, {'@': 85}), 41: (1, {'@': 85}), 27: (1, {'@': 85}), 28: (1, {'@': 85}), 29: (1, {'@': 85}), 42: (1, {'@': 85}), 43: (1, {'@': 85}), 31: (1, {'@': 85}), 3: (1, {'@': 85}), 44: (1, {'@': 85}), 45: (1, {'@': 85}), 16: (1, {'@': 85}), 18: (1, {'@': 85}), 46: (1, {'@': 85}), 19: (1, {'@': 85}), 21: (1, {'@': 85}), 24: (1, {'@': 85}), 2: (1, {'@': 85}), 47: (1, {'@': 85}), 48: (1, {'@': 85}), 30: (1, {'@': 85}), 49: (1, {'@': 85}), 50: (1, {'@': 85})}, 53: {32: (1, {'@': 86}), 33: (1, {'@': 86}), 34: (1, {'@': 86}), 15: (1, {'@': 86}), 8: (1, {'@': 86}), 35: (1, {'@': 86}), 17: (1, {'@': 86}), 36: (1, {'@': 86}), 1: (1, {'@': 86}), 37: (1, {'@': 86}), 38: (1, {'@': 86}), 20: (1, {'@': 86}), 39: (1, {'@': 86}), 4: (1, {'@': 86}), 23: (1, {'@': 86}), 25: (1, {'@': 86}), 0: (1, {'@': 86}), 40: (1, {'@': 86}), 26: (1, {'@': 86}), 41: (1, {'@': 86}), 27: (1, {'@': 86}), 28: (1, {'@': 86}), 29: (1, {'@': 86}), 42: (1, {'@': 86}), 43: (1, {'@': 86}), 31: (1, {'@': 86}), 3: (1, {'@': 86}), 44: (1, {'@': 86}), 45: (1, {'@': 86}), 16: (1, {'@': 86}), 18: (1, {'@': 86}), 46: (1, {'@': 86}), 19: (1, {'@': 86}), 21: (1, {'@': 86}), 24: (1, {'@': 86}), 2: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 30: (1, {'@': 86}), 49: (1, {'@': 86}), 50: (1, {'@': 86})}, 54: {32: (1, {'@': 87}), 33: (1, {'@': 87}), 34: (1, {'@': 87}), 15: (1, {'@': 87}), 8: (1, {'@': 87}), 35: (1, {'@': 87}), 17: (1, {'@': 87}), 36: (1, {'@': 87}), 1: (1, {'@': 87}), 37: (1, {'@': 87}), 38: (1, {'@': 87}), 20: (1, {'@': 87}), 39: (1, {'@': 87}), 4: (1, {'@': 87}), 23: (1, {'@': 87}), 25: (1, {'@': 87}), 0: (1, {'@': 87}), 40: (1, {'@': 87}), 26: (1, {'@': 87}), 41: (1, {'@': 87}), 27: (1, {'@': 87}), 28: (1, {'@': 87}), 29: (1, {'@': 87}), 42: (1, {'@': 87}), 43: (1, {'@': 87}), 31: (1, {'@': 87}), 3: (1, {'@': 87}), 44: (1, {'@': 87}), 45: (1, {'@': 87}), 16: (1, {'@': 87}), 18: (1, {'@': 87}), 46: (1, {'@': 87}), 19: (1, {'@': 87}), 21: (1, {'@': 87}), 24: (1, {'@': 87}), 2: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 30: (1, {'@': 87}), 49: (1, {'@': 87}), 50: (1, {'@': 87})}, 55: {32: (1, {'@': 88}), 33: (1, {'@': 88}), 34: (1, {'@': 88}), 15: (1, {'@': 88}), 8: (1, {'@': 88}), 35: (1, {'@': 88}), 17: (1, {'@': 88}), 36: (1, {'@': 88}), 1: (1, {'@': 88}), 38: (1, {'@': 88}), 20: (1, {'@': 88}), 39: (1, {'@': 88}), 4: (1, {'@': 88}), 23: (1, {'@': 88}), 25: (1, {'@': 88}), 0: (1, {'@': 88}), 40: (1, {'@': 88}), 26: (1, {'@': 88}), 41: (1, {'@': 88}), 27: (1, {'@': 88}), 28: (1, {'@': 88}), 29: (1, {'@': 88}), 42: (1, {'@': 88}), 43: (1, {'@': 88}), 31: (1, {'@': 88}), 3: (1, {'@': 88}), 44: (1, {'@': 88}), 45: (1, {'@': 88}), 16: (1, {'@': 88}), 18: (1, {'@': 88}), 46: (1, {'@': 88}), 19: (1, {'@': 88}), 21: (1, {'@': 88}), 24: (1, {'@': 88}), 2: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 30: (1, {'@': 88}), 49: (1, {'@': 88})}, 56: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 15: (0, 40), 59: (0, 41), 60: (0, 111), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 28: (0, 63), 25: (0, 64)}, 57: {32: (1, {'@': 89}), 33: (1, {'@': 89}), 34: (1, {'@': 89}), 15: (1, {'@': 89}), 8: (1, {'@': 89}), 35: (1, {'@': 89}), 17: (1, {'@': 89}), 36: (1, {'@': 89}), 1: (1, {'@': 89}), 38: (1, {'@': 89}), 20: (1, {'@': 89}), 39: (1, {'@': 89}), 4: (1, {'@': 89}), 23: (1, {'@': 89}), 25: (1, {'@': 89}), 0: (1, {'@': 89}), 40: (1, {'@': 89}), 26: (1, {'@': 89}), 41: (1, {'@': 89}), 27: (1, {'@': 89}), 28: (1, {'@': 89}), 29: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 31: (1, {'@': 89}), 3: (1, {'@': 89}), 44: (1, {'@': 89}), 45: (1, {'@': 89}), 16: (1, {'@': 89}), 18: (1, {'@': 89}), 46: (1, {'@': 89}), 19: (1, {'@': 89}), 21: (1, {'@': 89}), 24: (1, {'@': 89}), 2: (1, {'@': 89}), 47: (1, {'@': 89}), 48: (1, {'@': 89}), 30: (1, {'@': 89}), 49: (1, {'@': 89})}, 58: {32: (1, {'@': 90}), 33: (1, {'@': 90}), 34: (1, {'@': 90}), 15: (1, {'@': 90}), 8: (1, {'@': 90}), 35: (1, {'@': 90}), 17: (1, {'@': 90}), 36: (1, {'@': 90}), 1: (1, {'@': 90}), 37: (1, {'@': 90}), 38: (1, {'@': 90}), 20: (1, {'@': 90}), 39: (1, {'@': 90}), 4: (1, {'@': 90}), 23: (1, {'@': 90}), 25: (1, {'@': 90}), 0: (1, {'@': 90}), 40: (1, {'@': 90}), 26: (1, {'@': 90}), 41: (1, {'@': 90}), 27: (1, {'@': 90}), 28: (1, {'@': 90}), 29: (1, {'@': 90}), 42: (1, {'@': 90}), 43: (1, {'@': 90}), 31: (1, {'@': 90}), 3: (1, {'@': 90}), 44: (1, {'@': 90}), 45: (1, {'@': 90}), 16: (1, {'@': 90}), 18: (1, {'@': 90}), 46: (1, {'@': 90}), 19: (1, {'@': 90}), 21: (1, {'@': 90}), 24: (1, {'@': 90}), 2: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 30: (1, {'@': 90}), 49: (1, {'@': 90}), 50: (1, {'@': 90})}, 59: {32: (1, {'@': 91}), 33: (1, {'@': 91}), 34: (1, {'@': 91}), 15: (1, {'@': 91}), 8: (1, {'@': 91}), 35: (1, {'@': 91}), 17: (1, {'@': 91}), 36: (1, {'@': 91}), 1: (1, {'@': 91}), 37: (1, {'@': 91}), 38: (1, {'@': 91}), 20: (1, {'@': 91}), 39: (1, {'@': 91}), 4: (1, {'@': 91}), 23: (1, {'@': 91}), 25: (1, {'@': 91}), 0: (1, {'@': 91}), 40: (1, {'@': 91}), 26: (1, {'@': 91}), 41: (1, {'@': 91}), 27: (1, {'@': 91}), 28: (1, {'@': 91}), 29: (1, {'@': 91}), 42: (1, {'@': 91}), 43: (1, {'@': 91}), 31: (1, {'@': 91}), 3: (1, {'@': 91}), 44: (1, {'@': 91}), 45: (1, {'@': 91}), 16: (1, {'@': 91}), 18: (1, {'@': 91}), 46: (1, {'@': 91}), 19: (1, {'@': 91}), 21: (1, {'@': 91}), 24: (1, {'@': 91}), 2: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 30: (1, {'@': 91}), 49: (1, {'@': 91}), 50: (1, {'@': 91})}, 60: {32: (1, {'@': 92}), 33: (1, {'@': 92}), 34: (1, {'@': 92}), 15: (1, {'@': 92}), 8: (1, {'@': 92}), 35: (1, {'@': 92}), 17: (1, {'@': 92}), 36: (1, {'@': 92}), 1: (1, {'@': 92}), 37: (1, {'@': 92}), 38: (1, {'@': 92}), 20: (1, {'@': 92}), 39: (1, {'@': 92}), 4: (1, {'@': 92}), 23: (1, {'@': 92}), 25: (1, {'@': 92}), 0: (1, {'@': 92}), 40: (1, {'@': 92}), 26: (1, {'@': 92}), 41: (1, {'@': 92}), 27: (1, {'@': 92}), 28: (1, {'@': 92}), 29: (1, {'@': 92}), 42: (1, {'@': 92}), 43: (1, {'@': 92}), 31: (1, {'@': 92}), 3: (1, {'@': 92}), 44: (1, {'@': 92}), 45: (1, {'@': 92}), 16: (1, {'@': 92}), 18: (1, {'@': 92}), 46: (1, {'@': 92}), 19: (1, {'@': 92}), 21: (1, {'@': 92}), 24: (1, {'@': 92}), 2: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 30: (1, {'@': 92}), 49: (1, {'@': 92}), 50: (1, {'@': 92})}, 61: {32: (1, {'@': 93}), 33: (1, {'@': 93}), 34: (1, {'@': 93}), 15: (1, {'@': 93}), 8: (1, {'@': 93}), 35: (1, {'@': 93}), 17: (1, {'@': 93}), 36: (1, {'@': 93}), 1: (1, {'@': 93}), 37: (1, {'@': 93}), 38: (1, {'@': 93}), 20: (1, {'@': 93}), 39: (1, {'@': 93}), 4: (1, {'@': 93}), 23: (1, {'@': 93}), 25: (1, {'@': 93}), 0: (1, {'@': 93}), 40: (1, {'@': 93}), 26: (1, {'@': 93}), 41: (1, {'@': 93}), 27: (1, {'@': 93}), 28: (1, {'@': 93}), 29: (1, {'@': 93}), 42: (1, {'@': 93}), 43: (1, {'@': 93}), 31: (1, {'@': 93}), 3: (1, {'@': 93}), 44: (1, {'@': 93}), 45: (1, {'@': 93}), 16: (1, {'@': 93}), 18: (1, {'@': 93}), 46: (1, {'@': 93}), 19: (1, {'@': 93}), 21: (1, {'@': 93}), 24: (1, {'@': 93}), 2: (1, {'@': 93}), 47: (1, {'@': 93}), 48: (1, {'@': 93}), 30: (1, {'@': 93}), 49: (1, {'@': 93}), 50: (1, {'@': 93})}, 62: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 60: (0, 112), 9: (0, 36), 15: (0, 40), 59: (0, 41), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 28: (0, 63), 25: (0, 64)}, 63: {32: (1, {'@': 94}), 33: (1, {'@': 94}), 34: (1, {'@': 94}), 15: (1, {'@': 94}), 8: (1, {'@': 94}), 35: (1, {'@': 94}), 17: (1, {'@': 94}), 36: (1, {'@': 94}), 1: (1, {'@': 94}), 37: (1, {'@': 94}), 38: (1, {'@': 94}), 20: (1, {'@': 94}), 39: (1, {'@': 94}), 4: (1, {'@': 94}), 23: (1, {'@': 94}), 25: (1, {'@': 94}), 0: (1, {'@': 94}), 40: (1, {'@': 94}), 26: (1, {'@': 94}), 41: (1, {'@': 94}), 27: (1, {'@': 94}), 28: (1, {'@': 94}), 29: (1, {'@': 94}), 42: (1, {'@': 94}), 43: (1, {'@': 94}), 31: (1, {'@': 94}), 3: (1, {'@': 94}), 44: (1, {'@': 94}), 45: (1, {'@': 94}), 16: (1, {'@': 94}), 18: (1, {'@': 94}), 46: (1, {'@': 94}), 19: (1, {'@': 94}), 21: (1, {'@': 94}), 24: (1, {'@': 94}), 2: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 30: (1, {'@': 94}), 49: (1, {'@': 94}), 50: (1, {'@': 94})}, 64: {32: (1, {'@': 95}), 33: (1, {'@': 95}), 34: (1, {'@': 95}), 15: (1, {'@': 95}), 8: (1, {'@': 95}), 35: (1, {'@': 95}), 17: (1, {'@': 95}), 36: (1, {'@': 95}), 1: (1, {'@': 95}), 37: (1, {'@': 95}), 38: (1, {'@': 95}), 20: (1, {'@': 95}), 39: (1, {'@': 95}), 4: (1, {'@': 95}), 23: (1, {'@': 95}), 25: (1, {'@': 95}), 0: (1, {'@': 95}), 40: (1, {'@': 95}), 26: (1, {'@': 95}), 41: (1, {'@': 95}), 27: (1, {'@': 95}), 28: (1, {'@': 95}), 29: (1, {'@': 95}), 42: (1, {'@': 95}), 43: (1, {'@': 95}), 31: (1, {'@': 95}), 3: (1, {'@': 95}), 44: (1, {'@': 95}), 45: (1, {'@': 95}), 16: (1, {'@': 95}), 18: (1, {'@': 95}), 46: (1, {'@': 95}), 19: (1, {'@': 95}), 21: (1, {'@': 95}), 79: (1, {'@': 95}), 24: (1, {'@': 95}), 2: (1, {'@': 95}), 47: (1, {'@': 95}), 48: (1, {'@': 95}), 30: (1, {'@': 95}), 49: (1, {'@': 95}), 50: (1, {'@': 95})}, 65: {8: (1, {'@': 96}), 15: (1, {'@': 96}), 17: (1, {'@': 96})}, 66: {0: (0, 10), 1: (0, 2), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (0, 8), 12: (0, 113), 6: (0, 3), 7: (0, 114), 8: (0, 5), 10: (0, 7), 9: (0, 6), 11: (0, 9), 13: (0, 12)}, 67: {8: (1, {'@': 97}), 15: (1, {'@': 97}), 17: (1, {'@': 97})}, 68: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 115)}, 69: {3: (0, 116)}, 70: {9: (0, 117), 7: (0, 118), 6: (0, 3), 0: (0, 10), 1: (0, 2), 8: (0, 5), 4: (0, 8)}, 71: {14: (0, 70), 52: (0, 29), 53: (0, 30), 57: (0, 119), 75: (0, 120), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 24: (0, 121), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 72: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 7: (0, 122), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 123), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 73: {78: (0, 86), 41: (0, 87), 24: (0, 124), 6: (0, 3), 84: (0, 125), 7: (0, 126), 48: (0, 92), 31: (0, 93), 47: (0, 94), 0: (0, 10), 26: (0, 127), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 74: {32: (1, {'@': 98}), 33: (1, {'@': 98}), 34: (1, {'@': 98}), 15: (1, {'@': 98}), 8: (1, {'@': 98}), 35: (1, {'@': 98}), 17: (1, {'@': 98}), 36: (1, {'@': 98}), 1: (1, {'@': 98}), 37: (1, {'@': 98}), 38: (1, {'@': 98}), 20: (1, {'@': 98}), 39: (1, {'@': 98}), 4: (1, {'@': 98}), 23: (1, {'@': 98}), 25: (1, {'@': 98}), 0: (1, {'@': 98}), 40: (1, {'@': 98}), 26: (1, {'@': 98}), 41: (1, {'@': 98}), 27: (1, {'@': 98}), 28: (1, {'@': 98}), 29: (1, {'@': 98}), 42: (1, {'@': 98}), 43: (1, {'@': 98}), 31: (1, {'@': 98}), 3: (1, {'@': 98}), 44: (1, {'@': 98}), 45: (1, {'@': 98}), 16: (1, {'@': 98}), 18: (1, {'@': 98}), 46: (1, {'@': 98}), 19: (1, {'@': 98}), 21: (1, {'@': 98}), 24: (1, {'@': 98}), 2: (1, {'@': 98}), 47: (1, {'@': 98}), 48: (1, {'@': 98}), 30: (1, {'@': 98}), 49: (1, {'@': 98}), 50: (1, {'@': 98})}, 75: {14: (0, 70), 52: (0, 29), 53: (0, 30), 75: (0, 128), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 76: (0, 129), 57: (0, 76), 55: (0, 35), 9: (0, 78), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 76: {52: (0, 29), 53: (0, 30), 78: (0, 86), 21: (0, 31), 17: (0, 32), 48: (0, 92), 47: (0, 94), 16: (0, 33), 54: (0, 34), 38: (0, 89), 32: (0, 90), 55: (0, 35), 9: (0, 36), 36: (0, 97), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 45: (0, 130), 57: (0, 131), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 41: (0, 87), 62: (0, 46), 63: (0, 47), 31: (0, 132), 64: (0, 48), 20: (0, 49), 77: (0, 84), 27: (0, 50), 65: (0, 51), 66: (0, 52), 39: (0, 91), 34: (0, 95), 67: (0, 53), 68: (0, 54), 44: (0, 100), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 43: (0, 99), 72: (0, 59), 73: (0, 60), 74: (0, 61), 42: (0, 85), 28: (0, 63), 33: (0, 96), 25: (0, 64), 40: (0, 98)}, 77: {32: (1, {'@': 99}), 33: (1, {'@': 99}), 34: (1, {'@': 99}), 15: (1, {'@': 99}), 8: (1, {'@': 99}), 35: (1, {'@': 99}), 17: (1, {'@': 99}), 36: (1, {'@': 99}), 1: (1, {'@': 99}), 37: (1, {'@': 99}), 38: (1, {'@': 99}), 20: (1, {'@': 99}), 39: (1, {'@': 99}), 4: (1, {'@': 99}), 23: (1, {'@': 99}), 25: (1, {'@': 99}), 0: (1, {'@': 99}), 40: (1, {'@': 99}), 26: (1, {'@': 99}), 41: (1, {'@': 99}), 27: (1, {'@': 99}), 28: (1, {'@': 99}), 29: (1, {'@': 99}), 42: (1, {'@': 99}), 43: (1, {'@': 99}), 31: (1, {'@': 99}), 3: (1, {'@': 99}), 44: (1, {'@': 99}), 45: (1, {'@': 99}), 16: (1, {'@': 99}), 18: (1, {'@': 99}), 46: (1, {'@': 99}), 19: (1, {'@': 99}), 21: (1, {'@': 99}), 24: (1, {'@': 99}), 2: (1, {'@': 99}), 47: (1, {'@': 99}), 48: (1, {'@': 99}), 30: (1, {'@': 99}), 49: (1, {'@': 99}), 50: (1, {'@': 99})}, 78: {32: (1, {'@': 69}), 33: (1, {'@': 69}), 34: (1, {'@': 69}), 15: (0, 40), 8: (0, 5), 35: (1, {'@': 69}), 17: (0, 32), 36: (1, {'@': 69}), 1: (1, {'@': 69}), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 20: (0, 49), 39: (1, {'@': 69}), 4: (1, {'@': 69}), 23: (1, {'@': 69}), 25: (0, 64), 0: (1, {'@': 69}), 40: (1, {'@': 69}), 26: (1, {'@': 69}), 41: (1, {'@': 69}), 27: (0, 50), 28: (0, 63), 29: (0, 43), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 31: (0, 62), 3: (1, {'@': 69}), 44: (1, {'@': 69}), 45: (0, 134), 16: (0, 133), 18: (0, 56), 46: (1, {'@': 69}), 19: (0, 45), 21: (0, 31), 24: (1, {'@': 69}), 2: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 30: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69}), 52: (0, 29), 53: (0, 30), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 59: (0, 41), 57: (0, 135), 60: (0, 42), 61: (0, 44), 62: (0, 46), 63: (0, 47), 64: (0, 48), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61)}, 79: {1: (0, 2), 7: (0, 136), 85: (0, 137), 6: (0, 3), 3: (0, 138), 4: (0, 8), 26: (0, 139), 86: (0, 140), 0: (0, 10)}, 80: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 141), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 81: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 142), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 82: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 1: (0, 2), 6: (0, 3), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 4: (0, 8), 33: (0, 96), 36: (0, 97), 0: (0, 10), 7: (0, 143), 40: (0, 98), 23: (0, 144), 43: (0, 99), 44: (0, 100)}, 83: {52: (0, 29), 53: (0, 30), 57: (0, 145), 21: (0, 31), 17: (0, 32), 23: (0, 146), 16: (0, 33), 87: (0, 147), 7: (0, 148), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 84: {32: (1, {'@': 100}), 33: (1, {'@': 100}), 34: (1, {'@': 100}), 15: (1, {'@': 100}), 8: (1, {'@': 100}), 35: (1, {'@': 100}), 17: (1, {'@': 100}), 36: (1, {'@': 100}), 1: (1, {'@': 100}), 38: (1, {'@': 100}), 20: (1, {'@': 100}), 39: (1, {'@': 100}), 4: (1, {'@': 100}), 23: (1, {'@': 100}), 25: (1, {'@': 100}), 0: (1, {'@': 100}), 40: (1, {'@': 100}), 26: (1, {'@': 100}), 41: (1, {'@': 100}), 27: (1, {'@': 100}), 28: (1, {'@': 100}), 29: (1, {'@': 100}), 42: (1, {'@': 100}), 43: (1, {'@': 100}), 31: (1, {'@': 100}), 3: (1, {'@': 100}), 44: (1, {'@': 100}), 45: (1, {'@': 100}), 16: (1, {'@': 100}), 18: (1, {'@': 100}), 46: (1, {'@': 100}), 19: (1, {'@': 100}), 21: (1, {'@': 100}), 24: (1, {'@': 100}), 2: (1, {'@': 100}), 47: (1, {'@': 100}), 48: (1, {'@': 100}), 30: (1, {'@': 100}), 49: (1, {'@': 100})}, 85: {25: (1, {'@': 101}), 0: (1, {'@': 101}), 15: (1, {'@': 101}), 8: (1, {'@': 101}), 16: (1, {'@': 101}), 27: (1, {'@': 101}), 28: (1, {'@': 101}), 17: (1, {'@': 101}), 29: (1, {'@': 101}), 18: (1, {'@': 101}), 1: (1, {'@': 101}), 19: (1, {'@': 101}), 31: (1, {'@': 101}), 20: (1, {'@': 101}), 21: (1, {'@': 101}), 4: (1, {'@': 101})}, 86: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 57: (0, 149), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 7: (0, 150), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 87: {25: (1, {'@': 102}), 0: (1, {'@': 102}), 15: (1, {'@': 102}), 8: (1, {'@': 102}), 16: (1, {'@': 102}), 27: (1, {'@': 102}), 28: (1, {'@': 102}), 17: (1, {'@': 102}), 29: (1, {'@': 102}), 18: (1, {'@': 102}), 1: (1, {'@': 102}), 19: (1, {'@': 102}), 31: (1, {'@': 102}), 20: (1, {'@': 102}), 21: (1, {'@': 102}), 4: (1, {'@': 102})}, 88: {0: (1, {'@': 103}), 1: (1, {'@': 103}), 2: (1, {'@': 103}), 8: (1, {'@': 103}), 3: (1, {'@': 103}), 4: (1, {'@': 103})}, 89: {25: (1, {'@': 104}), 0: (1, {'@': 104}), 15: (1, {'@': 104}), 8: (1, {'@': 104}), 16: (1, {'@': 104}), 27: (1, {'@': 104}), 28: (1, {'@': 104}), 17: (1, {'@': 104}), 29: (1, {'@': 104}), 18: (1, {'@': 104}), 1: (1, {'@': 104}), 19: (1, {'@': 104}), 31: (1, {'@': 104}), 20: (1, {'@': 104}), 21: (1, {'@': 104}), 4: (1, {'@': 104})}, 90: {25: (1, {'@': 105}), 0: (1, {'@': 105}), 15: (1, {'@': 105}), 8: (1, {'@': 105}), 16: (1, {'@': 105}), 27: (1, {'@': 105}), 28: (1, {'@': 105}), 17: (1, {'@': 105}), 29: (1, {'@': 105}), 18: (1, {'@': 105}), 1: (1, {'@': 105}), 19: (1, {'@': 105}), 31: (1, {'@': 105}), 20: (1, {'@': 105}), 21: (1, {'@': 105}), 4: (1, {'@': 105})}, 91: {25: (1, {'@': 106}), 0: (1, {'@': 106}), 15: (1, {'@': 106}), 8: (1, {'@': 106}), 16: (1, {'@': 106}), 27: (1, {'@': 106}), 28: (1, {'@': 106}), 17: (1, {'@': 106}), 29: (1, {'@': 106}), 18: (1, {'@': 106}), 1: (1, {'@': 106}), 19: (1, {'@': 106}), 31: (1, {'@': 106}), 20: (1, {'@': 106}), 21: (1, {'@': 106}), 4: (1, {'@': 106})}, 92: {25: (1, {'@': 107}), 0: (1, {'@': 107}), 15: (1, {'@': 107}), 8: (1, {'@': 107}), 16: (1, {'@': 107}), 27: (1, {'@': 107}), 28: (1, {'@': 107}), 17: (1, {'@': 107}), 29: (1, {'@': 107}), 18: (1, {'@': 107}), 1: (1, {'@': 107}), 19: (1, {'@': 107}), 31: (1, {'@': 107}), 20: (1, {'@': 107}), 21: (1, {'@': 107}), 4: (1, {'@': 107})}, 93: {25: (1, {'@': 108}), 0: (1, {'@': 108}), 15: (1, {'@': 108}), 8: (1, {'@': 108}), 16: (1, {'@': 108}), 27: (1, {'@': 108}), 28: (1, {'@': 108}), 17: (1, {'@': 108}), 29: (1, {'@': 108}), 18: (1, {'@': 108}), 1: (1, {'@': 108}), 19: (1, {'@': 108}), 31: (1, {'@': 108}), 20: (1, {'@': 108}), 21: (1, {'@': 108}), 4: (1, {'@': 108})}, 94: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 151), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 95: {25: (1, {'@': 109}), 0: (1, {'@': 109}), 15: (1, {'@': 109}), 8: (1, {'@': 109}), 16: (1, {'@': 109}), 27: (1, {'@': 109}), 28: (1, {'@': 109}), 17: (1, {'@': 109}), 29: (1, {'@': 109}), 18: (1, {'@': 109}), 1: (1, {'@': 109}), 19: (1, {'@': 109}), 31: (1, {'@': 109}), 20: (1, {'@': 109}), 21: (1, {'@': 109}), 4: (1, {'@': 109})}, 96: {25: (1, {'@': 110}), 0: (1, {'@': 110}), 15: (1, {'@': 110}), 8: (1, {'@': 110}), 16: (1, {'@': 110}), 27: (1, {'@': 110}), 28: (1, {'@': 110}), 17: (1, {'@': 110}), 29: (1, {'@': 110}), 18: (1, {'@': 110}), 1: (1, {'@': 110}), 19: (1, {'@': 110}), 31: (1, {'@': 110}), 20: (1, {'@': 110}), 21: (1, {'@': 110}), 4: (1, {'@': 110})}, 97: {25: (1, {'@': 111}), 0: (1, {'@': 111}), 15: (1, {'@': 111}), 8: (1, {'@': 111}), 16: (1, {'@': 111}), 27: (1, {'@': 111}), 28: (1, {'@': 111}), 17: (1, {'@': 111}), 29: (1, {'@': 111}), 18: (1, {'@': 111}), 1: (1, {'@': 111}), 19: (1, {'@': 111}), 31: (1, {'@': 111}), 20: (1, {'@': 111}), 21: (1, {'@': 111}), 4: (1, {'@': 111})}, 98: {25: (1, {'@': 112}), 0: (1, {'@': 112}), 15: (1, {'@': 112}), 8: (1, {'@': 112}), 16: (1, {'@': 112}), 27: (1, {'@': 112}), 28: (1, {'@': 112}), 17: (1, {'@': 112}), 29: (1, {'@': 112}), 18: (1, {'@': 112}), 1: (1, {'@': 112}), 19: (1, {'@': 112}), 31: (1, {'@': 112}), 20: (1, {'@': 112}), 21: (1, {'@': 112}), 4: (1, {'@': 112})}, 99: {25: (1, {'@': 113}), 0: (1, {'@': 113}), 15: (1, {'@': 113}), 8: (1, {'@': 113}), 16: (1, {'@': 113}), 27: (1, {'@': 113}), 28: (1, {'@': 113}), 17: (1, {'@': 113}), 29: (1, {'@': 113}), 18: (1, {'@': 113}), 1: (1, {'@': 113}), 19: (1, {'@': 113}), 31: (1, {'@': 113}), 20: (1, {'@': 113}), 21: (1, {'@': 113}), 4: (1, {'@': 113})}, 100: {25: (1, {'@': 114}), 0: (1, {'@': 114}), 15: (1, {'@': 114}), 8: (1, {'@': 114}), 16: (1, {'@': 114}), 27: (1, {'@': 114}), 28: (1, {'@': 114}), 17: (1, {'@': 114}), 29: (1, {'@': 114}), 18: (1, {'@': 114}), 1: (1, {'@': 114}), 19: (1, {'@': 114}), 31: (1, {'@': 114}), 20: (1, {'@': 114}), 21: (1, {'@': 114}), 4: (1, {'@': 114})}, 101: {59: (0, 152), 25: (0, 64)}, 102: {32: (1, {'@': 115}), 33: (1, {'@': 115}), 34: (1, {'@': 115}), 15: (1, {'@': 115}), 8: (1, {'@': 115}), 35: (1, {'@': 115}), 17: (1, {'@': 115}), 36: (1, {'@': 115}), 1: (1, {'@': 115}), 37: (1, {'@': 115}), 38: (1, {'@': 115}), 20: (1, {'@': 115}), 39: (1, {'@': 115}), 4: (1, {'@': 115}), 23: (1, {'@': 115}), 25: (1, {'@': 115}), 0: (1, {'@': 115}), 40: (1, {'@': 115}), 26: (1, {'@': 115}), 41: (1, {'@': 115}), 27: (1, {'@': 115}), 28: (1, {'@': 115}), 29: (1, {'@': 115}), 42: (1, {'@': 115}), 43: (1, {'@': 115}), 31: (1, {'@': 115}), 3: (1, {'@': 115}), 44: (1, {'@': 115}), 45: (1, {'@': 115}), 16: (1, {'@': 115}), 18: (1, {'@': 115}), 46: (1, {'@': 115}), 19: (1, {'@': 115}), 21: (1, {'@': 115}), 79: (1, {'@': 115}), 24: (1, {'@': 115}), 2: (1, {'@': 115}), 47: (1, {'@': 115}), 48: (1, {'@': 115}), 30: (1, {'@': 115}), 49: (1, {'@': 115}), 50: (1, {'@': 115})}, 103: {59: (0, 153), 25: (0, 64)}, 104: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 32: (0, 154), 59: (0, 41), 57: (0, 155), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 7: (0, 156), 28: (0, 63), 25: (0, 64)}, 105: {32: (1, {'@': 116}), 33: (1, {'@': 116}), 34: (1, {'@': 116}), 15: (1, {'@': 116}), 8: (1, {'@': 116}), 35: (1, {'@': 116}), 17: (1, {'@': 116}), 36: (1, {'@': 116}), 1: (1, {'@': 116}), 37: (1, {'@': 116}), 38: (1, {'@': 116}), 20: (1, {'@': 116}), 39: (1, {'@': 116}), 4: (1, {'@': 116}), 23: (1, {'@': 116}), 25: (1, {'@': 116}), 0: (1, {'@': 116}), 40: (1, {'@': 116}), 26: (1, {'@': 116}), 41: (1, {'@': 116}), 27: (1, {'@': 116}), 28: (1, {'@': 116}), 29: (1, {'@': 116}), 42: (1, {'@': 116}), 43: (1, {'@': 116}), 31: (1, {'@': 116}), 3: (1, {'@': 116}), 44: (1, {'@': 116}), 45: (1, {'@': 116}), 16: (1, {'@': 116}), 18: (1, {'@': 116}), 46: (1, {'@': 116}), 19: (1, {'@': 116}), 21: (1, {'@': 116}), 24: (1, {'@': 116}), 2: (1, {'@': 116}), 47: (1, {'@': 116}), 48: (1, {'@': 116}), 30: (1, {'@': 116}), 49: (1, {'@': 116}), 50: (0, 158), 88: (0, 157), 81: (0, 159)}, 106: {32: (1, {'@': 117}), 33: (1, {'@': 117}), 34: (1, {'@': 117}), 15: (1, {'@': 117}), 8: (1, {'@': 117}), 35: (1, {'@': 117}), 17: (1, {'@': 117}), 36: (1, {'@': 117}), 1: (1, {'@': 117}), 37: (1, {'@': 117}), 38: (1, {'@': 117}), 20: (1, {'@': 117}), 39: (1, {'@': 117}), 4: (1, {'@': 117}), 23: (1, {'@': 117}), 25: (1, {'@': 117}), 0: (1, {'@': 117}), 40: (1, {'@': 117}), 26: (1, {'@': 117}), 41: (1, {'@': 117}), 27: (1, {'@': 117}), 28: (1, {'@': 117}), 29: (1, {'@': 117}), 42: (1, {'@': 117}), 43: (1, {'@': 117}), 31: (1, {'@': 117}), 3: (1, {'@': 117}), 44: (1, {'@': 117}), 45: (1, {'@': 117}), 16: (1, {'@': 117}), 18: (1, {'@': 117}), 46: (1, {'@': 117}), 19: (1, {'@': 117}), 21: (1, {'@': 117}), 24: (1, {'@': 117}), 2: (1, {'@': 117}), 47: (1, {'@': 117}), 48: (1, {'@': 117}), 30: (1, {'@': 117}), 49: (1, {'@': 117}), 50: (1, {'@': 117})}, 107: {32: (1, {'@': 118}), 33: (1, {'@': 118}), 34: (1, {'@': 118}), 15: (1, {'@': 118}), 8: (1, {'@': 118}), 35: (1, {'@': 118}), 17: (1, {'@': 118}), 36: (1, {'@': 118}), 1: (1, {'@': 118}), 37: (1, {'@': 118}), 38: (1, {'@': 118}), 20: (1, {'@': 118}), 39: (1, {'@': 118}), 4: (1, {'@': 118}), 23: (1, {'@': 118}), 25: (1, {'@': 118}), 0: (1, {'@': 118}), 40: (1, {'@': 118}), 26: (1, {'@': 118}), 41: (1, {'@': 118}), 27: (1, {'@': 118}), 28: (1, {'@': 118}), 29: (1, {'@': 118}), 42: (1, {'@': 118}), 43: (1, {'@': 118}), 31: (1, {'@': 118}), 3: (1, {'@': 118}), 44: (1, {'@': 118}), 45: (1, {'@': 118}), 16: (1, {'@': 118}), 18: (1, {'@': 118}), 46: (1, {'@': 118}), 19: (1, {'@': 118}), 21: (1, {'@': 118}), 24: (1, {'@': 118}), 2: (1, {'@': 118}), 47: (1, {'@': 118}), 48: (1, {'@': 118}), 30: (1, {'@': 118}), 49: (1, {'@': 118}), 50: (1, {'@': 118})}, 108: {32: (1, {'@': 119}), 33: (1, {'@': 119}), 34: (1, {'@': 119}), 15: (1, {'@': 119}), 8: (1, {'@': 119}), 35: (1, {'@': 119}), 17: (1, {'@': 119}), 36: (1, {'@': 119}), 1: (1, {'@': 119}), 37: (1, {'@': 119}), 38: (1, {'@': 119}), 20: (1, {'@': 119}), 39: (1, {'@': 119}), 4: (1, {'@': 119}), 23: (1, {'@': 119}), 25: (1, {'@': 119}), 0: (1, {'@': 119}), 40: (1, {'@': 119}), 26: (1, {'@': 119}), 41: (1, {'@': 119}), 27: (1, {'@': 119}), 28: (1, {'@': 119}), 29: (1, {'@': 119}), 42: (1, {'@': 119}), 43: (1, {'@': 119}), 31: (1, {'@': 119}), 3: (1, {'@': 119}), 44: (1, {'@': 119}), 45: (1, {'@': 119}), 16: (1, {'@': 119}), 18: (1, {'@': 119}), 46: (1, {'@': 119}), 19: (1, {'@': 119}), 21: (1, {'@': 119}), 24: (1, {'@': 119}), 2: (1, {'@': 119}), 47: (1, {'@': 119}), 48: (1, {'@': 119}), 30: (1, {'@': 119}), 49: (1, {'@': 119}), 50: (1, {'@': 119})}, 109: {32: (1, {'@': 120}), 33: (1, {'@': 120}), 34: (1, {'@': 120}), 15: (1, {'@': 120}), 8: (1, {'@': 120}), 35: (1, {'@': 120}), 17: (1, {'@': 120}), 36: (1, {'@': 120}), 1: (1, {'@': 120}), 37: (1, {'@': 120}), 38: (1, {'@': 120}), 20: (1, {'@': 120}), 39: (1, {'@': 120}), 4: (1, {'@': 120}), 23: (1, {'@': 120}), 25: (1, {'@': 120}), 0: (1, {'@': 120}), 40: (1, {'@': 120}), 26: (1, {'@': 120}), 41: (1, {'@': 120}), 27: (1, {'@': 120}), 28: (1, {'@': 120}), 29: (1, {'@': 120}), 42: (1, {'@': 120}), 43: (1, {'@': 120}), 31: (1, {'@': 120}), 3: (1, {'@': 120}), 44: (1, {'@': 120}), 45: (1, {'@': 120}), 16: (1, {'@': 120}), 18: (1, {'@': 120}), 46: (1, {'@': 120}), 19: (1, {'@': 120}), 21: (1, {'@': 120}), 24: (1, {'@': 120}), 2: (1, {'@': 120}), 47: (1, {'@': 120}), 48: (1, {'@': 120}), 30: (1, {'@': 120}), 49: (1, {'@': 120}), 50: (1, {'@': 120})}, 110: {59: (0, 160), 9: (0, 161), 25: (0, 64), 8: (0, 5)}, 111: {32: (1, {'@': 121}), 33: (1, {'@': 121}), 34: (1, {'@': 121}), 15: (1, {'@': 121}), 8: (1, {'@': 121}), 35: (1, {'@': 121}), 17: (1, {'@': 121}), 36: (1, {'@': 121}), 1: (1, {'@': 121}), 38: (1, {'@': 121}), 20: (1, {'@': 121}), 39: (1, {'@': 121}), 4: (1, {'@': 121}), 23: (1, {'@': 121}), 25: (1, {'@': 121}), 0: (1, {'@': 121}), 40: (1, {'@': 121}), 26: (1, {'@': 121}), 41: (1, {'@': 121}), 27: (1, {'@': 121}), 28: (1, {'@': 121}), 29: (1, {'@': 121}), 42: (1, {'@': 121}), 43: (1, {'@': 121}), 31: (1, {'@': 121}), 3: (1, {'@': 121}), 44: (1, {'@': 121}), 45: (1, {'@': 121}), 16: (1, {'@': 121}), 18: (1, {'@': 121}), 46: (1, {'@': 121}), 19: (1, {'@': 121}), 21: (0, 104), 24: (1, {'@': 121}), 2: (1, {'@': 121}), 47: (1, {'@': 121}), 48: (1, {'@': 121}), 30: (1, {'@': 121}), 49: (1, {'@': 121}), 37: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 83: (0, 109), 50: (0, 110)}, 112: {32: (1, {'@': 122}), 33: (1, {'@': 122}), 34: (1, {'@': 122}), 15: (1, {'@': 122}), 8: (1, {'@': 122}), 35: (1, {'@': 122}), 17: (1, {'@': 122}), 36: (1, {'@': 122}), 1: (1, {'@': 122}), 38: (1, {'@': 122}), 20: (1, {'@': 122}), 39: (1, {'@': 122}), 4: (1, {'@': 122}), 23: (1, {'@': 122}), 25: (1, {'@': 122}), 0: (1, {'@': 122}), 40: (1, {'@': 122}), 26: (1, {'@': 122}), 41: (1, {'@': 122}), 27: (1, {'@': 122}), 28: (1, {'@': 122}), 29: (1, {'@': 122}), 42: (1, {'@': 122}), 43: (1, {'@': 122}), 31: (1, {'@': 122}), 3: (1, {'@': 122}), 44: (1, {'@': 122}), 45: (1, {'@': 122}), 16: (1, {'@': 122}), 18: (1, {'@': 122}), 46: (1, {'@': 122}), 19: (1, {'@': 122}), 21: (0, 104), 24: (1, {'@': 122}), 2: (1, {'@': 122}), 47: (1, {'@': 122}), 48: (1, {'@': 122}), 30: (1, {'@': 122}), 49: (1, {'@': 122}), 37: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 83: (0, 109), 50: (0, 110)}, 113: {3: (0, 162)}, 114: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 10: (0, 7), 9: (0, 6), 11: (0, 9), 12: (0, 163), 8: (0, 5), 13: (0, 12)}, 115: {0: (1, {'@': 123}), 1: (1, {'@': 123}), 2: (1, {'@': 123}), 8: (1, {'@': 123}), 3: (1, {'@': 123}), 4: (1, {'@': 123})}, 116: {7: (0, 164), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2)}, 117: {26: (0, 165), 7: (0, 166), 1: (0, 2), 6: (0, 3), 22: (0, 167), 4: (0, 8), 0: (0, 10)}, 118: {9: (0, 168), 8: (0, 5)}, 119: {78: (0, 86), 84: (0, 169), 41: (0, 87), 6: (0, 3), 48: (0, 92), 31: (0, 93), 47: (0, 94), 0: (0, 10), 7: (0, 170), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 26: (0, 171), 24: (0, 172), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 120: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 173), 7: (0, 174), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 121: {32: (1, {'@': 124}), 33: (1, {'@': 124}), 34: (1, {'@': 124}), 15: (1, {'@': 124}), 8: (1, {'@': 124}), 35: (1, {'@': 124}), 17: (1, {'@': 124}), 36: (1, {'@': 124}), 1: (1, {'@': 124}), 37: (1, {'@': 124}), 38: (1, {'@': 124}), 20: (1, {'@': 124}), 39: (1, {'@': 124}), 4: (1, {'@': 124}), 23: (1, {'@': 124}), 25: (1, {'@': 124}), 0: (1, {'@': 124}), 40: (1, {'@': 124}), 26: (1, {'@': 124}), 41: (1, {'@': 124}), 27: (1, {'@': 124}), 28: (1, {'@': 124}), 29: (1, {'@': 124}), 42: (1, {'@': 124}), 43: (1, {'@': 124}), 31: (1, {'@': 124}), 3: (1, {'@': 124}), 44: (1, {'@': 124}), 45: (1, {'@': 124}), 16: (1, {'@': 124}), 18: (1, {'@': 124}), 46: (1, {'@': 124}), 19: (1, {'@': 124}), 21: (1, {'@': 124}), 24: (1, {'@': 124}), 2: (1, {'@': 124}), 47: (1, {'@': 124}), 48: (1, {'@': 124}), 30: (1, {'@': 124}), 49: (1, {'@': 124}), 50: (1, {'@': 124})}, 122: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 175), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 123: {7: (0, 176), 78: (0, 86), 89: (0, 177), 41: (0, 87), 24: (0, 178), 6: (0, 3), 30: (0, 179), 48: (0, 92), 31: (0, 93), 47: (0, 94), 0: (0, 10), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 124: {32: (1, {'@': 125}), 33: (1, {'@': 125}), 34: (1, {'@': 125}), 15: (1, {'@': 125}), 8: (1, {'@': 125}), 35: (1, {'@': 125}), 17: (1, {'@': 125}), 36: (1, {'@': 125}), 1: (1, {'@': 125}), 37: (1, {'@': 125}), 38: (1, {'@': 125}), 20: (1, {'@': 125}), 39: (1, {'@': 125}), 4: (1, {'@': 125}), 23: (1, {'@': 125}), 25: (1, {'@': 125}), 0: (1, {'@': 125}), 40: (1, {'@': 125}), 26: (1, {'@': 125}), 41: (1, {'@': 125}), 27: (1, {'@': 125}), 28: (1, {'@': 125}), 29: (1, {'@': 125}), 42: (1, {'@': 125}), 43: (1, {'@': 125}), 31: (1, {'@': 125}), 3: (1, {'@': 125}), 44: (1, {'@': 125}), 45: (1, {'@': 125}), 16: (1, {'@': 125}), 18: (1, {'@': 125}), 46: (1, {'@': 125}), 19: (1, {'@': 125}), 21: (1, {'@': 125}), 24: (1, {'@': 125}), 2: (1, {'@': 125}), 47: (1, {'@': 125}), 48: (1, {'@': 125}), 30: (1, {'@': 125}), 49: (1, {'@': 125}), 50: (1, {'@': 125})}, 125: {7: (0, 180), 26: (0, 181), 1: (0, 2), 6: (0, 3), 4: (0, 8), 0: (0, 10), 24: (0, 182)}, 126: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 26: (0, 183), 7: (0, 184), 24: (0, 185)}, 127: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 186), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 7: (0, 187), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 24: (0, 188), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 128: {52: (0, 29), 53: (0, 30), 57: (0, 189), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 129: {1: (0, 2), 86: (0, 190), 7: (0, 136), 3: (0, 191), 6: (0, 3), 85: (0, 192), 4: (0, 8), 26: (0, 139), 0: (0, 10)}, 130: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 57: (0, 193), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 131: {0: (1, {'@': 126}), 1: (1, {'@': 126}), 26: (1, {'@': 126}), 3: (1, {'@': 126}), 4: (1, {'@': 126}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 132: {25: (0, 64), 0: (1, {'@': 108}), 15: (0, 40), 8: (0, 5), 16: (0, 33), 27: (0, 50), 28: (0, 63), 17: (0, 32), 29: (0, 43), 18: (1, {'@': 108}), 1: (1, {'@': 108}), 19: (0, 45), 31: (1, {'@': 108}), 20: (0, 49), 21: (0, 31), 4: (1, {'@': 108}), 52: (0, 29), 53: (0, 30), 54: (0, 34), 55: (0, 35), 60: (0, 112), 9: (0, 36), 59: (0, 41), 61: (0, 44), 62: (0, 46), 63: (0, 47), 64: (0, 48), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61)}, 133: {52: (0, 29), 53: (0, 30), 57: (0, 194), 21: (0, 31), 17: (0, 32), 23: (0, 146), 16: (0, 33), 7: (0, 195), 87: (0, 147), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 134: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 57: (0, 196), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 135: {0: (1, {'@': 127}), 1: (1, {'@': 127}), 26: (1, {'@': 127}), 3: (1, {'@': 127}), 4: (1, {'@': 127}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 136: {25: (1, {'@': 128}), 18: (1, {'@': 128}), 20: (1, {'@': 128}), 21: (1, {'@': 128}), 17: (1, {'@': 128}), 15: (1, {'@': 128}), 8: (1, {'@': 128}), 16: (1, {'@': 128}), 19: (1, {'@': 128}), 31: (1, {'@': 128}), 27: (1, {'@': 128}), 28: (1, {'@': 128}), 3: (1, {'@': 128}), 29: (1, {'@': 128})}, 137: {6: (0, 3), 4: (0, 8), 26: (0, 139), 1: (0, 2), 0: (0, 10), 86: (0, 197), 7: (0, 136), 3: (0, 198)}, 138: {32: (1, {'@': 129}), 33: (1, {'@': 129}), 34: (1, {'@': 129}), 15: (1, {'@': 129}), 8: (1, {'@': 129}), 35: (1, {'@': 129}), 17: (1, {'@': 129}), 36: (1, {'@': 129}), 1: (1, {'@': 129}), 37: (1, {'@': 129}), 38: (1, {'@': 129}), 20: (1, {'@': 129}), 39: (1, {'@': 129}), 4: (1, {'@': 129}), 23: (1, {'@': 129}), 25: (1, {'@': 129}), 0: (1, {'@': 129}), 40: (1, {'@': 129}), 26: (1, {'@': 129}), 41: (1, {'@': 129}), 27: (1, {'@': 129}), 28: (1, {'@': 129}), 29: (1, {'@': 129}), 42: (1, {'@': 129}), 43: (1, {'@': 129}), 31: (1, {'@': 129}), 3: (1, {'@': 129}), 44: (1, {'@': 129}), 45: (1, {'@': 129}), 16: (1, {'@': 129}), 18: (1, {'@': 129}), 46: (1, {'@': 129}), 19: (1, {'@': 129}), 21: (1, {'@': 129}), 24: (1, {'@': 129}), 2: (1, {'@': 129}), 47: (1, {'@': 129}), 48: (1, {'@': 129}), 30: (1, {'@': 129}), 49: (1, {'@': 129}), 50: (1, {'@': 129})}, 139: {25: (1, {'@': 130}), 18: (1, {'@': 130}), 20: (1, {'@': 130}), 21: (1, {'@': 130}), 17: (1, {'@': 130}), 15: (1, {'@': 130}), 8: (1, {'@': 130}), 16: (1, {'@': 130}), 19: (1, {'@': 130}), 31: (1, {'@': 130}), 27: (1, {'@': 130}), 28: (1, {'@': 130}), 3: (1, {'@': 130}), 29: (1, {'@': 130}), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 199)}, 140: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 76), 55: (0, 35), 9: (0, 78), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 76: (0, 200), 3: (0, 201), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 141: {46: (0, 202), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 142: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 1: (0, 2), 23: (0, 203), 6: (0, 3), 7: (0, 204), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 4: (0, 8), 33: (0, 96), 36: (0, 97), 0: (0, 10), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 143: {23: (0, 205)}, 144: {32: (1, {'@': 131}), 33: (1, {'@': 131}), 34: (1, {'@': 131}), 15: (1, {'@': 131}), 8: (1, {'@': 131}), 35: (1, {'@': 131}), 17: (1, {'@': 131}), 36: (1, {'@': 131}), 1: (1, {'@': 131}), 37: (1, {'@': 131}), 38: (1, {'@': 131}), 20: (1, {'@': 131}), 39: (1, {'@': 131}), 4: (1, {'@': 131}), 23: (1, {'@': 131}), 25: (1, {'@': 131}), 0: (1, {'@': 131}), 40: (1, {'@': 131}), 26: (1, {'@': 131}), 41: (1, {'@': 131}), 27: (1, {'@': 131}), 28: (1, {'@': 131}), 29: (1, {'@': 131}), 42: (1, {'@': 131}), 43: (1, {'@': 131}), 31: (1, {'@': 131}), 3: (1, {'@': 131}), 44: (1, {'@': 131}), 45: (1, {'@': 131}), 16: (1, {'@': 131}), 18: (1, {'@': 131}), 46: (1, {'@': 131}), 19: (1, {'@': 131}), 21: (1, {'@': 131}), 24: (1, {'@': 131}), 2: (1, {'@': 131}), 47: (1, {'@': 131}), 48: (1, {'@': 131}), 30: (1, {'@': 131}), 49: (1, {'@': 131}), 50: (1, {'@': 131})}, 145: {23: (1, {'@': 132}), 0: (0, 10), 1: (0, 2), 4: (0, 8), 78: (0, 86), 41: (0, 87), 6: (0, 3), 26: (0, 206), 49: (0, 207), 48: (0, 92), 31: (0, 93), 47: (0, 94), 7: (0, 208), 84: (0, 209), 43: (0, 99), 77: (0, 84), 42: (0, 85), 38: (0, 89), 32: (0, 90), 39: (0, 91), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 146: {32: (1, {'@': 133}), 33: (1, {'@': 133}), 34: (1, {'@': 133}), 15: (1, {'@': 133}), 8: (1, {'@': 133}), 35: (1, {'@': 133}), 17: (1, {'@': 133}), 36: (1, {'@': 133}), 1: (1, {'@': 133}), 37: (1, {'@': 133}), 38: (1, {'@': 133}), 20: (1, {'@': 133}), 39: (1, {'@': 133}), 4: (1, {'@': 133}), 23: (1, {'@': 133}), 25: (1, {'@': 133}), 0: (1, {'@': 133}), 40: (1, {'@': 133}), 26: (1, {'@': 133}), 41: (1, {'@': 133}), 27: (1, {'@': 133}), 28: (1, {'@': 133}), 29: (1, {'@': 133}), 42: (1, {'@': 133}), 43: (1, {'@': 133}), 31: (1, {'@': 133}), 3: (1, {'@': 133}), 44: (1, {'@': 133}), 45: (1, {'@': 133}), 16: (1, {'@': 133}), 18: (1, {'@': 133}), 46: (1, {'@': 133}), 19: (1, {'@': 133}), 21: (1, {'@': 133}), 24: (1, {'@': 133}), 2: (1, {'@': 133}), 47: (1, {'@': 133}), 48: (1, {'@': 133}), 30: (1, {'@': 133}), 49: (1, {'@': 133}), 50: (1, {'@': 133})}, 147: {6: (0, 3), 7: (0, 210), 4: (0, 8), 0: (0, 10), 1: (0, 2), 23: (0, 211)}, 148: {52: (0, 29), 53: (0, 30), 57: (0, 145), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 7: (0, 212), 60: (0, 42), 29: (0, 43), 8: (0, 5), 87: (0, 213), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 23: (0, 214), 28: (0, 63), 25: (0, 64)}, 149: {32: (0, 90), 33: (0, 96), 34: (0, 95), 15: (1, {'@': 134}), 8: (1, {'@': 134}), 35: (1, {'@': 134}), 17: (1, {'@': 134}), 36: (0, 97), 1: (1, {'@': 134}), 38: (0, 89), 20: (1, {'@': 134}), 39: (0, 91), 4: (1, {'@': 134}), 23: (1, {'@': 134}), 25: (1, {'@': 134}), 0: (1, {'@': 134}), 40: (0, 98), 26: (1, {'@': 134}), 41: (0, 87), 27: (1, {'@': 134}), 28: (1, {'@': 134}), 29: (1, {'@': 134}), 42: (0, 85), 43: (0, 99), 31: (0, 93), 3: (1, {'@': 134}), 44: (0, 100), 45: (1, {'@': 134}), 16: (1, {'@': 134}), 18: (1, {'@': 134}), 46: (1, {'@': 134}), 19: (1, {'@': 134}), 21: (1, {'@': 134}), 24: (1, {'@': 134}), 2: (1, {'@': 134}), 47: (0, 94), 48: (0, 92), 30: (1, {'@': 134}), 49: (1, {'@': 134}), 77: (0, 84), 78: (0, 86)}, 150: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 215), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 151: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 35: (0, 216), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 152: {32: (1, {'@': 135}), 33: (1, {'@': 135}), 34: (1, {'@': 135}), 15: (1, {'@': 135}), 8: (1, {'@': 135}), 35: (1, {'@': 135}), 17: (1, {'@': 135}), 36: (1, {'@': 135}), 1: (1, {'@': 135}), 37: (1, {'@': 135}), 38: (1, {'@': 135}), 20: (1, {'@': 135}), 39: (1, {'@': 135}), 4: (1, {'@': 135}), 23: (1, {'@': 135}), 25: (0, 102), 0: (1, {'@': 135}), 40: (1, {'@': 135}), 26: (1, {'@': 135}), 41: (1, {'@': 135}), 27: (1, {'@': 135}), 28: (1, {'@': 135}), 29: (1, {'@': 135}), 42: (1, {'@': 135}), 43: (1, {'@': 135}), 31: (1, {'@': 135}), 3: (1, {'@': 135}), 44: (1, {'@': 135}), 45: (1, {'@': 135}), 16: (1, {'@': 135}), 18: (1, {'@': 135}), 46: (1, {'@': 135}), 19: (1, {'@': 135}), 21: (1, {'@': 135}), 24: (1, {'@': 135}), 2: (1, {'@': 135}), 47: (1, {'@': 135}), 48: (1, {'@': 135}), 30: (1, {'@': 135}), 49: (1, {'@': 135}), 50: (1, {'@': 135}), 79: (0, 217)}, 153: {32: (1, {'@': 136}), 33: (1, {'@': 136}), 34: (1, {'@': 136}), 15: (1, {'@': 136}), 8: (1, {'@': 136}), 35: (1, {'@': 136}), 17: (1, {'@': 136}), 36: (1, {'@': 136}), 1: (1, {'@': 136}), 37: (1, {'@': 136}), 38: (1, {'@': 136}), 20: (1, {'@': 136}), 39: (1, {'@': 136}), 4: (1, {'@': 136}), 23: (1, {'@': 136}), 25: (0, 102), 0: (1, {'@': 136}), 40: (1, {'@': 136}), 26: (1, {'@': 136}), 41: (1, {'@': 136}), 27: (1, {'@': 136}), 28: (1, {'@': 136}), 29: (1, {'@': 136}), 42: (1, {'@': 136}), 43: (1, {'@': 136}), 31: (1, {'@': 136}), 3: (1, {'@': 136}), 44: (1, {'@': 136}), 45: (1, {'@': 136}), 16: (1, {'@': 136}), 18: (1, {'@': 136}), 46: (1, {'@': 136}), 19: (1, {'@': 136}), 21: (1, {'@': 136}), 24: (1, {'@': 136}), 2: (1, {'@': 136}), 47: (1, {'@': 136}), 48: (1, {'@': 136}), 30: (1, {'@': 136}), 49: (1, {'@': 136}), 50: (1, {'@': 136})}, 154: {24: (0, 218)}, 155: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 1: (0, 2), 6: (0, 3), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 7: (0, 219), 47: (0, 94), 31: (0, 93), 34: (0, 95), 33: (0, 96), 4: (0, 8), 36: (0, 97), 0: (0, 10), 24: (0, 220), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 156: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 221), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 157: {32: (1, {'@': 137}), 33: (1, {'@': 137}), 34: (1, {'@': 137}), 15: (1, {'@': 137}), 8: (1, {'@': 137}), 35: (1, {'@': 137}), 17: (1, {'@': 137}), 36: (1, {'@': 137}), 1: (1, {'@': 137}), 37: (1, {'@': 137}), 38: (1, {'@': 137}), 20: (1, {'@': 137}), 39: (1, {'@': 137}), 4: (1, {'@': 137}), 23: (1, {'@': 137}), 25: (1, {'@': 137}), 0: (1, {'@': 137}), 40: (1, {'@': 137}), 26: (1, {'@': 137}), 41: (1, {'@': 137}), 27: (1, {'@': 137}), 28: (1, {'@': 137}), 29: (1, {'@': 137}), 42: (1, {'@': 137}), 43: (1, {'@': 137}), 31: (1, {'@': 137}), 3: (1, {'@': 137}), 44: (1, {'@': 137}), 45: (1, {'@': 137}), 16: (1, {'@': 137}), 18: (1, {'@': 137}), 46: (1, {'@': 137}), 19: (1, {'@': 137}), 21: (1, {'@': 137}), 24: (1, {'@': 137}), 2: (1, {'@': 137}), 47: (1, {'@': 137}), 48: (1, {'@': 137}), 30: (1, {'@': 137}), 49: (1, {'@': 137}), 50: (0, 158), 81: (0, 222)}, 158: {9: (0, 161), 8: (0, 5)}, 159: {32: (1, {'@': 138}), 33: (1, {'@': 138}), 34: (1, {'@': 138}), 15: (1, {'@': 138}), 8: (1, {'@': 138}), 35: (1, {'@': 138}), 17: (1, {'@': 138}), 36: (1, {'@': 138}), 1: (1, {'@': 138}), 37: (1, {'@': 138}), 38: (1, {'@': 138}), 20: (1, {'@': 138}), 39: (1, {'@': 138}), 4: (1, {'@': 138}), 23: (1, {'@': 138}), 25: (1, {'@': 138}), 0: (1, {'@': 138}), 40: (1, {'@': 138}), 26: (1, {'@': 138}), 41: (1, {'@': 138}), 27: (1, {'@': 138}), 28: (1, {'@': 138}), 29: (1, {'@': 138}), 42: (1, {'@': 138}), 43: (1, {'@': 138}), 31: (1, {'@': 138}), 3: (1, {'@': 138}), 44: (1, {'@': 138}), 45: (1, {'@': 138}), 16: (1, {'@': 138}), 18: (1, {'@': 138}), 46: (1, {'@': 138}), 19: (1, {'@': 138}), 21: (1, {'@': 138}), 24: (1, {'@': 138}), 2: (1, {'@': 138}), 47: (1, {'@': 138}), 48: (1, {'@': 138}), 30: (1, {'@': 138}), 49: (1, {'@': 138}), 50: (1, {'@': 138})}, 160: {32: (1, {'@': 139}), 33: (1, {'@': 139}), 34: (1, {'@': 139}), 15: (1, {'@': 139}), 8: (1, {'@': 139}), 35: (1, {'@': 139}), 17: (1, {'@': 139}), 36: (1, {'@': 139}), 1: (1, {'@': 139}), 37: (1, {'@': 139}), 38: (1, {'@': 139}), 20: (1, {'@': 139}), 39: (1, {'@': 139}), 4: (1, {'@': 139}), 23: (1, {'@': 139}), 25: (0, 102), 0: (1, {'@': 139}), 40: (1, {'@': 139}), 26: (1, {'@': 139}), 41: (1, {'@': 139}), 27: (1, {'@': 139}), 28: (1, {'@': 139}), 29: (1, {'@': 139}), 42: (1, {'@': 139}), 43: (1, {'@': 139}), 31: (1, {'@': 139}), 3: (1, {'@': 139}), 44: (1, {'@': 139}), 45: (1, {'@': 139}), 16: (1, {'@': 139}), 18: (1, {'@': 139}), 46: (1, {'@': 139}), 19: (1, {'@': 139}), 21: (1, {'@': 139}), 24: (1, {'@': 139}), 2: (1, {'@': 139}), 47: (1, {'@': 139}), 48: (1, {'@': 139}), 30: (1, {'@': 139}), 49: (1, {'@': 139}), 50: (1, {'@': 139})}, 161: {32: (1, {'@': 140}), 33: (1, {'@': 140}), 34: (1, {'@': 140}), 15: (1, {'@': 140}), 8: (1, {'@': 140}), 35: (1, {'@': 140}), 17: (1, {'@': 140}), 36: (1, {'@': 140}), 1: (1, {'@': 140}), 37: (1, {'@': 140}), 38: (1, {'@': 140}), 20: (1, {'@': 140}), 39: (1, {'@': 140}), 4: (1, {'@': 140}), 23: (1, {'@': 140}), 25: (1, {'@': 140}), 0: (1, {'@': 140}), 40: (1, {'@': 140}), 26: (1, {'@': 140}), 41: (1, {'@': 140}), 27: (1, {'@': 140}), 28: (1, {'@': 140}), 29: (1, {'@': 140}), 42: (1, {'@': 140}), 43: (1, {'@': 140}), 31: (1, {'@': 140}), 3: (1, {'@': 140}), 44: (1, {'@': 140}), 45: (1, {'@': 140}), 16: (1, {'@': 140}), 18: (1, {'@': 140}), 46: (1, {'@': 140}), 19: (1, {'@': 140}), 21: (1, {'@': 140}), 24: (1, {'@': 140}), 2: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 30: (1, {'@': 140}), 49: (1, {'@': 140}), 50: (1, {'@': 140})}, 162: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 223)}, 163: {3: (0, 224)}, 164: {0: (1, {'@': 141}), 1: (1, {'@': 141}), 2: (1, {'@': 141}), 8: (1, {'@': 141}), 3: (1, {'@': 141}), 4: (1, {'@': 141})}, 165: {9: (0, 225), 8: (0, 5)}, 166: {22: (0, 226)}, 167: {52: (0, 29), 53: (0, 30), 7: (0, 227), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 228), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 168: {26: (0, 229), 7: (0, 230), 1: (0, 2), 6: (0, 3), 22: (0, 231), 4: (0, 8), 0: (0, 10)}, 169: {7: (0, 232), 26: (0, 233), 1: (0, 2), 6: (0, 3), 24: (0, 234), 4: (0, 8), 0: (0, 10)}, 170: {26: (0, 235), 7: (0, 236), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 24: (0, 237)}, 171: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 186), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 7: (0, 238), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 24: (0, 239), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 172: {32: (1, {'@': 142}), 33: (1, {'@': 142}), 34: (1, {'@': 142}), 15: (1, {'@': 142}), 8: (1, {'@': 142}), 35: (1, {'@': 142}), 17: (1, {'@': 142}), 36: (1, {'@': 142}), 1: (1, {'@': 142}), 37: (1, {'@': 142}), 38: (1, {'@': 142}), 20: (1, {'@': 142}), 39: (1, {'@': 142}), 4: (1, {'@': 142}), 23: (1, {'@': 142}), 25: (1, {'@': 142}), 0: (1, {'@': 142}), 40: (1, {'@': 142}), 26: (1, {'@': 142}), 41: (1, {'@': 142}), 27: (1, {'@': 142}), 28: (1, {'@': 142}), 29: (1, {'@': 142}), 42: (1, {'@': 142}), 43: (1, {'@': 142}), 31: (1, {'@': 142}), 3: (1, {'@': 142}), 44: (1, {'@': 142}), 45: (1, {'@': 142}), 16: (1, {'@': 142}), 18: (1, {'@': 142}), 46: (1, {'@': 142}), 19: (1, {'@': 142}), 21: (1, {'@': 142}), 24: (1, {'@': 142}), 2: (1, {'@': 142}), 47: (1, {'@': 142}), 48: (1, {'@': 142}), 30: (1, {'@': 142}), 49: (1, {'@': 142}), 50: (1, {'@': 142})}, 173: {7: (0, 240), 78: (0, 86), 24: (0, 241), 41: (0, 87), 6: (0, 3), 30: (0, 179), 48: (0, 92), 89: (0, 242), 31: (0, 93), 47: (0, 94), 0: (0, 10), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 174: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 243), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 175: {89: (0, 244), 78: (0, 86), 7: (0, 245), 41: (0, 87), 6: (0, 3), 30: (0, 179), 48: (0, 92), 31: (0, 93), 47: (0, 94), 0: (0, 10), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 24: (0, 246), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 176: {6: (0, 3), 4: (0, 8), 24: (0, 247), 7: (0, 248), 0: (0, 10), 1: (0, 2), 30: (0, 179), 89: (0, 249)}, 177: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 250), 24: (0, 251)}, 178: {32: (1, {'@': 143}), 33: (1, {'@': 143}), 34: (1, {'@': 143}), 15: (1, {'@': 143}), 8: (1, {'@': 143}), 35: (1, {'@': 143}), 17: (1, {'@': 143}), 36: (1, {'@': 143}), 1: (1, {'@': 143}), 37: (1, {'@': 143}), 38: (1, {'@': 143}), 20: (1, {'@': 143}), 39: (1, {'@': 143}), 4: (1, {'@': 143}), 23: (1, {'@': 143}), 25: (1, {'@': 143}), 0: (1, {'@': 143}), 40: (1, {'@': 143}), 26: (1, {'@': 143}), 41: (1, {'@': 143}), 27: (1, {'@': 143}), 28: (1, {'@': 143}), 29: (1, {'@': 143}), 42: (1, {'@': 143}), 43: (1, {'@': 143}), 31: (1, {'@': 143}), 3: (1, {'@': 143}), 44: (1, {'@': 143}), 45: (1, {'@': 143}), 16: (1, {'@': 143}), 18: (1, {'@': 143}), 46: (1, {'@': 143}), 19: (1, {'@': 143}), 21: (1, {'@': 143}), 24: (1, {'@': 143}), 2: (1, {'@': 143}), 47: (1, {'@': 143}), 48: (1, {'@': 143}), 30: (1, {'@': 143}), 49: (1, {'@': 143}), 50: (1, {'@': 143})}, 179: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 7: (0, 252), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 253), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 180: {26: (0, 254), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 255), 24: (0, 256)}, 181: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 257), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 24: (0, 258), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 7: (0, 259), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 182: {32: (1, {'@': 144}), 33: (1, {'@': 144}), 34: (1, {'@': 144}), 15: (1, {'@': 144}), 8: (1, {'@': 144}), 35: (1, {'@': 144}), 17: (1, {'@': 144}), 36: (1, {'@': 144}), 1: (1, {'@': 144}), 37: (1, {'@': 144}), 38: (1, {'@': 144}), 20: (1, {'@': 144}), 39: (1, {'@': 144}), 4: (1, {'@': 144}), 23: (1, {'@': 144}), 25: (1, {'@': 144}), 0: (1, {'@': 144}), 40: (1, {'@': 144}), 26: (1, {'@': 144}), 41: (1, {'@': 144}), 27: (1, {'@': 144}), 28: (1, {'@': 144}), 29: (1, {'@': 144}), 42: (1, {'@': 144}), 43: (1, {'@': 144}), 31: (1, {'@': 144}), 3: (1, {'@': 144}), 44: (1, {'@': 144}), 45: (1, {'@': 144}), 16: (1, {'@': 144}), 18: (1, {'@': 144}), 46: (1, {'@': 144}), 19: (1, {'@': 144}), 21: (1, {'@': 144}), 24: (1, {'@': 144}), 2: (1, {'@': 144}), 47: (1, {'@': 144}), 48: (1, {'@': 144}), 30: (1, {'@': 144}), 49: (1, {'@': 144}), 50: (1, {'@': 144})}, 183: {52: (0, 29), 53: (0, 30), 24: (0, 260), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 261), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 7: (0, 262), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 184: {24: (0, 263)}, 185: {32: (1, {'@': 145}), 33: (1, {'@': 145}), 34: (1, {'@': 145}), 15: (1, {'@': 145}), 8: (1, {'@': 145}), 35: (1, {'@': 145}), 17: (1, {'@': 145}), 36: (1, {'@': 145}), 1: (1, {'@': 145}), 37: (1, {'@': 145}), 38: (1, {'@': 145}), 20: (1, {'@': 145}), 39: (1, {'@': 145}), 4: (1, {'@': 145}), 23: (1, {'@': 145}), 25: (1, {'@': 145}), 0: (1, {'@': 145}), 40: (1, {'@': 145}), 26: (1, {'@': 145}), 41: (1, {'@': 145}), 27: (1, {'@': 145}), 28: (1, {'@': 145}), 29: (1, {'@': 145}), 42: (1, {'@': 145}), 43: (1, {'@': 145}), 31: (1, {'@': 145}), 3: (1, {'@': 145}), 44: (1, {'@': 145}), 45: (1, {'@': 145}), 16: (1, {'@': 145}), 18: (1, {'@': 145}), 46: (1, {'@': 145}), 19: (1, {'@': 145}), 21: (1, {'@': 145}), 24: (1, {'@': 145}), 2: (1, {'@': 145}), 47: (1, {'@': 145}), 48: (1, {'@': 145}), 30: (1, {'@': 145}), 49: (1, {'@': 145}), 50: (1, {'@': 145})}, 186: {24: (1, {'@': 146}), 23: (1, {'@': 146}), 0: (1, {'@': 146}), 1: (1, {'@': 146}), 26: (1, {'@': 146}), 49: (1, {'@': 146}), 4: (1, {'@': 146}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 187: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 57: (0, 264), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 24: (0, 265), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 188: {32: (1, {'@': 147}), 33: (1, {'@': 147}), 34: (1, {'@': 147}), 15: (1, {'@': 147}), 8: (1, {'@': 147}), 35: (1, {'@': 147}), 17: (1, {'@': 147}), 36: (1, {'@': 147}), 1: (1, {'@': 147}), 37: (1, {'@': 147}), 38: (1, {'@': 147}), 20: (1, {'@': 147}), 39: (1, {'@': 147}), 4: (1, {'@': 147}), 23: (1, {'@': 147}), 25: (1, {'@': 147}), 0: (1, {'@': 147}), 40: (1, {'@': 147}), 26: (1, {'@': 147}), 41: (1, {'@': 147}), 27: (1, {'@': 147}), 28: (1, {'@': 147}), 29: (1, {'@': 147}), 42: (1, {'@': 147}), 43: (1, {'@': 147}), 31: (1, {'@': 147}), 3: (1, {'@': 147}), 44: (1, {'@': 147}), 45: (1, {'@': 147}), 16: (1, {'@': 147}), 18: (1, {'@': 147}), 46: (1, {'@': 147}), 19: (1, {'@': 147}), 21: (1, {'@': 147}), 24: (1, {'@': 147}), 2: (1, {'@': 147}), 47: (1, {'@': 147}), 48: (1, {'@': 147}), 30: (1, {'@': 147}), 49: (1, {'@': 147}), 50: (1, {'@': 147})}, 189: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 46: (0, 266), 38: (0, 89), 32: (0, 90), 39: (0, 91), 47: (0, 94), 48: (0, 92), 31: (0, 93), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 190: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 76), 55: (0, 35), 9: (0, 78), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 76: (0, 200), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 3: (0, 267), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 191: {32: (1, {'@': 148}), 33: (1, {'@': 148}), 34: (1, {'@': 148}), 15: (1, {'@': 148}), 8: (1, {'@': 148}), 35: (1, {'@': 148}), 17: (1, {'@': 148}), 36: (1, {'@': 148}), 1: (1, {'@': 148}), 37: (1, {'@': 148}), 38: (1, {'@': 148}), 20: (1, {'@': 148}), 39: (1, {'@': 148}), 4: (1, {'@': 148}), 23: (1, {'@': 148}), 25: (1, {'@': 148}), 0: (1, {'@': 148}), 40: (1, {'@': 148}), 26: (1, {'@': 148}), 41: (1, {'@': 148}), 27: (1, {'@': 148}), 28: (1, {'@': 148}), 29: (1, {'@': 148}), 42: (1, {'@': 148}), 43: (1, {'@': 148}), 31: (1, {'@': 148}), 3: (1, {'@': 148}), 44: (1, {'@': 148}), 45: (1, {'@': 148}), 16: (1, {'@': 148}), 18: (1, {'@': 148}), 46: (1, {'@': 148}), 19: (1, {'@': 148}), 21: (1, {'@': 148}), 24: (1, {'@': 148}), 2: (1, {'@': 148}), 47: (1, {'@': 148}), 48: (1, {'@': 148}), 30: (1, {'@': 148}), 49: (1, {'@': 148}), 50: (1, {'@': 148})}, 192: {6: (0, 3), 3: (0, 268), 4: (0, 8), 26: (0, 139), 1: (0, 2), 0: (0, 10), 7: (0, 136), 86: (0, 269)}, 193: {0: (1, {'@': 149}), 1: (1, {'@': 149}), 26: (1, {'@': 149}), 3: (1, {'@': 149}), 4: (1, {'@': 149}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 194: {23: (0, 144), 0: (0, 10), 1: (0, 2), 4: (0, 8), 78: (0, 86), 41: (0, 87), 6: (0, 3), 26: (0, 206), 49: (0, 207), 48: (0, 92), 31: (0, 93), 47: (0, 94), 7: (0, 270), 84: (0, 209), 43: (0, 99), 77: (0, 84), 42: (0, 85), 38: (0, 89), 32: (0, 90), 39: (0, 91), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 195: {52: (0, 29), 53: (0, 30), 57: (0, 271), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 7: (0, 212), 60: (0, 42), 29: (0, 43), 8: (0, 5), 87: (0, 213), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 23: (0, 214), 28: (0, 63), 25: (0, 64)}, 196: {0: (1, {'@': 150}), 1: (1, {'@': 150}), 26: (1, {'@': 150}), 3: (1, {'@': 150}), 4: (1, {'@': 150}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 197: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 76), 55: (0, 35), 9: (0, 78), 76: (0, 272), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 3: (0, 273), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 198: {32: (1, {'@': 151}), 33: (1, {'@': 151}), 34: (1, {'@': 151}), 15: (1, {'@': 151}), 8: (1, {'@': 151}), 35: (1, {'@': 151}), 17: (1, {'@': 151}), 36: (1, {'@': 151}), 1: (1, {'@': 151}), 37: (1, {'@': 151}), 38: (1, {'@': 151}), 20: (1, {'@': 151}), 39: (1, {'@': 151}), 4: (1, {'@': 151}), 23: (1, {'@': 151}), 25: (1, {'@': 151}), 0: (1, {'@': 151}), 40: (1, {'@': 151}), 26: (1, {'@': 151}), 41: (1, {'@': 151}), 27: (1, {'@': 151}), 28: (1, {'@': 151}), 29: (1, {'@': 151}), 42: (1, {'@': 151}), 43: (1, {'@': 151}), 31: (1, {'@': 151}), 3: (1, {'@': 151}), 44: (1, {'@': 151}), 45: (1, {'@': 151}), 16: (1, {'@': 151}), 18: (1, {'@': 151}), 46: (1, {'@': 151}), 19: (1, {'@': 151}), 21: (1, {'@': 151}), 24: (1, {'@': 151}), 2: (1, {'@': 151}), 47: (1, {'@': 151}), 48: (1, {'@': 151}), 30: (1, {'@': 151}), 49: (1, {'@': 151}), 50: (1, {'@': 151})}, 199: {25: (1, {'@': 152}), 18: (1, {'@': 152}), 20: (1, {'@': 152}), 21: (1, {'@': 152}), 17: (1, {'@': 152}), 15: (1, {'@': 152}), 8: (1, {'@': 152}), 16: (1, {'@': 152}), 19: (1, {'@': 152}), 31: (1, {'@': 152}), 27: (1, {'@': 152}), 28: (1, {'@': 152}), 3: (1, {'@': 152}), 29: (1, {'@': 152})}, 200: {0: (1, {'@': 153}), 1: (1, {'@': 153}), 26: (1, {'@': 153}), 3: (1, {'@': 153}), 4: (1, {'@': 153})}, 201: {32: (1, {'@': 154}), 33: (1, {'@': 154}), 34: (1, {'@': 154}), 15: (1, {'@': 154}), 8: (1, {'@': 154}), 35: (1, {'@': 154}), 17: (1, {'@': 154}), 36: (1, {'@': 154}), 1: (1, {'@': 154}), 37: (1, {'@': 154}), 38: (1, {'@': 154}), 20: (1, {'@': 154}), 39: (1, {'@': 154}), 4: (1, {'@': 154}), 23: (1, {'@': 154}), 25: (1, {'@': 154}), 0: (1, {'@': 154}), 40: (1, {'@': 154}), 26: (1, {'@': 154}), 41: (1, {'@': 154}), 27: (1, {'@': 154}), 28: (1, {'@': 154}), 29: (1, {'@': 154}), 42: (1, {'@': 154}), 43: (1, {'@': 154}), 31: (1, {'@': 154}), 3: (1, {'@': 154}), 44: (1, {'@': 154}), 45: (1, {'@': 154}), 16: (1, {'@': 154}), 18: (1, {'@': 154}), 46: (1, {'@': 154}), 19: (1, {'@': 154}), 21: (1, {'@': 154}), 24: (1, {'@': 154}), 2: (1, {'@': 154}), 47: (1, {'@': 154}), 48: (1, {'@': 154}), 30: (1, {'@': 154}), 49: (1, {'@': 154}), 50: (1, {'@': 154})}, 202: {52: (0, 29), 53: (0, 30), 57: (0, 274), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 203: {32: (1, {'@': 155}), 33: (1, {'@': 155}), 34: (1, {'@': 155}), 15: (1, {'@': 155}), 8: (1, {'@': 155}), 35: (1, {'@': 155}), 17: (1, {'@': 155}), 36: (1, {'@': 155}), 1: (1, {'@': 155}), 37: (1, {'@': 155}), 38: (1, {'@': 155}), 20: (1, {'@': 155}), 39: (1, {'@': 155}), 4: (1, {'@': 155}), 23: (1, {'@': 155}), 25: (1, {'@': 155}), 0: (1, {'@': 155}), 40: (1, {'@': 155}), 26: (1, {'@': 155}), 41: (1, {'@': 155}), 27: (1, {'@': 155}), 28: (1, {'@': 155}), 29: (1, {'@': 155}), 42: (1, {'@': 155}), 43: (1, {'@': 155}), 31: (1, {'@': 155}), 3: (1, {'@': 155}), 44: (1, {'@': 155}), 45: (1, {'@': 155}), 16: (1, {'@': 155}), 18: (1, {'@': 155}), 46: (1, {'@': 155}), 19: (1, {'@': 155}), 21: (1, {'@': 155}), 24: (1, {'@': 155}), 2: (1, {'@': 155}), 47: (1, {'@': 155}), 48: (1, {'@': 155}), 30: (1, {'@': 155}), 49: (1, {'@': 155}), 50: (1, {'@': 155})}, 204: {23: (0, 275)}, 205: {32: (1, {'@': 156}), 33: (1, {'@': 156}), 34: (1, {'@': 156}), 15: (1, {'@': 156}), 8: (1, {'@': 156}), 35: (1, {'@': 156}), 17: (1, {'@': 156}), 36: (1, {'@': 156}), 1: (1, {'@': 156}), 37: (1, {'@': 156}), 38: (1, {'@': 156}), 20: (1, {'@': 156}), 39: (1, {'@': 156}), 4: (1, {'@': 156}), 23: (1, {'@': 156}), 25: (1, {'@': 156}), 0: (1, {'@': 156}), 40: (1, {'@': 156}), 26: (1, {'@': 156}), 41: (1, {'@': 156}), 27: (1, {'@': 156}), 28: (1, {'@': 156}), 29: (1, {'@': 156}), 42: (1, {'@': 156}), 43: (1, {'@': 156}), 31: (1, {'@': 156}), 3: (1, {'@': 156}), 44: (1, {'@': 156}), 45: (1, {'@': 156}), 16: (1, {'@': 156}), 18: (1, {'@': 156}), 46: (1, {'@': 156}), 19: (1, {'@': 156}), 21: (1, {'@': 156}), 24: (1, {'@': 156}), 2: (1, {'@': 156}), 47: (1, {'@': 156}), 48: (1, {'@': 156}), 30: (1, {'@': 156}), 49: (1, {'@': 156}), 50: (1, {'@': 156})}, 206: {23: (1, {'@': 157}), 0: (0, 10), 1: (0, 2), 4: (0, 8), 52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 186), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 7: (0, 276), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 207: {23: (1, {'@': 158}), 0: (0, 10), 1: (0, 2), 4: (0, 8), 6: (0, 3), 7: (0, 277)}, 208: {23: (1, {'@': 159}), 0: (1, {'@': 159}), 1: (1, {'@': 159}), 4: (1, {'@': 159}), 26: (0, 278)}, 209: {23: (1, {'@': 160}), 0: (0, 10), 1: (0, 2), 4: (0, 8), 49: (0, 279), 26: (0, 280), 7: (0, 281), 6: (0, 3)}, 210: {23: (0, 282)}, 211: {32: (1, {'@': 161}), 33: (1, {'@': 161}), 34: (1, {'@': 161}), 15: (1, {'@': 161}), 8: (1, {'@': 161}), 35: (1, {'@': 161}), 17: (1, {'@': 161}), 36: (1, {'@': 161}), 1: (1, {'@': 161}), 37: (1, {'@': 161}), 38: (1, {'@': 161}), 20: (1, {'@': 161}), 39: (1, {'@': 161}), 4: (1, {'@': 161}), 23: (1, {'@': 161}), 25: (1, {'@': 161}), 0: (1, {'@': 161}), 40: (1, {'@': 161}), 26: (1, {'@': 161}), 41: (1, {'@': 161}), 27: (1, {'@': 161}), 28: (1, {'@': 161}), 29: (1, {'@': 161}), 42: (1, {'@': 161}), 43: (1, {'@': 161}), 31: (1, {'@': 161}), 3: (1, {'@': 161}), 44: (1, {'@': 161}), 45: (1, {'@': 161}), 16: (1, {'@': 161}), 18: (1, {'@': 161}), 46: (1, {'@': 161}), 19: (1, {'@': 161}), 21: (1, {'@': 161}), 24: (1, {'@': 161}), 2: (1, {'@': 161}), 47: (1, {'@': 161}), 48: (1, {'@': 161}), 30: (1, {'@': 161}), 49: (1, {'@': 161}), 50: (1, {'@': 161})}, 212: {23: (0, 283)}, 213: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 284), 23: (0, 285)}, 214: {32: (1, {'@': 162}), 33: (1, {'@': 162}), 34: (1, {'@': 162}), 15: (1, {'@': 162}), 8: (1, {'@': 162}), 35: (1, {'@': 162}), 17: (1, {'@': 162}), 36: (1, {'@': 162}), 1: (1, {'@': 162}), 37: (1, {'@': 162}), 38: (1, {'@': 162}), 20: (1, {'@': 162}), 39: (1, {'@': 162}), 4: (1, {'@': 162}), 23: (1, {'@': 162}), 25: (1, {'@': 162}), 0: (1, {'@': 162}), 40: (1, {'@': 162}), 26: (1, {'@': 162}), 41: (1, {'@': 162}), 27: (1, {'@': 162}), 28: (1, {'@': 162}), 29: (1, {'@': 162}), 42: (1, {'@': 162}), 43: (1, {'@': 162}), 31: (1, {'@': 162}), 3: (1, {'@': 162}), 44: (1, {'@': 162}), 45: (1, {'@': 162}), 16: (1, {'@': 162}), 18: (1, {'@': 162}), 46: (1, {'@': 162}), 19: (1, {'@': 162}), 21: (1, {'@': 162}), 24: (1, {'@': 162}), 2: (1, {'@': 162}), 47: (1, {'@': 162}), 48: (1, {'@': 162}), 30: (1, {'@': 162}), 49: (1, {'@': 162}), 50: (1, {'@': 162})}, 215: {32: (0, 90), 33: (0, 96), 34: (0, 95), 15: (1, {'@': 163}), 8: (1, {'@': 163}), 35: (1, {'@': 163}), 17: (1, {'@': 163}), 36: (0, 97), 1: (1, {'@': 163}), 38: (0, 89), 20: (1, {'@': 163}), 39: (0, 91), 4: (1, {'@': 163}), 23: (1, {'@': 163}), 25: (1, {'@': 163}), 0: (1, {'@': 163}), 40: (0, 98), 26: (1, {'@': 163}), 41: (0, 87), 27: (1, {'@': 163}), 28: (1, {'@': 163}), 29: (1, {'@': 163}), 42: (0, 85), 43: (0, 99), 31: (0, 93), 3: (1, {'@': 163}), 44: (0, 100), 45: (1, {'@': 163}), 16: (1, {'@': 163}), 18: (1, {'@': 163}), 46: (1, {'@': 163}), 19: (1, {'@': 163}), 21: (1, {'@': 163}), 24: (1, {'@': 163}), 2: (1, {'@': 163}), 47: (0, 94), 48: (0, 92), 30: (1, {'@': 163}), 49: (1, {'@': 163}), 77: (0, 84), 78: (0, 86)}, 216: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 286), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 217: {59: (0, 287), 25: (0, 64)}, 218: {32: (1, {'@': 164}), 33: (1, {'@': 164}), 34: (1, {'@': 164}), 15: (1, {'@': 164}), 8: (1, {'@': 164}), 35: (1, {'@': 164}), 17: (1, {'@': 164}), 36: (1, {'@': 164}), 1: (1, {'@': 164}), 37: (1, {'@': 164}), 38: (1, {'@': 164}), 20: (1, {'@': 164}), 39: (1, {'@': 164}), 4: (1, {'@': 164}), 23: (1, {'@': 164}), 25: (1, {'@': 164}), 0: (1, {'@': 164}), 40: (1, {'@': 164}), 26: (1, {'@': 164}), 41: (1, {'@': 164}), 27: (1, {'@': 164}), 28: (1, {'@': 164}), 29: (1, {'@': 164}), 42: (1, {'@': 164}), 43: (1, {'@': 164}), 31: (1, {'@': 164}), 3: (1, {'@': 164}), 44: (1, {'@': 164}), 45: (1, {'@': 164}), 16: (1, {'@': 164}), 18: (1, {'@': 164}), 46: (1, {'@': 164}), 19: (1, {'@': 164}), 21: (0, 291), 24: (1, {'@': 164}), 2: (1, {'@': 164}), 47: (1, {'@': 164}), 48: (1, {'@': 164}), 30: (1, {'@': 164}), 49: (1, {'@': 164}), 50: (0, 110), 81: (0, 288), 90: (0, 289), 80: (0, 290)}, 219: {24: (0, 292)}, 220: {32: (1, {'@': 165}), 33: (1, {'@': 165}), 34: (1, {'@': 165}), 15: (1, {'@': 165}), 8: (1, {'@': 165}), 35: (1, {'@': 165}), 17: (1, {'@': 165}), 36: (1, {'@': 165}), 1: (1, {'@': 165}), 37: (1, {'@': 165}), 38: (1, {'@': 165}), 20: (1, {'@': 165}), 39: (1, {'@': 165}), 4: (1, {'@': 165}), 23: (1, {'@': 165}), 25: (1, {'@': 165}), 0: (1, {'@': 165}), 40: (1, {'@': 165}), 26: (1, {'@': 165}), 41: (1, {'@': 165}), 27: (1, {'@': 165}), 28: (1, {'@': 165}), 29: (1, {'@': 165}), 42: (1, {'@': 165}), 43: (1, {'@': 165}), 31: (1, {'@': 165}), 3: (1, {'@': 165}), 44: (1, {'@': 165}), 45: (1, {'@': 165}), 16: (1, {'@': 165}), 18: (1, {'@': 165}), 46: (1, {'@': 165}), 19: (1, {'@': 165}), 21: (1, {'@': 165}), 24: (1, {'@': 165}), 2: (1, {'@': 165}), 47: (1, {'@': 165}), 48: (1, {'@': 165}), 30: (1, {'@': 165}), 49: (1, {'@': 165}), 50: (1, {'@': 165})}, 221: {77: (0, 84), 7: (0, 293), 24: (0, 294), 42: (0, 85), 78: (0, 86), 41: (0, 87), 1: (0, 2), 6: (0, 3), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 4: (0, 8), 33: (0, 96), 36: (0, 97), 0: (0, 10), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 222: {32: (1, {'@': 166}), 33: (1, {'@': 166}), 34: (1, {'@': 166}), 15: (1, {'@': 166}), 8: (1, {'@': 166}), 35: (1, {'@': 166}), 17: (1, {'@': 166}), 36: (1, {'@': 166}), 1: (1, {'@': 166}), 37: (1, {'@': 166}), 38: (1, {'@': 166}), 20: (1, {'@': 166}), 39: (1, {'@': 166}), 4: (1, {'@': 166}), 23: (1, {'@': 166}), 25: (1, {'@': 166}), 0: (1, {'@': 166}), 40: (1, {'@': 166}), 26: (1, {'@': 166}), 41: (1, {'@': 166}), 27: (1, {'@': 166}), 28: (1, {'@': 166}), 29: (1, {'@': 166}), 42: (1, {'@': 166}), 43: (1, {'@': 166}), 31: (1, {'@': 166}), 3: (1, {'@': 166}), 44: (1, {'@': 166}), 45: (1, {'@': 166}), 16: (1, {'@': 166}), 18: (1, {'@': 166}), 46: (1, {'@': 166}), 19: (1, {'@': 166}), 21: (1, {'@': 166}), 24: (1, {'@': 166}), 2: (1, {'@': 166}), 47: (1, {'@': 166}), 48: (1, {'@': 166}), 30: (1, {'@': 166}), 49: (1, {'@': 166}), 50: (1, {'@': 166})}, 223: {0: (1, {'@': 167}), 1: (1, {'@': 167}), 2: (1, {'@': 167}), 8: (1, {'@': 167}), 3: (1, {'@': 167}), 4: (1, {'@': 167})}, 224: {7: (0, 295), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2)}, 225: {22: (0, 296), 7: (0, 297), 1: (0, 2), 6: (0, 3), 4: (0, 8), 0: (0, 10)}, 226: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 298), 7: (0, 299), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 227: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 300), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 228: {35: (0, 301), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 229: {9: (0, 302), 8: (0, 5)}, 230: {22: (0, 303)}, 231: {52: (0, 29), 53: (0, 30), 7: (0, 304), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 305), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 232: {7: (0, 306), 26: (0, 307), 6: (0, 3), 4: (0, 8), 24: (0, 308), 0: (0, 10), 1: (0, 2)}, 233: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 7: (0, 309), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 257), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 24: (0, 310), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 234: {32: (1, {'@': 168}), 33: (1, {'@': 168}), 34: (1, {'@': 168}), 15: (1, {'@': 168}), 8: (1, {'@': 168}), 35: (1, {'@': 168}), 17: (1, {'@': 168}), 36: (1, {'@': 168}), 1: (1, {'@': 168}), 37: (1, {'@': 168}), 38: (1, {'@': 168}), 20: (1, {'@': 168}), 39: (1, {'@': 168}), 4: (1, {'@': 168}), 23: (1, {'@': 168}), 25: (1, {'@': 168}), 0: (1, {'@': 168}), 40: (1, {'@': 168}), 26: (1, {'@': 168}), 41: (1, {'@': 168}), 27: (1, {'@': 168}), 28: (1, {'@': 168}), 29: (1, {'@': 168}), 42: (1, {'@': 168}), 43: (1, {'@': 168}), 31: (1, {'@': 168}), 3: (1, {'@': 168}), 44: (1, {'@': 168}), 45: (1, {'@': 168}), 16: (1, {'@': 168}), 18: (1, {'@': 168}), 46: (1, {'@': 168}), 19: (1, {'@': 168}), 21: (1, {'@': 168}), 24: (1, {'@': 168}), 2: (1, {'@': 168}), 47: (1, {'@': 168}), 48: (1, {'@': 168}), 30: (1, {'@': 168}), 49: (1, {'@': 168}), 50: (1, {'@': 168})}, 235: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 261), 7: (0, 311), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 24: (0, 312), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 236: {24: (0, 313)}, 237: {32: (1, {'@': 169}), 33: (1, {'@': 169}), 34: (1, {'@': 169}), 15: (1, {'@': 169}), 8: (1, {'@': 169}), 35: (1, {'@': 169}), 17: (1, {'@': 169}), 36: (1, {'@': 169}), 1: (1, {'@': 169}), 37: (1, {'@': 169}), 38: (1, {'@': 169}), 20: (1, {'@': 169}), 39: (1, {'@': 169}), 4: (1, {'@': 169}), 23: (1, {'@': 169}), 25: (1, {'@': 169}), 0: (1, {'@': 169}), 40: (1, {'@': 169}), 26: (1, {'@': 169}), 41: (1, {'@': 169}), 27: (1, {'@': 169}), 28: (1, {'@': 169}), 29: (1, {'@': 169}), 42: (1, {'@': 169}), 43: (1, {'@': 169}), 31: (1, {'@': 169}), 3: (1, {'@': 169}), 44: (1, {'@': 169}), 45: (1, {'@': 169}), 16: (1, {'@': 169}), 18: (1, {'@': 169}), 46: (1, {'@': 169}), 19: (1, {'@': 169}), 21: (1, {'@': 169}), 24: (1, {'@': 169}), 2: (1, {'@': 169}), 47: (1, {'@': 169}), 48: (1, {'@': 169}), 30: (1, {'@': 169}), 49: (1, {'@': 169}), 50: (1, {'@': 169})}, 238: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 24: (0, 314), 16: (0, 33), 57: (0, 264), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 239: {32: (1, {'@': 170}), 33: (1, {'@': 170}), 34: (1, {'@': 170}), 15: (1, {'@': 170}), 8: (1, {'@': 170}), 35: (1, {'@': 170}), 17: (1, {'@': 170}), 36: (1, {'@': 170}), 1: (1, {'@': 170}), 37: (1, {'@': 170}), 38: (1, {'@': 170}), 20: (1, {'@': 170}), 39: (1, {'@': 170}), 4: (1, {'@': 170}), 23: (1, {'@': 170}), 25: (1, {'@': 170}), 0: (1, {'@': 170}), 40: (1, {'@': 170}), 26: (1, {'@': 170}), 41: (1, {'@': 170}), 27: (1, {'@': 170}), 28: (1, {'@': 170}), 29: (1, {'@': 170}), 42: (1, {'@': 170}), 43: (1, {'@': 170}), 31: (1, {'@': 170}), 3: (1, {'@': 170}), 44: (1, {'@': 170}), 45: (1, {'@': 170}), 16: (1, {'@': 170}), 18: (1, {'@': 170}), 46: (1, {'@': 170}), 19: (1, {'@': 170}), 21: (1, {'@': 170}), 24: (1, {'@': 170}), 2: (1, {'@': 170}), 47: (1, {'@': 170}), 48: (1, {'@': 170}), 30: (1, {'@': 170}), 49: (1, {'@': 170}), 50: (1, {'@': 170})}, 240: {89: (0, 315), 7: (0, 316), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 30: (0, 179), 24: (0, 317)}, 241: {32: (1, {'@': 171}), 33: (1, {'@': 171}), 34: (1, {'@': 171}), 15: (1, {'@': 171}), 8: (1, {'@': 171}), 35: (1, {'@': 171}), 17: (1, {'@': 171}), 36: (1, {'@': 171}), 1: (1, {'@': 171}), 37: (1, {'@': 171}), 38: (1, {'@': 171}), 20: (1, {'@': 171}), 39: (1, {'@': 171}), 4: (1, {'@': 171}), 23: (1, {'@': 171}), 25: (1, {'@': 171}), 0: (1, {'@': 171}), 40: (1, {'@': 171}), 26: (1, {'@': 171}), 41: (1, {'@': 171}), 27: (1, {'@': 171}), 28: (1, {'@': 171}), 29: (1, {'@': 171}), 42: (1, {'@': 171}), 43: (1, {'@': 171}), 31: (1, {'@': 171}), 3: (1, {'@': 171}), 44: (1, {'@': 171}), 45: (1, {'@': 171}), 16: (1, {'@': 171}), 18: (1, {'@': 171}), 46: (1, {'@': 171}), 19: (1, {'@': 171}), 21: (1, {'@': 171}), 24: (1, {'@': 171}), 2: (1, {'@': 171}), 47: (1, {'@': 171}), 48: (1, {'@': 171}), 30: (1, {'@': 171}), 49: (1, {'@': 171}), 50: (1, {'@': 171})}, 242: {24: (0, 318), 7: (0, 319), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2)}, 243: {7: (0, 320), 89: (0, 321), 78: (0, 86), 41: (0, 87), 6: (0, 3), 30: (0, 179), 48: (0, 92), 31: (0, 93), 47: (0, 94), 0: (0, 10), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 24: (0, 322), 44: (0, 100)}, 244: {24: (0, 323), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 324)}, 245: {6: (0, 3), 89: (0, 325), 4: (0, 8), 0: (0, 10), 1: (0, 2), 30: (0, 179), 7: (0, 326), 24: (0, 327)}, 246: {32: (1, {'@': 172}), 33: (1, {'@': 172}), 34: (1, {'@': 172}), 15: (1, {'@': 172}), 8: (1, {'@': 172}), 35: (1, {'@': 172}), 17: (1, {'@': 172}), 36: (1, {'@': 172}), 1: (1, {'@': 172}), 37: (1, {'@': 172}), 38: (1, {'@': 172}), 20: (1, {'@': 172}), 39: (1, {'@': 172}), 4: (1, {'@': 172}), 23: (1, {'@': 172}), 25: (1, {'@': 172}), 0: (1, {'@': 172}), 40: (1, {'@': 172}), 26: (1, {'@': 172}), 41: (1, {'@': 172}), 27: (1, {'@': 172}), 28: (1, {'@': 172}), 29: (1, {'@': 172}), 42: (1, {'@': 172}), 43: (1, {'@': 172}), 31: (1, {'@': 172}), 3: (1, {'@': 172}), 44: (1, {'@': 172}), 45: (1, {'@': 172}), 16: (1, {'@': 172}), 18: (1, {'@': 172}), 46: (1, {'@': 172}), 19: (1, {'@': 172}), 21: (1, {'@': 172}), 24: (1, {'@': 172}), 2: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 30: (1, {'@': 172}), 49: (1, {'@': 172}), 50: (1, {'@': 172})}, 247: {32: (1, {'@': 173}), 33: (1, {'@': 173}), 34: (1, {'@': 173}), 15: (1, {'@': 173}), 8: (1, {'@': 173}), 35: (1, {'@': 173}), 17: (1, {'@': 173}), 36: (1, {'@': 173}), 1: (1, {'@': 173}), 37: (1, {'@': 173}), 38: (1, {'@': 173}), 20: (1, {'@': 173}), 39: (1, {'@': 173}), 4: (1, {'@': 173}), 23: (1, {'@': 173}), 25: (1, {'@': 173}), 0: (1, {'@': 173}), 40: (1, {'@': 173}), 26: (1, {'@': 173}), 41: (1, {'@': 173}), 27: (1, {'@': 173}), 28: (1, {'@': 173}), 29: (1, {'@': 173}), 42: (1, {'@': 173}), 43: (1, {'@': 173}), 31: (1, {'@': 173}), 3: (1, {'@': 173}), 44: (1, {'@': 173}), 45: (1, {'@': 173}), 16: (1, {'@': 173}), 18: (1, {'@': 173}), 46: (1, {'@': 173}), 19: (1, {'@': 173}), 21: (1, {'@': 173}), 24: (1, {'@': 173}), 2: (1, {'@': 173}), 47: (1, {'@': 173}), 48: (1, {'@': 173}), 30: (1, {'@': 173}), 49: (1, {'@': 173}), 50: (1, {'@': 173})}, 248: {24: (0, 328)}, 249: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 329), 24: (0, 330)}, 250: {24: (0, 331)}, 251: {32: (1, {'@': 174}), 33: (1, {'@': 174}), 34: (1, {'@': 174}), 15: (1, {'@': 174}), 8: (1, {'@': 174}), 35: (1, {'@': 174}), 17: (1, {'@': 174}), 36: (1, {'@': 174}), 1: (1, {'@': 174}), 37: (1, {'@': 174}), 38: (1, {'@': 174}), 20: (1, {'@': 174}), 39: (1, {'@': 174}), 4: (1, {'@': 174}), 23: (1, {'@': 174}), 25: (1, {'@': 174}), 0: (1, {'@': 174}), 40: (1, {'@': 174}), 26: (1, {'@': 174}), 41: (1, {'@': 174}), 27: (1, {'@': 174}), 28: (1, {'@': 174}), 29: (1, {'@': 174}), 42: (1, {'@': 174}), 43: (1, {'@': 174}), 31: (1, {'@': 174}), 3: (1, {'@': 174}), 44: (1, {'@': 174}), 45: (1, {'@': 174}), 16: (1, {'@': 174}), 18: (1, {'@': 174}), 46: (1, {'@': 174}), 19: (1, {'@': 174}), 21: (1, {'@': 174}), 24: (1, {'@': 174}), 2: (1, {'@': 174}), 47: (1, {'@': 174}), 48: (1, {'@': 174}), 30: (1, {'@': 174}), 49: (1, {'@': 174}), 50: (1, {'@': 174})}, 252: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 332), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 253: {24: (1, {'@': 175}), 0: (1, {'@': 175}), 1: (1, {'@': 175}), 3: (1, {'@': 175}), 4: (1, {'@': 175}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 254: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 7: (0, 333), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 334), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64), 24: (0, 335)}, 255: {24: (0, 336)}, 256: {32: (1, {'@': 176}), 33: (1, {'@': 176}), 34: (1, {'@': 176}), 15: (1, {'@': 176}), 8: (1, {'@': 176}), 35: (1, {'@': 176}), 17: (1, {'@': 176}), 36: (1, {'@': 176}), 1: (1, {'@': 176}), 37: (1, {'@': 176}), 38: (1, {'@': 176}), 20: (1, {'@': 176}), 39: (1, {'@': 176}), 4: (1, {'@': 176}), 23: (1, {'@': 176}), 25: (1, {'@': 176}), 0: (1, {'@': 176}), 40: (1, {'@': 176}), 26: (1, {'@': 176}), 41: (1, {'@': 176}), 27: (1, {'@': 176}), 28: (1, {'@': 176}), 29: (1, {'@': 176}), 42: (1, {'@': 176}), 43: (1, {'@': 176}), 31: (1, {'@': 176}), 3: (1, {'@': 176}), 44: (1, {'@': 176}), 45: (1, {'@': 176}), 16: (1, {'@': 176}), 18: (1, {'@': 176}), 46: (1, {'@': 176}), 19: (1, {'@': 176}), 21: (1, {'@': 176}), 24: (1, {'@': 176}), 2: (1, {'@': 176}), 47: (1, {'@': 176}), 48: (1, {'@': 176}), 30: (1, {'@': 176}), 49: (1, {'@': 176}), 50: (1, {'@': 176})}, 257: {24: (1, {'@': 177}), 23: (1, {'@': 177}), 0: (1, {'@': 177}), 1: (1, {'@': 177}), 26: (1, {'@': 177}), 49: (1, {'@': 177}), 4: (1, {'@': 177}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 258: {32: (1, {'@': 178}), 33: (1, {'@': 178}), 34: (1, {'@': 178}), 15: (1, {'@': 178}), 8: (1, {'@': 178}), 35: (1, {'@': 178}), 17: (1, {'@': 178}), 36: (1, {'@': 178}), 1: (1, {'@': 178}), 37: (1, {'@': 178}), 38: (1, {'@': 178}), 20: (1, {'@': 178}), 39: (1, {'@': 178}), 4: (1, {'@': 178}), 23: (1, {'@': 178}), 25: (1, {'@': 178}), 0: (1, {'@': 178}), 40: (1, {'@': 178}), 26: (1, {'@': 178}), 41: (1, {'@': 178}), 27: (1, {'@': 178}), 28: (1, {'@': 178}), 29: (1, {'@': 178}), 42: (1, {'@': 178}), 43: (1, {'@': 178}), 31: (1, {'@': 178}), 3: (1, {'@': 178}), 44: (1, {'@': 178}), 45: (1, {'@': 178}), 16: (1, {'@': 178}), 18: (1, {'@': 178}), 46: (1, {'@': 178}), 19: (1, {'@': 178}), 21: (1, {'@': 178}), 24: (1, {'@': 178}), 2: (1, {'@': 178}), 47: (1, {'@': 178}), 48: (1, {'@': 178}), 30: (1, {'@': 178}), 49: (1, {'@': 178}), 50: (1, {'@': 178})}, 259: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 337), 60: (0, 42), 29: (0, 43), 8: (0, 5), 24: (0, 338), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 260: {32: (1, {'@': 179}), 33: (1, {'@': 179}), 34: (1, {'@': 179}), 15: (1, {'@': 179}), 8: (1, {'@': 179}), 35: (1, {'@': 179}), 17: (1, {'@': 179}), 36: (1, {'@': 179}), 1: (1, {'@': 179}), 37: (1, {'@': 179}), 38: (1, {'@': 179}), 20: (1, {'@': 179}), 39: (1, {'@': 179}), 4: (1, {'@': 179}), 23: (1, {'@': 179}), 25: (1, {'@': 179}), 0: (1, {'@': 179}), 40: (1, {'@': 179}), 26: (1, {'@': 179}), 41: (1, {'@': 179}), 27: (1, {'@': 179}), 28: (1, {'@': 179}), 29: (1, {'@': 179}), 42: (1, {'@': 179}), 43: (1, {'@': 179}), 31: (1, {'@': 179}), 3: (1, {'@': 179}), 44: (1, {'@': 179}), 45: (1, {'@': 179}), 16: (1, {'@': 179}), 18: (1, {'@': 179}), 46: (1, {'@': 179}), 19: (1, {'@': 179}), 21: (1, {'@': 179}), 24: (1, {'@': 179}), 2: (1, {'@': 179}), 47: (1, {'@': 179}), 48: (1, {'@': 179}), 30: (1, {'@': 179}), 49: (1, {'@': 179}), 50: (1, {'@': 179})}, 261: {24: (1, {'@': 180}), 23: (1, {'@': 180}), 0: (1, {'@': 180}), 1: (1, {'@': 180}), 26: (1, {'@': 180}), 49: (1, {'@': 180}), 4: (1, {'@': 180}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 262: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 339), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 24: (0, 340), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 263: {32: (1, {'@': 181}), 33: (1, {'@': 181}), 34: (1, {'@': 181}), 15: (1, {'@': 181}), 8: (1, {'@': 181}), 35: (1, {'@': 181}), 17: (1, {'@': 181}), 36: (1, {'@': 181}), 1: (1, {'@': 181}), 37: (1, {'@': 181}), 38: (1, {'@': 181}), 20: (1, {'@': 181}), 39: (1, {'@': 181}), 4: (1, {'@': 181}), 23: (1, {'@': 181}), 25: (1, {'@': 181}), 0: (1, {'@': 181}), 40: (1, {'@': 181}), 26: (1, {'@': 181}), 41: (1, {'@': 181}), 27: (1, {'@': 181}), 28: (1, {'@': 181}), 29: (1, {'@': 181}), 42: (1, {'@': 181}), 43: (1, {'@': 181}), 31: (1, {'@': 181}), 3: (1, {'@': 181}), 44: (1, {'@': 181}), 45: (1, {'@': 181}), 16: (1, {'@': 181}), 18: (1, {'@': 181}), 46: (1, {'@': 181}), 19: (1, {'@': 181}), 21: (1, {'@': 181}), 24: (1, {'@': 181}), 2: (1, {'@': 181}), 47: (1, {'@': 181}), 48: (1, {'@': 181}), 30: (1, {'@': 181}), 49: (1, {'@': 181}), 50: (1, {'@': 181})}, 264: {24: (1, {'@': 182}), 23: (1, {'@': 182}), 0: (1, {'@': 182}), 1: (1, {'@': 182}), 26: (1, {'@': 182}), 49: (1, {'@': 182}), 4: (1, {'@': 182}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 265: {32: (1, {'@': 183}), 33: (1, {'@': 183}), 34: (1, {'@': 183}), 15: (1, {'@': 183}), 8: (1, {'@': 183}), 35: (1, {'@': 183}), 17: (1, {'@': 183}), 36: (1, {'@': 183}), 1: (1, {'@': 183}), 37: (1, {'@': 183}), 38: (1, {'@': 183}), 20: (1, {'@': 183}), 39: (1, {'@': 183}), 4: (1, {'@': 183}), 23: (1, {'@': 183}), 25: (1, {'@': 183}), 0: (1, {'@': 183}), 40: (1, {'@': 183}), 26: (1, {'@': 183}), 41: (1, {'@': 183}), 27: (1, {'@': 183}), 28: (1, {'@': 183}), 29: (1, {'@': 183}), 42: (1, {'@': 183}), 43: (1, {'@': 183}), 31: (1, {'@': 183}), 3: (1, {'@': 183}), 44: (1, {'@': 183}), 45: (1, {'@': 183}), 16: (1, {'@': 183}), 18: (1, {'@': 183}), 46: (1, {'@': 183}), 19: (1, {'@': 183}), 21: (1, {'@': 183}), 24: (1, {'@': 183}), 2: (1, {'@': 183}), 47: (1, {'@': 183}), 48: (1, {'@': 183}), 30: (1, {'@': 183}), 49: (1, {'@': 183}), 50: (1, {'@': 183})}, 266: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 341), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 267: {32: (1, {'@': 184}), 33: (1, {'@': 184}), 34: (1, {'@': 184}), 15: (1, {'@': 184}), 8: (1, {'@': 184}), 35: (1, {'@': 184}), 17: (1, {'@': 184}), 36: (1, {'@': 184}), 1: (1, {'@': 184}), 37: (1, {'@': 184}), 38: (1, {'@': 184}), 20: (1, {'@': 184}), 39: (1, {'@': 184}), 4: (1, {'@': 184}), 23: (1, {'@': 184}), 25: (1, {'@': 184}), 0: (1, {'@': 184}), 40: (1, {'@': 184}), 26: (1, {'@': 184}), 41: (1, {'@': 184}), 27: (1, {'@': 184}), 28: (1, {'@': 184}), 29: (1, {'@': 184}), 42: (1, {'@': 184}), 43: (1, {'@': 184}), 31: (1, {'@': 184}), 3: (1, {'@': 184}), 44: (1, {'@': 184}), 45: (1, {'@': 184}), 16: (1, {'@': 184}), 18: (1, {'@': 184}), 46: (1, {'@': 184}), 19: (1, {'@': 184}), 21: (1, {'@': 184}), 24: (1, {'@': 184}), 2: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 30: (1, {'@': 184}), 49: (1, {'@': 184}), 50: (1, {'@': 184})}, 268: {32: (1, {'@': 185}), 33: (1, {'@': 185}), 34: (1, {'@': 185}), 15: (1, {'@': 185}), 8: (1, {'@': 185}), 35: (1, {'@': 185}), 17: (1, {'@': 185}), 36: (1, {'@': 185}), 1: (1, {'@': 185}), 37: (1, {'@': 185}), 38: (1, {'@': 185}), 20: (1, {'@': 185}), 39: (1, {'@': 185}), 4: (1, {'@': 185}), 23: (1, {'@': 185}), 25: (1, {'@': 185}), 0: (1, {'@': 185}), 40: (1, {'@': 185}), 26: (1, {'@': 185}), 41: (1, {'@': 185}), 27: (1, {'@': 185}), 28: (1, {'@': 185}), 29: (1, {'@': 185}), 42: (1, {'@': 185}), 43: (1, {'@': 185}), 31: (1, {'@': 185}), 3: (1, {'@': 185}), 44: (1, {'@': 185}), 45: (1, {'@': 185}), 16: (1, {'@': 185}), 18: (1, {'@': 185}), 46: (1, {'@': 185}), 19: (1, {'@': 185}), 21: (1, {'@': 185}), 24: (1, {'@': 185}), 2: (1, {'@': 185}), 47: (1, {'@': 185}), 48: (1, {'@': 185}), 30: (1, {'@': 185}), 49: (1, {'@': 185}), 50: (1, {'@': 185})}, 269: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 76), 55: (0, 35), 9: (0, 78), 76: (0, 272), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 3: (0, 342), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 270: {23: (0, 205), 0: (1, {'@': 159}), 1: (1, {'@': 159}), 4: (1, {'@': 159}), 26: (0, 278)}, 271: {23: (0, 203), 0: (0, 10), 1: (0, 2), 4: (0, 8), 78: (0, 86), 41: (0, 87), 6: (0, 3), 7: (0, 343), 26: (0, 206), 49: (0, 207), 48: (0, 92), 31: (0, 93), 47: (0, 94), 84: (0, 209), 43: (0, 99), 77: (0, 84), 42: (0, 85), 38: (0, 89), 32: (0, 90), 39: (0, 91), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 272: {0: (1, {'@': 186}), 1: (1, {'@': 186}), 26: (1, {'@': 186}), 3: (1, {'@': 186}), 4: (1, {'@': 186})}, 273: {32: (1, {'@': 187}), 33: (1, {'@': 187}), 34: (1, {'@': 187}), 15: (1, {'@': 187}), 8: (1, {'@': 187}), 35: (1, {'@': 187}), 17: (1, {'@': 187}), 36: (1, {'@': 187}), 1: (1, {'@': 187}), 37: (1, {'@': 187}), 38: (1, {'@': 187}), 20: (1, {'@': 187}), 39: (1, {'@': 187}), 4: (1, {'@': 187}), 23: (1, {'@': 187}), 25: (1, {'@': 187}), 0: (1, {'@': 187}), 40: (1, {'@': 187}), 26: (1, {'@': 187}), 41: (1, {'@': 187}), 27: (1, {'@': 187}), 28: (1, {'@': 187}), 29: (1, {'@': 187}), 42: (1, {'@': 187}), 43: (1, {'@': 187}), 31: (1, {'@': 187}), 3: (1, {'@': 187}), 44: (1, {'@': 187}), 45: (1, {'@': 187}), 16: (1, {'@': 187}), 18: (1, {'@': 187}), 46: (1, {'@': 187}), 19: (1, {'@': 187}), 21: (1, {'@': 187}), 24: (1, {'@': 187}), 2: (1, {'@': 187}), 47: (1, {'@': 187}), 48: (1, {'@': 187}), 30: (1, {'@': 187}), 49: (1, {'@': 187}), 50: (1, {'@': 187})}, 274: {49: (0, 344), 78: (0, 86), 41: (0, 87), 6: (0, 3), 30: (0, 179), 3: (0, 345), 7: (0, 346), 48: (0, 92), 47: (0, 94), 31: (0, 93), 0: (0, 10), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 89: (0, 347), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 275: {32: (1, {'@': 188}), 33: (1, {'@': 188}), 34: (1, {'@': 188}), 15: (1, {'@': 188}), 8: (1, {'@': 188}), 35: (1, {'@': 188}), 17: (1, {'@': 188}), 36: (1, {'@': 188}), 1: (1, {'@': 188}), 37: (1, {'@': 188}), 38: (1, {'@': 188}), 20: (1, {'@': 188}), 39: (1, {'@': 188}), 4: (1, {'@': 188}), 23: (1, {'@': 188}), 25: (1, {'@': 188}), 0: (1, {'@': 188}), 40: (1, {'@': 188}), 26: (1, {'@': 188}), 41: (1, {'@': 188}), 27: (1, {'@': 188}), 28: (1, {'@': 188}), 29: (1, {'@': 188}), 42: (1, {'@': 188}), 43: (1, {'@': 188}), 31: (1, {'@': 188}), 3: (1, {'@': 188}), 44: (1, {'@': 188}), 45: (1, {'@': 188}), 16: (1, {'@': 188}), 18: (1, {'@': 188}), 46: (1, {'@': 188}), 19: (1, {'@': 188}), 21: (1, {'@': 188}), 24: (1, {'@': 188}), 2: (1, {'@': 188}), 47: (1, {'@': 188}), 48: (1, {'@': 188}), 30: (1, {'@': 188}), 49: (1, {'@': 188}), 50: (1, {'@': 188})}, 276: {23: (1, {'@': 189}), 0: (1, {'@': 189}), 1: (1, {'@': 189}), 4: (1, {'@': 189}), 52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 57: (0, 264), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 277: {23: (1, {'@': 190}), 0: (1, {'@': 190}), 1: (1, {'@': 190}), 4: (1, {'@': 190})}, 278: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 261), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 7: (0, 348), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 279: {23: (1, {'@': 191}), 0: (0, 10), 1: (0, 2), 4: (0, 8), 6: (0, 3), 7: (0, 349)}, 280: {23: (1, {'@': 192}), 0: (0, 10), 1: (0, 2), 4: (0, 8), 52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 7: (0, 350), 57: (0, 257), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 281: {23: (1, {'@': 193}), 0: (1, {'@': 193}), 1: (1, {'@': 193}), 4: (1, {'@': 193}), 26: (0, 351)}, 282: {32: (1, {'@': 194}), 33: (1, {'@': 194}), 34: (1, {'@': 194}), 15: (1, {'@': 194}), 8: (1, {'@': 194}), 35: (1, {'@': 194}), 17: (1, {'@': 194}), 36: (1, {'@': 194}), 1: (1, {'@': 194}), 37: (1, {'@': 194}), 38: (1, {'@': 194}), 20: (1, {'@': 194}), 39: (1, {'@': 194}), 4: (1, {'@': 194}), 23: (1, {'@': 194}), 25: (1, {'@': 194}), 0: (1, {'@': 194}), 40: (1, {'@': 194}), 26: (1, {'@': 194}), 41: (1, {'@': 194}), 27: (1, {'@': 194}), 28: (1, {'@': 194}), 29: (1, {'@': 194}), 42: (1, {'@': 194}), 43: (1, {'@': 194}), 31: (1, {'@': 194}), 3: (1, {'@': 194}), 44: (1, {'@': 194}), 45: (1, {'@': 194}), 16: (1, {'@': 194}), 18: (1, {'@': 194}), 46: (1, {'@': 194}), 19: (1, {'@': 194}), 21: (1, {'@': 194}), 24: (1, {'@': 194}), 2: (1, {'@': 194}), 47: (1, {'@': 194}), 48: (1, {'@': 194}), 30: (1, {'@': 194}), 49: (1, {'@': 194}), 50: (1, {'@': 194})}, 283: {32: (1, {'@': 195}), 33: (1, {'@': 195}), 34: (1, {'@': 195}), 15: (1, {'@': 195}), 8: (1, {'@': 195}), 35: (1, {'@': 195}), 17: (1, {'@': 195}), 36: (1, {'@': 195}), 1: (1, {'@': 195}), 37: (1, {'@': 195}), 38: (1, {'@': 195}), 20: (1, {'@': 195}), 39: (1, {'@': 195}), 4: (1, {'@': 195}), 23: (1, {'@': 195}), 25: (1, {'@': 195}), 0: (1, {'@': 195}), 40: (1, {'@': 195}), 26: (1, {'@': 195}), 41: (1, {'@': 195}), 27: (1, {'@': 195}), 28: (1, {'@': 195}), 29: (1, {'@': 195}), 42: (1, {'@': 195}), 43: (1, {'@': 195}), 31: (1, {'@': 195}), 3: (1, {'@': 195}), 44: (1, {'@': 195}), 45: (1, {'@': 195}), 16: (1, {'@': 195}), 18: (1, {'@': 195}), 46: (1, {'@': 195}), 19: (1, {'@': 195}), 21: (1, {'@': 195}), 24: (1, {'@': 195}), 2: (1, {'@': 195}), 47: (1, {'@': 195}), 48: (1, {'@': 195}), 30: (1, {'@': 195}), 49: (1, {'@': 195}), 50: (1, {'@': 195})}, 284: {23: (0, 352)}, 285: {32: (1, {'@': 196}), 33: (1, {'@': 196}), 34: (1, {'@': 196}), 15: (1, {'@': 196}), 8: (1, {'@': 196}), 35: (1, {'@': 196}), 17: (1, {'@': 196}), 36: (1, {'@': 196}), 1: (1, {'@': 196}), 37: (1, {'@': 196}), 38: (1, {'@': 196}), 20: (1, {'@': 196}), 39: (1, {'@': 196}), 4: (1, {'@': 196}), 23: (1, {'@': 196}), 25: (1, {'@': 196}), 0: (1, {'@': 196}), 40: (1, {'@': 196}), 26: (1, {'@': 196}), 41: (1, {'@': 196}), 27: (1, {'@': 196}), 28: (1, {'@': 196}), 29: (1, {'@': 196}), 42: (1, {'@': 196}), 43: (1, {'@': 196}), 31: (1, {'@': 196}), 3: (1, {'@': 196}), 44: (1, {'@': 196}), 45: (1, {'@': 196}), 16: (1, {'@': 196}), 18: (1, {'@': 196}), 46: (1, {'@': 196}), 19: (1, {'@': 196}), 21: (1, {'@': 196}), 24: (1, {'@': 196}), 2: (1, {'@': 196}), 47: (1, {'@': 196}), 48: (1, {'@': 196}), 30: (1, {'@': 196}), 49: (1, {'@': 196}), 50: (1, {'@': 196})}, 286: {32: (0, 90), 33: (0, 96), 34: (0, 95), 15: (1, {'@': 197}), 8: (1, {'@': 197}), 35: (1, {'@': 197}), 17: (1, {'@': 197}), 36: (0, 97), 1: (1, {'@': 197}), 38: (0, 89), 20: (1, {'@': 197}), 39: (0, 91), 4: (1, {'@': 197}), 23: (1, {'@': 197}), 25: (1, {'@': 197}), 0: (1, {'@': 197}), 40: (0, 98), 26: (1, {'@': 197}), 41: (0, 87), 27: (1, {'@': 197}), 28: (1, {'@': 197}), 29: (1, {'@': 197}), 42: (0, 85), 43: (0, 99), 31: (0, 93), 3: (1, {'@': 197}), 44: (0, 100), 45: (1, {'@': 197}), 16: (1, {'@': 197}), 18: (1, {'@': 197}), 46: (1, {'@': 197}), 19: (1, {'@': 197}), 21: (1, {'@': 197}), 24: (1, {'@': 197}), 2: (1, {'@': 197}), 47: (0, 94), 48: (0, 92), 30: (1, {'@': 197}), 49: (1, {'@': 197}), 77: (0, 84), 78: (0, 86)}, 287: {32: (1, {'@': 198}), 33: (1, {'@': 198}), 34: (1, {'@': 198}), 15: (1, {'@': 198}), 8: (1, {'@': 198}), 35: (1, {'@': 198}), 17: (1, {'@': 198}), 36: (1, {'@': 198}), 1: (1, {'@': 198}), 37: (1, {'@': 198}), 38: (1, {'@': 198}), 20: (1, {'@': 198}), 39: (1, {'@': 198}), 4: (1, {'@': 198}), 23: (1, {'@': 198}), 25: (0, 102), 0: (1, {'@': 198}), 40: (1, {'@': 198}), 26: (1, {'@': 198}), 41: (1, {'@': 198}), 27: (1, {'@': 198}), 28: (1, {'@': 198}), 29: (1, {'@': 198}), 42: (1, {'@': 198}), 43: (1, {'@': 198}), 31: (1, {'@': 198}), 3: (1, {'@': 198}), 44: (1, {'@': 198}), 45: (1, {'@': 198}), 16: (1, {'@': 198}), 18: (1, {'@': 198}), 46: (1, {'@': 198}), 19: (1, {'@': 198}), 21: (1, {'@': 198}), 24: (1, {'@': 198}), 2: (1, {'@': 198}), 47: (1, {'@': 198}), 48: (1, {'@': 198}), 30: (1, {'@': 198}), 49: (1, {'@': 198}), 50: (1, {'@': 198})}, 288: {32: (1, {'@': 199}), 33: (1, {'@': 199}), 34: (1, {'@': 199}), 15: (1, {'@': 199}), 8: (1, {'@': 199}), 35: (1, {'@': 199}), 17: (1, {'@': 199}), 36: (1, {'@': 199}), 1: (1, {'@': 199}), 37: (1, {'@': 199}), 38: (1, {'@': 199}), 20: (1, {'@': 199}), 39: (1, {'@': 199}), 4: (1, {'@': 199}), 23: (1, {'@': 199}), 25: (1, {'@': 199}), 0: (1, {'@': 199}), 40: (1, {'@': 199}), 26: (1, {'@': 199}), 41: (1, {'@': 199}), 27: (1, {'@': 199}), 28: (1, {'@': 199}), 29: (1, {'@': 199}), 42: (1, {'@': 199}), 43: (1, {'@': 199}), 31: (1, {'@': 199}), 3: (1, {'@': 199}), 44: (1, {'@': 199}), 45: (1, {'@': 199}), 16: (1, {'@': 199}), 18: (1, {'@': 199}), 46: (1, {'@': 199}), 19: (1, {'@': 199}), 21: (1, {'@': 199}), 24: (1, {'@': 199}), 2: (1, {'@': 199}), 47: (1, {'@': 199}), 48: (1, {'@': 199}), 30: (1, {'@': 199}), 49: (1, {'@': 199}), 50: (1, {'@': 199})}, 289: {32: (1, {'@': 200}), 33: (1, {'@': 200}), 34: (1, {'@': 200}), 15: (1, {'@': 200}), 8: (1, {'@': 200}), 35: (1, {'@': 200}), 17: (1, {'@': 200}), 36: (1, {'@': 200}), 1: (1, {'@': 200}), 37: (1, {'@': 200}), 38: (1, {'@': 200}), 20: (1, {'@': 200}), 39: (1, {'@': 200}), 4: (1, {'@': 200}), 23: (1, {'@': 200}), 25: (1, {'@': 200}), 0: (1, {'@': 200}), 40: (1, {'@': 200}), 26: (1, {'@': 200}), 41: (1, {'@': 200}), 27: (1, {'@': 200}), 28: (1, {'@': 200}), 29: (1, {'@': 200}), 42: (1, {'@': 200}), 43: (1, {'@': 200}), 31: (1, {'@': 200}), 3: (1, {'@': 200}), 44: (1, {'@': 200}), 45: (1, {'@': 200}), 16: (1, {'@': 200}), 18: (1, {'@': 200}), 46: (1, {'@': 200}), 19: (1, {'@': 200}), 21: (0, 291), 24: (1, {'@': 200}), 2: (1, {'@': 200}), 47: (1, {'@': 200}), 48: (1, {'@': 200}), 30: (1, {'@': 200}), 49: (1, {'@': 200}), 50: (0, 110), 80: (0, 353), 81: (0, 354)}, 290: {32: (1, {'@': 201}), 33: (1, {'@': 201}), 34: (1, {'@': 201}), 15: (1, {'@': 201}), 8: (1, {'@': 201}), 35: (1, {'@': 201}), 17: (1, {'@': 201}), 36: (1, {'@': 201}), 1: (1, {'@': 201}), 37: (1, {'@': 201}), 38: (1, {'@': 201}), 20: (1, {'@': 201}), 39: (1, {'@': 201}), 4: (1, {'@': 201}), 23: (1, {'@': 201}), 25: (1, {'@': 201}), 0: (1, {'@': 201}), 40: (1, {'@': 201}), 26: (1, {'@': 201}), 41: (1, {'@': 201}), 27: (1, {'@': 201}), 28: (1, {'@': 201}), 29: (1, {'@': 201}), 42: (1, {'@': 201}), 43: (1, {'@': 201}), 31: (1, {'@': 201}), 3: (1, {'@': 201}), 44: (1, {'@': 201}), 45: (1, {'@': 201}), 16: (1, {'@': 201}), 18: (1, {'@': 201}), 46: (1, {'@': 201}), 19: (1, {'@': 201}), 21: (1, {'@': 201}), 24: (1, {'@': 201}), 2: (1, {'@': 201}), 47: (1, {'@': 201}), 48: (1, {'@': 201}), 30: (1, {'@': 201}), 49: (1, {'@': 201}), 50: (1, {'@': 201})}, 291: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 155), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 7: (0, 156), 28: (0, 63), 25: (0, 64)}, 292: {32: (1, {'@': 202}), 33: (1, {'@': 202}), 34: (1, {'@': 202}), 15: (1, {'@': 202}), 8: (1, {'@': 202}), 35: (1, {'@': 202}), 17: (1, {'@': 202}), 36: (1, {'@': 202}), 1: (1, {'@': 202}), 37: (1, {'@': 202}), 38: (1, {'@': 202}), 20: (1, {'@': 202}), 39: (1, {'@': 202}), 4: (1, {'@': 202}), 23: (1, {'@': 202}), 25: (1, {'@': 202}), 0: (1, {'@': 202}), 40: (1, {'@': 202}), 26: (1, {'@': 202}), 41: (1, {'@': 202}), 27: (1, {'@': 202}), 28: (1, {'@': 202}), 29: (1, {'@': 202}), 42: (1, {'@': 202}), 43: (1, {'@': 202}), 31: (1, {'@': 202}), 3: (1, {'@': 202}), 44: (1, {'@': 202}), 45: (1, {'@': 202}), 16: (1, {'@': 202}), 18: (1, {'@': 202}), 46: (1, {'@': 202}), 19: (1, {'@': 202}), 21: (1, {'@': 202}), 24: (1, {'@': 202}), 2: (1, {'@': 202}), 47: (1, {'@': 202}), 48: (1, {'@': 202}), 30: (1, {'@': 202}), 49: (1, {'@': 202}), 50: (1, {'@': 202})}, 293: {24: (0, 355)}, 294: {32: (1, {'@': 203}), 33: (1, {'@': 203}), 34: (1, {'@': 203}), 15: (1, {'@': 203}), 8: (1, {'@': 203}), 35: (1, {'@': 203}), 17: (1, {'@': 203}), 36: (1, {'@': 203}), 1: (1, {'@': 203}), 37: (1, {'@': 203}), 38: (1, {'@': 203}), 20: (1, {'@': 203}), 39: (1, {'@': 203}), 4: (1, {'@': 203}), 23: (1, {'@': 203}), 25: (1, {'@': 203}), 0: (1, {'@': 203}), 40: (1, {'@': 203}), 26: (1, {'@': 203}), 41: (1, {'@': 203}), 27: (1, {'@': 203}), 28: (1, {'@': 203}), 29: (1, {'@': 203}), 42: (1, {'@': 203}), 43: (1, {'@': 203}), 31: (1, {'@': 203}), 3: (1, {'@': 203}), 44: (1, {'@': 203}), 45: (1, {'@': 203}), 16: (1, {'@': 203}), 18: (1, {'@': 203}), 46: (1, {'@': 203}), 19: (1, {'@': 203}), 21: (1, {'@': 203}), 24: (1, {'@': 203}), 2: (1, {'@': 203}), 47: (1, {'@': 203}), 48: (1, {'@': 203}), 30: (1, {'@': 203}), 49: (1, {'@': 203}), 50: (1, {'@': 203})}, 295: {0: (1, {'@': 204}), 1: (1, {'@': 204}), 2: (1, {'@': 204}), 8: (1, {'@': 204}), 3: (1, {'@': 204}), 4: (1, {'@': 204})}, 296: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 356), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 7: (0, 357), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 297: {6: (0, 3), 4: (0, 8), 7: (0, 358), 22: (0, 359), 1: (0, 2), 0: (0, 10)}, 298: {77: (0, 84), 42: (0, 85), 35: (0, 360), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 299: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 361), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 300: {35: (0, 362), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 301: {25: (1, {'@': 205}), 0: (0, 10), 15: (1, {'@': 205}), 8: (1, {'@': 205}), 16: (1, {'@': 205}), 27: (1, {'@': 205}), 28: (1, {'@': 205}), 17: (1, {'@': 205}), 29: (1, {'@': 205}), 18: (1, {'@': 205}), 1: (0, 2), 19: (1, {'@': 205}), 31: (1, {'@': 205}), 20: (1, {'@': 205}), 21: (1, {'@': 205}), 4: (0, 8), 7: (0, 363), 6: (0, 3)}, 302: {7: (0, 364), 22: (0, 365), 1: (0, 2), 6: (0, 3), 4: (0, 8), 0: (0, 10)}, 303: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 7: (0, 366), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 367), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 304: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 368), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 305: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 35: (0, 369), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 306: {24: (0, 370)}, 307: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 7: (0, 371), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 334), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 24: (0, 372), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 308: {32: (1, {'@': 206}), 33: (1, {'@': 206}), 34: (1, {'@': 206}), 15: (1, {'@': 206}), 8: (1, {'@': 206}), 35: (1, {'@': 206}), 17: (1, {'@': 206}), 36: (1, {'@': 206}), 1: (1, {'@': 206}), 37: (1, {'@': 206}), 38: (1, {'@': 206}), 20: (1, {'@': 206}), 39: (1, {'@': 206}), 4: (1, {'@': 206}), 23: (1, {'@': 206}), 25: (1, {'@': 206}), 0: (1, {'@': 206}), 40: (1, {'@': 206}), 26: (1, {'@': 206}), 41: (1, {'@': 206}), 27: (1, {'@': 206}), 28: (1, {'@': 206}), 29: (1, {'@': 206}), 42: (1, {'@': 206}), 43: (1, {'@': 206}), 31: (1, {'@': 206}), 3: (1, {'@': 206}), 44: (1, {'@': 206}), 45: (1, {'@': 206}), 16: (1, {'@': 206}), 18: (1, {'@': 206}), 46: (1, {'@': 206}), 19: (1, {'@': 206}), 21: (1, {'@': 206}), 24: (1, {'@': 206}), 2: (1, {'@': 206}), 47: (1, {'@': 206}), 48: (1, {'@': 206}), 30: (1, {'@': 206}), 49: (1, {'@': 206}), 50: (1, {'@': 206})}, 309: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 337), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 24: (0, 373), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 310: {32: (1, {'@': 207}), 33: (1, {'@': 207}), 34: (1, {'@': 207}), 15: (1, {'@': 207}), 8: (1, {'@': 207}), 35: (1, {'@': 207}), 17: (1, {'@': 207}), 36: (1, {'@': 207}), 1: (1, {'@': 207}), 37: (1, {'@': 207}), 38: (1, {'@': 207}), 20: (1, {'@': 207}), 39: (1, {'@': 207}), 4: (1, {'@': 207}), 23: (1, {'@': 207}), 25: (1, {'@': 207}), 0: (1, {'@': 207}), 40: (1, {'@': 207}), 26: (1, {'@': 207}), 41: (1, {'@': 207}), 27: (1, {'@': 207}), 28: (1, {'@': 207}), 29: (1, {'@': 207}), 42: (1, {'@': 207}), 43: (1, {'@': 207}), 31: (1, {'@': 207}), 3: (1, {'@': 207}), 44: (1, {'@': 207}), 45: (1, {'@': 207}), 16: (1, {'@': 207}), 18: (1, {'@': 207}), 46: (1, {'@': 207}), 19: (1, {'@': 207}), 21: (1, {'@': 207}), 24: (1, {'@': 207}), 2: (1, {'@': 207}), 47: (1, {'@': 207}), 48: (1, {'@': 207}), 30: (1, {'@': 207}), 49: (1, {'@': 207}), 50: (1, {'@': 207})}, 311: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 24: (0, 374), 57: (0, 339), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 312: {32: (1, {'@': 208}), 33: (1, {'@': 208}), 34: (1, {'@': 208}), 15: (1, {'@': 208}), 8: (1, {'@': 208}), 35: (1, {'@': 208}), 17: (1, {'@': 208}), 36: (1, {'@': 208}), 1: (1, {'@': 208}), 37: (1, {'@': 208}), 38: (1, {'@': 208}), 20: (1, {'@': 208}), 39: (1, {'@': 208}), 4: (1, {'@': 208}), 23: (1, {'@': 208}), 25: (1, {'@': 208}), 0: (1, {'@': 208}), 40: (1, {'@': 208}), 26: (1, {'@': 208}), 41: (1, {'@': 208}), 27: (1, {'@': 208}), 28: (1, {'@': 208}), 29: (1, {'@': 208}), 42: (1, {'@': 208}), 43: (1, {'@': 208}), 31: (1, {'@': 208}), 3: (1, {'@': 208}), 44: (1, {'@': 208}), 45: (1, {'@': 208}), 16: (1, {'@': 208}), 18: (1, {'@': 208}), 46: (1, {'@': 208}), 19: (1, {'@': 208}), 21: (1, {'@': 208}), 24: (1, {'@': 208}), 2: (1, {'@': 208}), 47: (1, {'@': 208}), 48: (1, {'@': 208}), 30: (1, {'@': 208}), 49: (1, {'@': 208}), 50: (1, {'@': 208})}, 313: {32: (1, {'@': 209}), 33: (1, {'@': 209}), 34: (1, {'@': 209}), 15: (1, {'@': 209}), 8: (1, {'@': 209}), 35: (1, {'@': 209}), 17: (1, {'@': 209}), 36: (1, {'@': 209}), 1: (1, {'@': 209}), 37: (1, {'@': 209}), 38: (1, {'@': 209}), 20: (1, {'@': 209}), 39: (1, {'@': 209}), 4: (1, {'@': 209}), 23: (1, {'@': 209}), 25: (1, {'@': 209}), 0: (1, {'@': 209}), 40: (1, {'@': 209}), 26: (1, {'@': 209}), 41: (1, {'@': 209}), 27: (1, {'@': 209}), 28: (1, {'@': 209}), 29: (1, {'@': 209}), 42: (1, {'@': 209}), 43: (1, {'@': 209}), 31: (1, {'@': 209}), 3: (1, {'@': 209}), 44: (1, {'@': 209}), 45: (1, {'@': 209}), 16: (1, {'@': 209}), 18: (1, {'@': 209}), 46: (1, {'@': 209}), 19: (1, {'@': 209}), 21: (1, {'@': 209}), 24: (1, {'@': 209}), 2: (1, {'@': 209}), 47: (1, {'@': 209}), 48: (1, {'@': 209}), 30: (1, {'@': 209}), 49: (1, {'@': 209}), 50: (1, {'@': 209})}, 314: {32: (1, {'@': 210}), 33: (1, {'@': 210}), 34: (1, {'@': 210}), 15: (1, {'@': 210}), 8: (1, {'@': 210}), 35: (1, {'@': 210}), 17: (1, {'@': 210}), 36: (1, {'@': 210}), 1: (1, {'@': 210}), 37: (1, {'@': 210}), 38: (1, {'@': 210}), 20: (1, {'@': 210}), 39: (1, {'@': 210}), 4: (1, {'@': 210}), 23: (1, {'@': 210}), 25: (1, {'@': 210}), 0: (1, {'@': 210}), 40: (1, {'@': 210}), 26: (1, {'@': 210}), 41: (1, {'@': 210}), 27: (1, {'@': 210}), 28: (1, {'@': 210}), 29: (1, {'@': 210}), 42: (1, {'@': 210}), 43: (1, {'@': 210}), 31: (1, {'@': 210}), 3: (1, {'@': 210}), 44: (1, {'@': 210}), 45: (1, {'@': 210}), 16: (1, {'@': 210}), 18: (1, {'@': 210}), 46: (1, {'@': 210}), 19: (1, {'@': 210}), 21: (1, {'@': 210}), 24: (1, {'@': 210}), 2: (1, {'@': 210}), 47: (1, {'@': 210}), 48: (1, {'@': 210}), 30: (1, {'@': 210}), 49: (1, {'@': 210}), 50: (1, {'@': 210})}, 315: {24: (0, 375), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 376)}, 316: {24: (0, 377)}, 317: {32: (1, {'@': 211}), 33: (1, {'@': 211}), 34: (1, {'@': 211}), 15: (1, {'@': 211}), 8: (1, {'@': 211}), 35: (1, {'@': 211}), 17: (1, {'@': 211}), 36: (1, {'@': 211}), 1: (1, {'@': 211}), 37: (1, {'@': 211}), 38: (1, {'@': 211}), 20: (1, {'@': 211}), 39: (1, {'@': 211}), 4: (1, {'@': 211}), 23: (1, {'@': 211}), 25: (1, {'@': 211}), 0: (1, {'@': 211}), 40: (1, {'@': 211}), 26: (1, {'@': 211}), 41: (1, {'@': 211}), 27: (1, {'@': 211}), 28: (1, {'@': 211}), 29: (1, {'@': 211}), 42: (1, {'@': 211}), 43: (1, {'@': 211}), 31: (1, {'@': 211}), 3: (1, {'@': 211}), 44: (1, {'@': 211}), 45: (1, {'@': 211}), 16: (1, {'@': 211}), 18: (1, {'@': 211}), 46: (1, {'@': 211}), 19: (1, {'@': 211}), 21: (1, {'@': 211}), 24: (1, {'@': 211}), 2: (1, {'@': 211}), 47: (1, {'@': 211}), 48: (1, {'@': 211}), 30: (1, {'@': 211}), 49: (1, {'@': 211}), 50: (1, {'@': 211})}, 318: {32: (1, {'@': 212}), 33: (1, {'@': 212}), 34: (1, {'@': 212}), 15: (1, {'@': 212}), 8: (1, {'@': 212}), 35: (1, {'@': 212}), 17: (1, {'@': 212}), 36: (1, {'@': 212}), 1: (1, {'@': 212}), 37: (1, {'@': 212}), 38: (1, {'@': 212}), 20: (1, {'@': 212}), 39: (1, {'@': 212}), 4: (1, {'@': 212}), 23: (1, {'@': 212}), 25: (1, {'@': 212}), 0: (1, {'@': 212}), 40: (1, {'@': 212}), 26: (1, {'@': 212}), 41: (1, {'@': 212}), 27: (1, {'@': 212}), 28: (1, {'@': 212}), 29: (1, {'@': 212}), 42: (1, {'@': 212}), 43: (1, {'@': 212}), 31: (1, {'@': 212}), 3: (1, {'@': 212}), 44: (1, {'@': 212}), 45: (1, {'@': 212}), 16: (1, {'@': 212}), 18: (1, {'@': 212}), 46: (1, {'@': 212}), 19: (1, {'@': 212}), 21: (1, {'@': 212}), 24: (1, {'@': 212}), 2: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 30: (1, {'@': 212}), 49: (1, {'@': 212}), 50: (1, {'@': 212})}, 319: {24: (0, 378)}, 320: {24: (0, 379), 6: (0, 3), 4: (0, 8), 89: (0, 380), 7: (0, 381), 0: (0, 10), 1: (0, 2), 30: (0, 179)}, 321: {24: (0, 382), 6: (0, 3), 4: (0, 8), 0: (0, 10), 7: (0, 383), 1: (0, 2)}, 322: {32: (1, {'@': 213}), 33: (1, {'@': 213}), 34: (1, {'@': 213}), 15: (1, {'@': 213}), 8: (1, {'@': 213}), 35: (1, {'@': 213}), 17: (1, {'@': 213}), 36: (1, {'@': 213}), 1: (1, {'@': 213}), 37: (1, {'@': 213}), 38: (1, {'@': 213}), 20: (1, {'@': 213}), 39: (1, {'@': 213}), 4: (1, {'@': 213}), 23: (1, {'@': 213}), 25: (1, {'@': 213}), 0: (1, {'@': 213}), 40: (1, {'@': 213}), 26: (1, {'@': 213}), 41: (1, {'@': 213}), 27: (1, {'@': 213}), 28: (1, {'@': 213}), 29: (1, {'@': 213}), 42: (1, {'@': 213}), 43: (1, {'@': 213}), 31: (1, {'@': 213}), 3: (1, {'@': 213}), 44: (1, {'@': 213}), 45: (1, {'@': 213}), 16: (1, {'@': 213}), 18: (1, {'@': 213}), 46: (1, {'@': 213}), 19: (1, {'@': 213}), 21: (1, {'@': 213}), 24: (1, {'@': 213}), 2: (1, {'@': 213}), 47: (1, {'@': 213}), 48: (1, {'@': 213}), 30: (1, {'@': 213}), 49: (1, {'@': 213}), 50: (1, {'@': 213})}, 323: {32: (1, {'@': 214}), 33: (1, {'@': 214}), 34: (1, {'@': 214}), 15: (1, {'@': 214}), 8: (1, {'@': 214}), 35: (1, {'@': 214}), 17: (1, {'@': 214}), 36: (1, {'@': 214}), 1: (1, {'@': 214}), 37: (1, {'@': 214}), 38: (1, {'@': 214}), 20: (1, {'@': 214}), 39: (1, {'@': 214}), 4: (1, {'@': 214}), 23: (1, {'@': 214}), 25: (1, {'@': 214}), 0: (1, {'@': 214}), 40: (1, {'@': 214}), 26: (1, {'@': 214}), 41: (1, {'@': 214}), 27: (1, {'@': 214}), 28: (1, {'@': 214}), 29: (1, {'@': 214}), 42: (1, {'@': 214}), 43: (1, {'@': 214}), 31: (1, {'@': 214}), 3: (1, {'@': 214}), 44: (1, {'@': 214}), 45: (1, {'@': 214}), 16: (1, {'@': 214}), 18: (1, {'@': 214}), 46: (1, {'@': 214}), 19: (1, {'@': 214}), 21: (1, {'@': 214}), 24: (1, {'@': 214}), 2: (1, {'@': 214}), 47: (1, {'@': 214}), 48: (1, {'@': 214}), 30: (1, {'@': 214}), 49: (1, {'@': 214}), 50: (1, {'@': 214})}, 324: {24: (0, 384)}, 325: {7: (0, 385), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 24: (0, 386)}, 326: {24: (0, 387)}, 327: {32: (1, {'@': 215}), 33: (1, {'@': 215}), 34: (1, {'@': 215}), 15: (1, {'@': 215}), 8: (1, {'@': 215}), 35: (1, {'@': 215}), 17: (1, {'@': 215}), 36: (1, {'@': 215}), 1: (1, {'@': 215}), 37: (1, {'@': 215}), 38: (1, {'@': 215}), 20: (1, {'@': 215}), 39: (1, {'@': 215}), 4: (1, {'@': 215}), 23: (1, {'@': 215}), 25: (1, {'@': 215}), 0: (1, {'@': 215}), 40: (1, {'@': 215}), 26: (1, {'@': 215}), 41: (1, {'@': 215}), 27: (1, {'@': 215}), 28: (1, {'@': 215}), 29: (1, {'@': 215}), 42: (1, {'@': 215}), 43: (1, {'@': 215}), 31: (1, {'@': 215}), 3: (1, {'@': 215}), 44: (1, {'@': 215}), 45: (1, {'@': 215}), 16: (1, {'@': 215}), 18: (1, {'@': 215}), 46: (1, {'@': 215}), 19: (1, {'@': 215}), 21: (1, {'@': 215}), 24: (1, {'@': 215}), 2: (1, {'@': 215}), 47: (1, {'@': 215}), 48: (1, {'@': 215}), 30: (1, {'@': 215}), 49: (1, {'@': 215}), 50: (1, {'@': 215})}, 328: {32: (1, {'@': 216}), 33: (1, {'@': 216}), 34: (1, {'@': 216}), 15: (1, {'@': 216}), 8: (1, {'@': 216}), 35: (1, {'@': 216}), 17: (1, {'@': 216}), 36: (1, {'@': 216}), 1: (1, {'@': 216}), 37: (1, {'@': 216}), 38: (1, {'@': 216}), 20: (1, {'@': 216}), 39: (1, {'@': 216}), 4: (1, {'@': 216}), 23: (1, {'@': 216}), 25: (1, {'@': 216}), 0: (1, {'@': 216}), 40: (1, {'@': 216}), 26: (1, {'@': 216}), 41: (1, {'@': 216}), 27: (1, {'@': 216}), 28: (1, {'@': 216}), 29: (1, {'@': 216}), 42: (1, {'@': 216}), 43: (1, {'@': 216}), 31: (1, {'@': 216}), 3: (1, {'@': 216}), 44: (1, {'@': 216}), 45: (1, {'@': 216}), 16: (1, {'@': 216}), 18: (1, {'@': 216}), 46: (1, {'@': 216}), 19: (1, {'@': 216}), 21: (1, {'@': 216}), 24: (1, {'@': 216}), 2: (1, {'@': 216}), 47: (1, {'@': 216}), 48: (1, {'@': 216}), 30: (1, {'@': 216}), 49: (1, {'@': 216}), 50: (1, {'@': 216})}, 329: {24: (0, 388)}, 330: {32: (1, {'@': 217}), 33: (1, {'@': 217}), 34: (1, {'@': 217}), 15: (1, {'@': 217}), 8: (1, {'@': 217}), 35: (1, {'@': 217}), 17: (1, {'@': 217}), 36: (1, {'@': 217}), 1: (1, {'@': 217}), 37: (1, {'@': 217}), 38: (1, {'@': 217}), 20: (1, {'@': 217}), 39: (1, {'@': 217}), 4: (1, {'@': 217}), 23: (1, {'@': 217}), 25: (1, {'@': 217}), 0: (1, {'@': 217}), 40: (1, {'@': 217}), 26: (1, {'@': 217}), 41: (1, {'@': 217}), 27: (1, {'@': 217}), 28: (1, {'@': 217}), 29: (1, {'@': 217}), 42: (1, {'@': 217}), 43: (1, {'@': 217}), 31: (1, {'@': 217}), 3: (1, {'@': 217}), 44: (1, {'@': 217}), 45: (1, {'@': 217}), 16: (1, {'@': 217}), 18: (1, {'@': 217}), 46: (1, {'@': 217}), 19: (1, {'@': 217}), 21: (1, {'@': 217}), 24: (1, {'@': 217}), 2: (1, {'@': 217}), 47: (1, {'@': 217}), 48: (1, {'@': 217}), 30: (1, {'@': 217}), 49: (1, {'@': 217}), 50: (1, {'@': 217})}, 331: {32: (1, {'@': 218}), 33: (1, {'@': 218}), 34: (1, {'@': 218}), 15: (1, {'@': 218}), 8: (1, {'@': 218}), 35: (1, {'@': 218}), 17: (1, {'@': 218}), 36: (1, {'@': 218}), 1: (1, {'@': 218}), 37: (1, {'@': 218}), 38: (1, {'@': 218}), 20: (1, {'@': 218}), 39: (1, {'@': 218}), 4: (1, {'@': 218}), 23: (1, {'@': 218}), 25: (1, {'@': 218}), 0: (1, {'@': 218}), 40: (1, {'@': 218}), 26: (1, {'@': 218}), 41: (1, {'@': 218}), 27: (1, {'@': 218}), 28: (1, {'@': 218}), 29: (1, {'@': 218}), 42: (1, {'@': 218}), 43: (1, {'@': 218}), 31: (1, {'@': 218}), 3: (1, {'@': 218}), 44: (1, {'@': 218}), 45: (1, {'@': 218}), 16: (1, {'@': 218}), 18: (1, {'@': 218}), 46: (1, {'@': 218}), 19: (1, {'@': 218}), 21: (1, {'@': 218}), 24: (1, {'@': 218}), 2: (1, {'@': 218}), 47: (1, {'@': 218}), 48: (1, {'@': 218}), 30: (1, {'@': 218}), 49: (1, {'@': 218}), 50: (1, {'@': 218})}, 332: {24: (1, {'@': 219}), 0: (1, {'@': 219}), 1: (1, {'@': 219}), 3: (1, {'@': 219}), 4: (1, {'@': 219}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 333: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 389), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 24: (0, 390), 28: (0, 63), 25: (0, 64)}, 334: {24: (1, {'@': 220}), 23: (1, {'@': 220}), 0: (1, {'@': 220}), 1: (1, {'@': 220}), 26: (1, {'@': 220}), 49: (1, {'@': 220}), 4: (1, {'@': 220}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 43: (0, 99), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 335: {32: (1, {'@': 221}), 33: (1, {'@': 221}), 34: (1, {'@': 221}), 15: (1, {'@': 221}), 8: (1, {'@': 221}), 35: (1, {'@': 221}), 17: (1, {'@': 221}), 36: (1, {'@': 221}), 1: (1, {'@': 221}), 37: (1, {'@': 221}), 38: (1, {'@': 221}), 20: (1, {'@': 221}), 39: (1, {'@': 221}), 4: (1, {'@': 221}), 23: (1, {'@': 221}), 25: (1, {'@': 221}), 0: (1, {'@': 221}), 40: (1, {'@': 221}), 26: (1, {'@': 221}), 41: (1, {'@': 221}), 27: (1, {'@': 221}), 28: (1, {'@': 221}), 29: (1, {'@': 221}), 42: (1, {'@': 221}), 43: (1, {'@': 221}), 31: (1, {'@': 221}), 3: (1, {'@': 221}), 44: (1, {'@': 221}), 45: (1, {'@': 221}), 16: (1, {'@': 221}), 18: (1, {'@': 221}), 46: (1, {'@': 221}), 19: (1, {'@': 221}), 21: (1, {'@': 221}), 24: (1, {'@': 221}), 2: (1, {'@': 221}), 47: (1, {'@': 221}), 48: (1, {'@': 221}), 30: (1, {'@': 221}), 49: (1, {'@': 221}), 50: (1, {'@': 221})}, 336: {32: (1, {'@': 222}), 33: (1, {'@': 222}), 34: (1, {'@': 222}), 15: (1, {'@': 222}), 8: (1, {'@': 222}), 35: (1, {'@': 222}), 17: (1, {'@': 222}), 36: (1, {'@': 222}), 1: (1, {'@': 222}), 37: (1, {'@': 222}), 38: (1, {'@': 222}), 20: (1, {'@': 222}), 39: (1, {'@': 222}), 4: (1, {'@': 222}), 23: (1, {'@': 222}), 25: (1, {'@': 222}), 0: (1, {'@': 222}), 40: (1, {'@': 222}), 26: (1, {'@': 222}), 41: (1, {'@': 222}), 27: (1, {'@': 222}), 28: (1, {'@': 222}), 29: (1, {'@': 222}), 42: (1, {'@': 222}), 43: (1, {'@': 222}), 31: (1, {'@': 222}), 3: (1, {'@': 222}), 44: (1, {'@': 222}), 45: (1, {'@': 222}), 16: (1, {'@': 222}), 18: (1, {'@': 222}), 46: (1, {'@': 222}), 19: (1, {'@': 222}), 21: (1, {'@': 222}), 24: (1, {'@': 222}), 2: (1, {'@': 222}), 47: (1, {'@': 222}), 48: (1, {'@': 222}), 30: (1, {'@': 222}), 49: (1, {'@': 222}), 50: (1, {'@': 222})}, 337: {24: (1, {'@': 223}), 23: (1, {'@': 223}), 0: (1, {'@': 223}), 1: (1, {'@': 223}), 26: (1, {'@': 223}), 49: (1, {'@': 223}), 4: (1, {'@': 223}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 338: {32: (1, {'@': 224}), 33: (1, {'@': 224}), 34: (1, {'@': 224}), 15: (1, {'@': 224}), 8: (1, {'@': 224}), 35: (1, {'@': 224}), 17: (1, {'@': 224}), 36: (1, {'@': 224}), 1: (1, {'@': 224}), 37: (1, {'@': 224}), 38: (1, {'@': 224}), 20: (1, {'@': 224}), 39: (1, {'@': 224}), 4: (1, {'@': 224}), 23: (1, {'@': 224}), 25: (1, {'@': 224}), 0: (1, {'@': 224}), 40: (1, {'@': 224}), 26: (1, {'@': 224}), 41: (1, {'@': 224}), 27: (1, {'@': 224}), 28: (1, {'@': 224}), 29: (1, {'@': 224}), 42: (1, {'@': 224}), 43: (1, {'@': 224}), 31: (1, {'@': 224}), 3: (1, {'@': 224}), 44: (1, {'@': 224}), 45: (1, {'@': 224}), 16: (1, {'@': 224}), 18: (1, {'@': 224}), 46: (1, {'@': 224}), 19: (1, {'@': 224}), 21: (1, {'@': 224}), 24: (1, {'@': 224}), 2: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 30: (1, {'@': 224}), 49: (1, {'@': 224}), 50: (1, {'@': 224})}, 339: {24: (1, {'@': 225}), 23: (1, {'@': 225}), 0: (1, {'@': 225}), 1: (1, {'@': 225}), 26: (1, {'@': 225}), 49: (1, {'@': 225}), 4: (1, {'@': 225}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 47: (0, 94), 31: (0, 93), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 340: {32: (1, {'@': 226}), 33: (1, {'@': 226}), 34: (1, {'@': 226}), 15: (1, {'@': 226}), 8: (1, {'@': 226}), 35: (1, {'@': 226}), 17: (1, {'@': 226}), 36: (1, {'@': 226}), 1: (1, {'@': 226}), 37: (1, {'@': 226}), 38: (1, {'@': 226}), 20: (1, {'@': 226}), 39: (1, {'@': 226}), 4: (1, {'@': 226}), 23: (1, {'@': 226}), 25: (1, {'@': 226}), 0: (1, {'@': 226}), 40: (1, {'@': 226}), 26: (1, {'@': 226}), 41: (1, {'@': 226}), 27: (1, {'@': 226}), 28: (1, {'@': 226}), 29: (1, {'@': 226}), 42: (1, {'@': 226}), 43: (1, {'@': 226}), 31: (1, {'@': 226}), 3: (1, {'@': 226}), 44: (1, {'@': 226}), 45: (1, {'@': 226}), 16: (1, {'@': 226}), 18: (1, {'@': 226}), 46: (1, {'@': 226}), 19: (1, {'@': 226}), 21: (1, {'@': 226}), 24: (1, {'@': 226}), 2: (1, {'@': 226}), 47: (1, {'@': 226}), 48: (1, {'@': 226}), 30: (1, {'@': 226}), 49: (1, {'@': 226}), 50: (1, {'@': 226})}, 341: {78: (0, 86), 41: (0, 87), 6: (0, 3), 7: (0, 391), 49: (0, 392), 89: (0, 393), 3: (0, 394), 30: (0, 179), 48: (0, 92), 31: (0, 93), 47: (0, 94), 0: (0, 10), 43: (0, 99), 77: (0, 84), 42: (0, 85), 1: (0, 2), 38: (0, 89), 32: (0, 90), 39: (0, 91), 4: (0, 8), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 44: (0, 100)}, 342: {32: (1, {'@': 227}), 33: (1, {'@': 227}), 34: (1, {'@': 227}), 15: (1, {'@': 227}), 8: (1, {'@': 227}), 35: (1, {'@': 227}), 17: (1, {'@': 227}), 36: (1, {'@': 227}), 1: (1, {'@': 227}), 37: (1, {'@': 227}), 38: (1, {'@': 227}), 20: (1, {'@': 227}), 39: (1, {'@': 227}), 4: (1, {'@': 227}), 23: (1, {'@': 227}), 25: (1, {'@': 227}), 0: (1, {'@': 227}), 40: (1, {'@': 227}), 26: (1, {'@': 227}), 41: (1, {'@': 227}), 27: (1, {'@': 227}), 28: (1, {'@': 227}), 29: (1, {'@': 227}), 42: (1, {'@': 227}), 43: (1, {'@': 227}), 31: (1, {'@': 227}), 3: (1, {'@': 227}), 44: (1, {'@': 227}), 45: (1, {'@': 227}), 16: (1, {'@': 227}), 18: (1, {'@': 227}), 46: (1, {'@': 227}), 19: (1, {'@': 227}), 21: (1, {'@': 227}), 24: (1, {'@': 227}), 2: (1, {'@': 227}), 47: (1, {'@': 227}), 48: (1, {'@': 227}), 30: (1, {'@': 227}), 49: (1, {'@': 227}), 50: (1, {'@': 227})}, 343: {23: (0, 275), 0: (1, {'@': 159}), 1: (1, {'@': 159}), 4: (1, {'@': 159}), 26: (0, 278)}, 344: {7: (0, 395), 1: (0, 2), 6: (0, 3), 89: (0, 396), 30: (0, 179), 3: (0, 397), 4: (0, 8), 0: (0, 10)}, 345: {32: (1, {'@': 228}), 33: (1, {'@': 228}), 34: (1, {'@': 228}), 15: (1, {'@': 228}), 8: (1, {'@': 228}), 35: (1, {'@': 228}), 17: (1, {'@': 228}), 36: (1, {'@': 228}), 1: (1, {'@': 228}), 37: (1, {'@': 228}), 38: (1, {'@': 228}), 20: (1, {'@': 228}), 39: (1, {'@': 228}), 4: (1, {'@': 228}), 23: (1, {'@': 228}), 25: (1, {'@': 228}), 0: (1, {'@': 228}), 40: (1, {'@': 228}), 26: (1, {'@': 228}), 41: (1, {'@': 228}), 27: (1, {'@': 228}), 28: (1, {'@': 228}), 29: (1, {'@': 228}), 42: (1, {'@': 228}), 43: (1, {'@': 228}), 31: (1, {'@': 228}), 3: (1, {'@': 228}), 44: (1, {'@': 228}), 45: (1, {'@': 228}), 16: (1, {'@': 228}), 18: (1, {'@': 228}), 46: (1, {'@': 228}), 19: (1, {'@': 228}), 21: (1, {'@': 228}), 24: (1, {'@': 228}), 2: (1, {'@': 228}), 47: (1, {'@': 228}), 48: (1, {'@': 228}), 30: (1, {'@': 228}), 49: (1, {'@': 228}), 50: (1, {'@': 228})}, 346: {3: (0, 398), 6: (0, 3), 4: (0, 8), 89: (0, 399), 7: (0, 400), 0: (0, 10), 1: (0, 2), 30: (0, 179)}, 347: {6: (0, 3), 4: (0, 8), 3: (0, 401), 0: (0, 10), 1: (0, 2), 7: (0, 402)}, 348: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 339), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 349: {23: (1, {'@': 229}), 0: (1, {'@': 229}), 1: (1, {'@': 229}), 4: (1, {'@': 229})}, 350: {23: (1, {'@': 230}), 0: (1, {'@': 230}), 1: (1, {'@': 230}), 4: (1, {'@': 230}), 52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 337), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 351: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 7: (0, 403), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 334), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 352: {32: (1, {'@': 231}), 33: (1, {'@': 231}), 34: (1, {'@': 231}), 15: (1, {'@': 231}), 8: (1, {'@': 231}), 35: (1, {'@': 231}), 17: (1, {'@': 231}), 36: (1, {'@': 231}), 1: (1, {'@': 231}), 37: (1, {'@': 231}), 38: (1, {'@': 231}), 20: (1, {'@': 231}), 39: (1, {'@': 231}), 4: (1, {'@': 231}), 23: (1, {'@': 231}), 25: (1, {'@': 231}), 0: (1, {'@': 231}), 40: (1, {'@': 231}), 26: (1, {'@': 231}), 41: (1, {'@': 231}), 27: (1, {'@': 231}), 28: (1, {'@': 231}), 29: (1, {'@': 231}), 42: (1, {'@': 231}), 43: (1, {'@': 231}), 31: (1, {'@': 231}), 3: (1, {'@': 231}), 44: (1, {'@': 231}), 45: (1, {'@': 231}), 16: (1, {'@': 231}), 18: (1, {'@': 231}), 46: (1, {'@': 231}), 19: (1, {'@': 231}), 21: (1, {'@': 231}), 24: (1, {'@': 231}), 2: (1, {'@': 231}), 47: (1, {'@': 231}), 48: (1, {'@': 231}), 30: (1, {'@': 231}), 49: (1, {'@': 231}), 50: (1, {'@': 231})}, 353: {32: (1, {'@': 232}), 33: (1, {'@': 232}), 34: (1, {'@': 232}), 15: (1, {'@': 232}), 8: (1, {'@': 232}), 35: (1, {'@': 232}), 17: (1, {'@': 232}), 36: (1, {'@': 232}), 1: (1, {'@': 232}), 37: (1, {'@': 232}), 38: (1, {'@': 232}), 20: (1, {'@': 232}), 39: (1, {'@': 232}), 4: (1, {'@': 232}), 23: (1, {'@': 232}), 25: (1, {'@': 232}), 0: (1, {'@': 232}), 40: (1, {'@': 232}), 26: (1, {'@': 232}), 41: (1, {'@': 232}), 27: (1, {'@': 232}), 28: (1, {'@': 232}), 29: (1, {'@': 232}), 42: (1, {'@': 232}), 43: (1, {'@': 232}), 31: (1, {'@': 232}), 3: (1, {'@': 232}), 44: (1, {'@': 232}), 45: (1, {'@': 232}), 16: (1, {'@': 232}), 18: (1, {'@': 232}), 46: (1, {'@': 232}), 19: (1, {'@': 232}), 21: (1, {'@': 232}), 24: (1, {'@': 232}), 2: (1, {'@': 232}), 47: (1, {'@': 232}), 48: (1, {'@': 232}), 30: (1, {'@': 232}), 49: (1, {'@': 232}), 50: (1, {'@': 232})}, 354: {32: (1, {'@': 233}), 33: (1, {'@': 233}), 34: (1, {'@': 233}), 15: (1, {'@': 233}), 8: (1, {'@': 233}), 35: (1, {'@': 233}), 17: (1, {'@': 233}), 36: (1, {'@': 233}), 1: (1, {'@': 233}), 37: (1, {'@': 233}), 38: (1, {'@': 233}), 20: (1, {'@': 233}), 39: (1, {'@': 233}), 4: (1, {'@': 233}), 23: (1, {'@': 233}), 25: (1, {'@': 233}), 0: (1, {'@': 233}), 40: (1, {'@': 233}), 26: (1, {'@': 233}), 41: (1, {'@': 233}), 27: (1, {'@': 233}), 28: (1, {'@': 233}), 29: (1, {'@': 233}), 42: (1, {'@': 233}), 43: (1, {'@': 233}), 31: (1, {'@': 233}), 3: (1, {'@': 233}), 44: (1, {'@': 233}), 45: (1, {'@': 233}), 16: (1, {'@': 233}), 18: (1, {'@': 233}), 46: (1, {'@': 233}), 19: (1, {'@': 233}), 21: (1, {'@': 233}), 24: (1, {'@': 233}), 2: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 30: (1, {'@': 233}), 49: (1, {'@': 233}), 50: (1, {'@': 233})}, 355: {32: (1, {'@': 234}), 33: (1, {'@': 234}), 34: (1, {'@': 234}), 15: (1, {'@': 234}), 8: (1, {'@': 234}), 35: (1, {'@': 234}), 17: (1, {'@': 234}), 36: (1, {'@': 234}), 1: (1, {'@': 234}), 37: (1, {'@': 234}), 38: (1, {'@': 234}), 20: (1, {'@': 234}), 39: (1, {'@': 234}), 4: (1, {'@': 234}), 23: (1, {'@': 234}), 25: (1, {'@': 234}), 0: (1, {'@': 234}), 40: (1, {'@': 234}), 26: (1, {'@': 234}), 41: (1, {'@': 234}), 27: (1, {'@': 234}), 28: (1, {'@': 234}), 29: (1, {'@': 234}), 42: (1, {'@': 234}), 43: (1, {'@': 234}), 31: (1, {'@': 234}), 3: (1, {'@': 234}), 44: (1, {'@': 234}), 45: (1, {'@': 234}), 16: (1, {'@': 234}), 18: (1, {'@': 234}), 46: (1, {'@': 234}), 19: (1, {'@': 234}), 21: (1, {'@': 234}), 24: (1, {'@': 234}), 2: (1, {'@': 234}), 47: (1, {'@': 234}), 48: (1, {'@': 234}), 30: (1, {'@': 234}), 49: (1, {'@': 234}), 50: (1, {'@': 234})}, 356: {35: (0, 404), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 357: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 405), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 358: {22: (0, 406)}, 359: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 407), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 7: (0, 408), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 360: {25: (1, {'@': 235}), 0: (0, 10), 15: (1, {'@': 235}), 8: (1, {'@': 235}), 16: (1, {'@': 235}), 27: (1, {'@': 235}), 28: (1, {'@': 235}), 17: (1, {'@': 235}), 29: (1, {'@': 235}), 18: (1, {'@': 235}), 1: (0, 2), 19: (1, {'@': 235}), 31: (1, {'@': 235}), 20: (1, {'@': 235}), 21: (1, {'@': 235}), 4: (0, 8), 6: (0, 3), 7: (0, 409)}, 361: {35: (0, 410), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 362: {25: (1, {'@': 236}), 0: (0, 10), 15: (1, {'@': 236}), 8: (1, {'@': 236}), 16: (1, {'@': 236}), 27: (1, {'@': 236}), 28: (1, {'@': 236}), 17: (1, {'@': 236}), 29: (1, {'@': 236}), 18: (1, {'@': 236}), 1: (0, 2), 19: (1, {'@': 236}), 31: (1, {'@': 236}), 20: (1, {'@': 236}), 21: (1, {'@': 236}), 4: (0, 8), 6: (0, 3), 7: (0, 411)}, 363: {25: (1, {'@': 237}), 0: (1, {'@': 237}), 15: (1, {'@': 237}), 8: (1, {'@': 237}), 16: (1, {'@': 237}), 27: (1, {'@': 237}), 28: (1, {'@': 237}), 17: (1, {'@': 237}), 29: (1, {'@': 237}), 18: (1, {'@': 237}), 1: (1, {'@': 237}), 19: (1, {'@': 237}), 31: (1, {'@': 237}), 20: (1, {'@': 237}), 21: (1, {'@': 237}), 4: (1, {'@': 237})}, 364: {6: (0, 3), 7: (0, 412), 4: (0, 8), 0: (0, 10), 1: (0, 2), 22: (0, 413)}, 365: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 414), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 7: (0, 415), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 366: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 416), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 367: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 35: (0, 417), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 368: {35: (0, 418), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 369: {25: (1, {'@': 238}), 0: (0, 10), 15: (1, {'@': 238}), 8: (1, {'@': 238}), 16: (1, {'@': 238}), 27: (1, {'@': 238}), 28: (1, {'@': 238}), 17: (1, {'@': 238}), 29: (1, {'@': 238}), 18: (1, {'@': 238}), 1: (0, 2), 19: (1, {'@': 238}), 31: (1, {'@': 238}), 20: (1, {'@': 238}), 21: (1, {'@': 238}), 4: (0, 8), 6: (0, 3), 7: (0, 419)}, 370: {32: (1, {'@': 239}), 33: (1, {'@': 239}), 34: (1, {'@': 239}), 15: (1, {'@': 239}), 8: (1, {'@': 239}), 35: (1, {'@': 239}), 17: (1, {'@': 239}), 36: (1, {'@': 239}), 1: (1, {'@': 239}), 37: (1, {'@': 239}), 38: (1, {'@': 239}), 20: (1, {'@': 239}), 39: (1, {'@': 239}), 4: (1, {'@': 239}), 23: (1, {'@': 239}), 25: (1, {'@': 239}), 0: (1, {'@': 239}), 40: (1, {'@': 239}), 26: (1, {'@': 239}), 41: (1, {'@': 239}), 27: (1, {'@': 239}), 28: (1, {'@': 239}), 29: (1, {'@': 239}), 42: (1, {'@': 239}), 43: (1, {'@': 239}), 31: (1, {'@': 239}), 3: (1, {'@': 239}), 44: (1, {'@': 239}), 45: (1, {'@': 239}), 16: (1, {'@': 239}), 18: (1, {'@': 239}), 46: (1, {'@': 239}), 19: (1, {'@': 239}), 21: (1, {'@': 239}), 24: (1, {'@': 239}), 2: (1, {'@': 239}), 47: (1, {'@': 239}), 48: (1, {'@': 239}), 30: (1, {'@': 239}), 49: (1, {'@': 239}), 50: (1, {'@': 239})}, 371: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 389), 24: (0, 420), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 372: {32: (1, {'@': 240}), 33: (1, {'@': 240}), 34: (1, {'@': 240}), 15: (1, {'@': 240}), 8: (1, {'@': 240}), 35: (1, {'@': 240}), 17: (1, {'@': 240}), 36: (1, {'@': 240}), 1: (1, {'@': 240}), 37: (1, {'@': 240}), 38: (1, {'@': 240}), 20: (1, {'@': 240}), 39: (1, {'@': 240}), 4: (1, {'@': 240}), 23: (1, {'@': 240}), 25: (1, {'@': 240}), 0: (1, {'@': 240}), 40: (1, {'@': 240}), 26: (1, {'@': 240}), 41: (1, {'@': 240}), 27: (1, {'@': 240}), 28: (1, {'@': 240}), 29: (1, {'@': 240}), 42: (1, {'@': 240}), 43: (1, {'@': 240}), 31: (1, {'@': 240}), 3: (1, {'@': 240}), 44: (1, {'@': 240}), 45: (1, {'@': 240}), 16: (1, {'@': 240}), 18: (1, {'@': 240}), 46: (1, {'@': 240}), 19: (1, {'@': 240}), 21: (1, {'@': 240}), 24: (1, {'@': 240}), 2: (1, {'@': 240}), 47: (1, {'@': 240}), 48: (1, {'@': 240}), 30: (1, {'@': 240}), 49: (1, {'@': 240}), 50: (1, {'@': 240})}, 373: {32: (1, {'@': 241}), 33: (1, {'@': 241}), 34: (1, {'@': 241}), 15: (1, {'@': 241}), 8: (1, {'@': 241}), 35: (1, {'@': 241}), 17: (1, {'@': 241}), 36: (1, {'@': 241}), 1: (1, {'@': 241}), 37: (1, {'@': 241}), 38: (1, {'@': 241}), 20: (1, {'@': 241}), 39: (1, {'@': 241}), 4: (1, {'@': 241}), 23: (1, {'@': 241}), 25: (1, {'@': 241}), 0: (1, {'@': 241}), 40: (1, {'@': 241}), 26: (1, {'@': 241}), 41: (1, {'@': 241}), 27: (1, {'@': 241}), 28: (1, {'@': 241}), 29: (1, {'@': 241}), 42: (1, {'@': 241}), 43: (1, {'@': 241}), 31: (1, {'@': 241}), 3: (1, {'@': 241}), 44: (1, {'@': 241}), 45: (1, {'@': 241}), 16: (1, {'@': 241}), 18: (1, {'@': 241}), 46: (1, {'@': 241}), 19: (1, {'@': 241}), 21: (1, {'@': 241}), 24: (1, {'@': 241}), 2: (1, {'@': 241}), 47: (1, {'@': 241}), 48: (1, {'@': 241}), 30: (1, {'@': 241}), 49: (1, {'@': 241}), 50: (1, {'@': 241})}, 374: {32: (1, {'@': 242}), 33: (1, {'@': 242}), 34: (1, {'@': 242}), 15: (1, {'@': 242}), 8: (1, {'@': 242}), 35: (1, {'@': 242}), 17: (1, {'@': 242}), 36: (1, {'@': 242}), 1: (1, {'@': 242}), 37: (1, {'@': 242}), 38: (1, {'@': 242}), 20: (1, {'@': 242}), 39: (1, {'@': 242}), 4: (1, {'@': 242}), 23: (1, {'@': 242}), 25: (1, {'@': 242}), 0: (1, {'@': 242}), 40: (1, {'@': 242}), 26: (1, {'@': 242}), 41: (1, {'@': 242}), 27: (1, {'@': 242}), 28: (1, {'@': 242}), 29: (1, {'@': 242}), 42: (1, {'@': 242}), 43: (1, {'@': 242}), 31: (1, {'@': 242}), 3: (1, {'@': 242}), 44: (1, {'@': 242}), 45: (1, {'@': 242}), 16: (1, {'@': 242}), 18: (1, {'@': 242}), 46: (1, {'@': 242}), 19: (1, {'@': 242}), 21: (1, {'@': 242}), 24: (1, {'@': 242}), 2: (1, {'@': 242}), 47: (1, {'@': 242}), 48: (1, {'@': 242}), 30: (1, {'@': 242}), 49: (1, {'@': 242}), 50: (1, {'@': 242})}, 375: {32: (1, {'@': 243}), 33: (1, {'@': 243}), 34: (1, {'@': 243}), 15: (1, {'@': 243}), 8: (1, {'@': 243}), 35: (1, {'@': 243}), 17: (1, {'@': 243}), 36: (1, {'@': 243}), 1: (1, {'@': 243}), 37: (1, {'@': 243}), 38: (1, {'@': 243}), 20: (1, {'@': 243}), 39: (1, {'@': 243}), 4: (1, {'@': 243}), 23: (1, {'@': 243}), 25: (1, {'@': 243}), 0: (1, {'@': 243}), 40: (1, {'@': 243}), 26: (1, {'@': 243}), 41: (1, {'@': 243}), 27: (1, {'@': 243}), 28: (1, {'@': 243}), 29: (1, {'@': 243}), 42: (1, {'@': 243}), 43: (1, {'@': 243}), 31: (1, {'@': 243}), 3: (1, {'@': 243}), 44: (1, {'@': 243}), 45: (1, {'@': 243}), 16: (1, {'@': 243}), 18: (1, {'@': 243}), 46: (1, {'@': 243}), 19: (1, {'@': 243}), 21: (1, {'@': 243}), 24: (1, {'@': 243}), 2: (1, {'@': 243}), 47: (1, {'@': 243}), 48: (1, {'@': 243}), 30: (1, {'@': 243}), 49: (1, {'@': 243}), 50: (1, {'@': 243})}, 376: {24: (0, 421)}, 377: {32: (1, {'@': 244}), 33: (1, {'@': 244}), 34: (1, {'@': 244}), 15: (1, {'@': 244}), 8: (1, {'@': 244}), 35: (1, {'@': 244}), 17: (1, {'@': 244}), 36: (1, {'@': 244}), 1: (1, {'@': 244}), 37: (1, {'@': 244}), 38: (1, {'@': 244}), 20: (1, {'@': 244}), 39: (1, {'@': 244}), 4: (1, {'@': 244}), 23: (1, {'@': 244}), 25: (1, {'@': 244}), 0: (1, {'@': 244}), 40: (1, {'@': 244}), 26: (1, {'@': 244}), 41: (1, {'@': 244}), 27: (1, {'@': 244}), 28: (1, {'@': 244}), 29: (1, {'@': 244}), 42: (1, {'@': 244}), 43: (1, {'@': 244}), 31: (1, {'@': 244}), 3: (1, {'@': 244}), 44: (1, {'@': 244}), 45: (1, {'@': 244}), 16: (1, {'@': 244}), 18: (1, {'@': 244}), 46: (1, {'@': 244}), 19: (1, {'@': 244}), 21: (1, {'@': 244}), 24: (1, {'@': 244}), 2: (1, {'@': 244}), 47: (1, {'@': 244}), 48: (1, {'@': 244}), 30: (1, {'@': 244}), 49: (1, {'@': 244}), 50: (1, {'@': 244})}, 378: {32: (1, {'@': 245}), 33: (1, {'@': 245}), 34: (1, {'@': 245}), 15: (1, {'@': 245}), 8: (1, {'@': 245}), 35: (1, {'@': 245}), 17: (1, {'@': 245}), 36: (1, {'@': 245}), 1: (1, {'@': 245}), 37: (1, {'@': 245}), 38: (1, {'@': 245}), 20: (1, {'@': 245}), 39: (1, {'@': 245}), 4: (1, {'@': 245}), 23: (1, {'@': 245}), 25: (1, {'@': 245}), 0: (1, {'@': 245}), 40: (1, {'@': 245}), 26: (1, {'@': 245}), 41: (1, {'@': 245}), 27: (1, {'@': 245}), 28: (1, {'@': 245}), 29: (1, {'@': 245}), 42: (1, {'@': 245}), 43: (1, {'@': 245}), 31: (1, {'@': 245}), 3: (1, {'@': 245}), 44: (1, {'@': 245}), 45: (1, {'@': 245}), 16: (1, {'@': 245}), 18: (1, {'@': 245}), 46: (1, {'@': 245}), 19: (1, {'@': 245}), 21: (1, {'@': 245}), 24: (1, {'@': 245}), 2: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 30: (1, {'@': 245}), 49: (1, {'@': 245}), 50: (1, {'@': 245})}, 379: {32: (1, {'@': 246}), 33: (1, {'@': 246}), 34: (1, {'@': 246}), 15: (1, {'@': 246}), 8: (1, {'@': 246}), 35: (1, {'@': 246}), 17: (1, {'@': 246}), 36: (1, {'@': 246}), 1: (1, {'@': 246}), 37: (1, {'@': 246}), 38: (1, {'@': 246}), 20: (1, {'@': 246}), 39: (1, {'@': 246}), 4: (1, {'@': 246}), 23: (1, {'@': 246}), 25: (1, {'@': 246}), 0: (1, {'@': 246}), 40: (1, {'@': 246}), 26: (1, {'@': 246}), 41: (1, {'@': 246}), 27: (1, {'@': 246}), 28: (1, {'@': 246}), 29: (1, {'@': 246}), 42: (1, {'@': 246}), 43: (1, {'@': 246}), 31: (1, {'@': 246}), 3: (1, {'@': 246}), 44: (1, {'@': 246}), 45: (1, {'@': 246}), 16: (1, {'@': 246}), 18: (1, {'@': 246}), 46: (1, {'@': 246}), 19: (1, {'@': 246}), 21: (1, {'@': 246}), 24: (1, {'@': 246}), 2: (1, {'@': 246}), 47: (1, {'@': 246}), 48: (1, {'@': 246}), 30: (1, {'@': 246}), 49: (1, {'@': 246}), 50: (1, {'@': 246})}, 380: {6: (0, 3), 24: (0, 422), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 423)}, 381: {24: (0, 424)}, 382: {32: (1, {'@': 247}), 33: (1, {'@': 247}), 34: (1, {'@': 247}), 15: (1, {'@': 247}), 8: (1, {'@': 247}), 35: (1, {'@': 247}), 17: (1, {'@': 247}), 36: (1, {'@': 247}), 1: (1, {'@': 247}), 37: (1, {'@': 247}), 38: (1, {'@': 247}), 20: (1, {'@': 247}), 39: (1, {'@': 247}), 4: (1, {'@': 247}), 23: (1, {'@': 247}), 25: (1, {'@': 247}), 0: (1, {'@': 247}), 40: (1, {'@': 247}), 26: (1, {'@': 247}), 41: (1, {'@': 247}), 27: (1, {'@': 247}), 28: (1, {'@': 247}), 29: (1, {'@': 247}), 42: (1, {'@': 247}), 43: (1, {'@': 247}), 31: (1, {'@': 247}), 3: (1, {'@': 247}), 44: (1, {'@': 247}), 45: (1, {'@': 247}), 16: (1, {'@': 247}), 18: (1, {'@': 247}), 46: (1, {'@': 247}), 19: (1, {'@': 247}), 21: (1, {'@': 247}), 24: (1, {'@': 247}), 2: (1, {'@': 247}), 47: (1, {'@': 247}), 48: (1, {'@': 247}), 30: (1, {'@': 247}), 49: (1, {'@': 247}), 50: (1, {'@': 247})}, 383: {24: (0, 425)}, 384: {32: (1, {'@': 248}), 33: (1, {'@': 248}), 34: (1, {'@': 248}), 15: (1, {'@': 248}), 8: (1, {'@': 248}), 35: (1, {'@': 248}), 17: (1, {'@': 248}), 36: (1, {'@': 248}), 1: (1, {'@': 248}), 37: (1, {'@': 248}), 38: (1, {'@': 248}), 20: (1, {'@': 248}), 39: (1, {'@': 248}), 4: (1, {'@': 248}), 23: (1, {'@': 248}), 25: (1, {'@': 248}), 0: (1, {'@': 248}), 40: (1, {'@': 248}), 26: (1, {'@': 248}), 41: (1, {'@': 248}), 27: (1, {'@': 248}), 28: (1, {'@': 248}), 29: (1, {'@': 248}), 42: (1, {'@': 248}), 43: (1, {'@': 248}), 31: (1, {'@': 248}), 3: (1, {'@': 248}), 44: (1, {'@': 248}), 45: (1, {'@': 248}), 16: (1, {'@': 248}), 18: (1, {'@': 248}), 46: (1, {'@': 248}), 19: (1, {'@': 248}), 21: (1, {'@': 248}), 24: (1, {'@': 248}), 2: (1, {'@': 248}), 47: (1, {'@': 248}), 48: (1, {'@': 248}), 30: (1, {'@': 248}), 49: (1, {'@': 248}), 50: (1, {'@': 248})}, 385: {24: (0, 426)}, 386: {32: (1, {'@': 249}), 33: (1, {'@': 249}), 34: (1, {'@': 249}), 15: (1, {'@': 249}), 8: (1, {'@': 249}), 35: (1, {'@': 249}), 17: (1, {'@': 249}), 36: (1, {'@': 249}), 1: (1, {'@': 249}), 37: (1, {'@': 249}), 38: (1, {'@': 249}), 20: (1, {'@': 249}), 39: (1, {'@': 249}), 4: (1, {'@': 249}), 23: (1, {'@': 249}), 25: (1, {'@': 249}), 0: (1, {'@': 249}), 40: (1, {'@': 249}), 26: (1, {'@': 249}), 41: (1, {'@': 249}), 27: (1, {'@': 249}), 28: (1, {'@': 249}), 29: (1, {'@': 249}), 42: (1, {'@': 249}), 43: (1, {'@': 249}), 31: (1, {'@': 249}), 3: (1, {'@': 249}), 44: (1, {'@': 249}), 45: (1, {'@': 249}), 16: (1, {'@': 249}), 18: (1, {'@': 249}), 46: (1, {'@': 249}), 19: (1, {'@': 249}), 21: (1, {'@': 249}), 24: (1, {'@': 249}), 2: (1, {'@': 249}), 47: (1, {'@': 249}), 48: (1, {'@': 249}), 30: (1, {'@': 249}), 49: (1, {'@': 249}), 50: (1, {'@': 249})}, 387: {32: (1, {'@': 250}), 33: (1, {'@': 250}), 34: (1, {'@': 250}), 15: (1, {'@': 250}), 8: (1, {'@': 250}), 35: (1, {'@': 250}), 17: (1, {'@': 250}), 36: (1, {'@': 250}), 1: (1, {'@': 250}), 37: (1, {'@': 250}), 38: (1, {'@': 250}), 20: (1, {'@': 250}), 39: (1, {'@': 250}), 4: (1, {'@': 250}), 23: (1, {'@': 250}), 25: (1, {'@': 250}), 0: (1, {'@': 250}), 40: (1, {'@': 250}), 26: (1, {'@': 250}), 41: (1, {'@': 250}), 27: (1, {'@': 250}), 28: (1, {'@': 250}), 29: (1, {'@': 250}), 42: (1, {'@': 250}), 43: (1, {'@': 250}), 31: (1, {'@': 250}), 3: (1, {'@': 250}), 44: (1, {'@': 250}), 45: (1, {'@': 250}), 16: (1, {'@': 250}), 18: (1, {'@': 250}), 46: (1, {'@': 250}), 19: (1, {'@': 250}), 21: (1, {'@': 250}), 24: (1, {'@': 250}), 2: (1, {'@': 250}), 47: (1, {'@': 250}), 48: (1, {'@': 250}), 30: (1, {'@': 250}), 49: (1, {'@': 250}), 50: (1, {'@': 250})}, 388: {32: (1, {'@': 251}), 33: (1, {'@': 251}), 34: (1, {'@': 251}), 15: (1, {'@': 251}), 8: (1, {'@': 251}), 35: (1, {'@': 251}), 17: (1, {'@': 251}), 36: (1, {'@': 251}), 1: (1, {'@': 251}), 37: (1, {'@': 251}), 38: (1, {'@': 251}), 20: (1, {'@': 251}), 39: (1, {'@': 251}), 4: (1, {'@': 251}), 23: (1, {'@': 251}), 25: (1, {'@': 251}), 0: (1, {'@': 251}), 40: (1, {'@': 251}), 26: (1, {'@': 251}), 41: (1, {'@': 251}), 27: (1, {'@': 251}), 28: (1, {'@': 251}), 29: (1, {'@': 251}), 42: (1, {'@': 251}), 43: (1, {'@': 251}), 31: (1, {'@': 251}), 3: (1, {'@': 251}), 44: (1, {'@': 251}), 45: (1, {'@': 251}), 16: (1, {'@': 251}), 18: (1, {'@': 251}), 46: (1, {'@': 251}), 19: (1, {'@': 251}), 21: (1, {'@': 251}), 24: (1, {'@': 251}), 2: (1, {'@': 251}), 47: (1, {'@': 251}), 48: (1, {'@': 251}), 30: (1, {'@': 251}), 49: (1, {'@': 251}), 50: (1, {'@': 251})}, 389: {24: (1, {'@': 252}), 23: (1, {'@': 252}), 0: (1, {'@': 252}), 1: (1, {'@': 252}), 26: (1, {'@': 252}), 49: (1, {'@': 252}), 4: (1, {'@': 252}), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 390: {32: (1, {'@': 253}), 33: (1, {'@': 253}), 34: (1, {'@': 253}), 15: (1, {'@': 253}), 8: (1, {'@': 253}), 35: (1, {'@': 253}), 17: (1, {'@': 253}), 36: (1, {'@': 253}), 1: (1, {'@': 253}), 37: (1, {'@': 253}), 38: (1, {'@': 253}), 20: (1, {'@': 253}), 39: (1, {'@': 253}), 4: (1, {'@': 253}), 23: (1, {'@': 253}), 25: (1, {'@': 253}), 0: (1, {'@': 253}), 40: (1, {'@': 253}), 26: (1, {'@': 253}), 41: (1, {'@': 253}), 27: (1, {'@': 253}), 28: (1, {'@': 253}), 29: (1, {'@': 253}), 42: (1, {'@': 253}), 43: (1, {'@': 253}), 31: (1, {'@': 253}), 3: (1, {'@': 253}), 44: (1, {'@': 253}), 45: (1, {'@': 253}), 16: (1, {'@': 253}), 18: (1, {'@': 253}), 46: (1, {'@': 253}), 19: (1, {'@': 253}), 21: (1, {'@': 253}), 24: (1, {'@': 253}), 2: (1, {'@': 253}), 47: (1, {'@': 253}), 48: (1, {'@': 253}), 30: (1, {'@': 253}), 49: (1, {'@': 253}), 50: (1, {'@': 253})}, 391: {89: (0, 427), 7: (0, 428), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 30: (0, 179), 3: (0, 429)}, 392: {3: (0, 430), 7: (0, 431), 1: (0, 2), 89: (0, 432), 6: (0, 3), 30: (0, 179), 4: (0, 8), 0: (0, 10)}, 393: {7: (0, 433), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 3: (0, 434)}, 394: {32: (1, {'@': 254}), 33: (1, {'@': 254}), 34: (1, {'@': 254}), 15: (1, {'@': 254}), 8: (1, {'@': 254}), 35: (1, {'@': 254}), 17: (1, {'@': 254}), 36: (1, {'@': 254}), 1: (1, {'@': 254}), 37: (1, {'@': 254}), 38: (1, {'@': 254}), 20: (1, {'@': 254}), 39: (1, {'@': 254}), 4: (1, {'@': 254}), 23: (1, {'@': 254}), 25: (1, {'@': 254}), 0: (1, {'@': 254}), 40: (1, {'@': 254}), 26: (1, {'@': 254}), 41: (1, {'@': 254}), 27: (1, {'@': 254}), 28: (1, {'@': 254}), 29: (1, {'@': 254}), 42: (1, {'@': 254}), 43: (1, {'@': 254}), 31: (1, {'@': 254}), 3: (1, {'@': 254}), 44: (1, {'@': 254}), 45: (1, {'@': 254}), 16: (1, {'@': 254}), 18: (1, {'@': 254}), 46: (1, {'@': 254}), 19: (1, {'@': 254}), 21: (1, {'@': 254}), 24: (1, {'@': 254}), 2: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 30: (1, {'@': 254}), 49: (1, {'@': 254}), 50: (1, {'@': 254})}, 395: {6: (0, 3), 4: (0, 8), 89: (0, 435), 0: (0, 10), 1: (0, 2), 7: (0, 436), 30: (0, 179), 3: (0, 437)}, 396: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 438), 3: (0, 439)}, 397: {32: (1, {'@': 255}), 33: (1, {'@': 255}), 34: (1, {'@': 255}), 15: (1, {'@': 255}), 8: (1, {'@': 255}), 35: (1, {'@': 255}), 17: (1, {'@': 255}), 36: (1, {'@': 255}), 1: (1, {'@': 255}), 37: (1, {'@': 255}), 38: (1, {'@': 255}), 20: (1, {'@': 255}), 39: (1, {'@': 255}), 4: (1, {'@': 255}), 23: (1, {'@': 255}), 25: (1, {'@': 255}), 0: (1, {'@': 255}), 40: (1, {'@': 255}), 26: (1, {'@': 255}), 41: (1, {'@': 255}), 27: (1, {'@': 255}), 28: (1, {'@': 255}), 29: (1, {'@': 255}), 42: (1, {'@': 255}), 43: (1, {'@': 255}), 31: (1, {'@': 255}), 3: (1, {'@': 255}), 44: (1, {'@': 255}), 45: (1, {'@': 255}), 16: (1, {'@': 255}), 18: (1, {'@': 255}), 46: (1, {'@': 255}), 19: (1, {'@': 255}), 21: (1, {'@': 255}), 24: (1, {'@': 255}), 2: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 30: (1, {'@': 255}), 49: (1, {'@': 255}), 50: (1, {'@': 255})}, 398: {32: (1, {'@': 256}), 33: (1, {'@': 256}), 34: (1, {'@': 256}), 15: (1, {'@': 256}), 8: (1, {'@': 256}), 35: (1, {'@': 256}), 17: (1, {'@': 256}), 36: (1, {'@': 256}), 1: (1, {'@': 256}), 37: (1, {'@': 256}), 38: (1, {'@': 256}), 20: (1, {'@': 256}), 39: (1, {'@': 256}), 4: (1, {'@': 256}), 23: (1, {'@': 256}), 25: (1, {'@': 256}), 0: (1, {'@': 256}), 40: (1, {'@': 256}), 26: (1, {'@': 256}), 41: (1, {'@': 256}), 27: (1, {'@': 256}), 28: (1, {'@': 256}), 29: (1, {'@': 256}), 42: (1, {'@': 256}), 43: (1, {'@': 256}), 31: (1, {'@': 256}), 3: (1, {'@': 256}), 44: (1, {'@': 256}), 45: (1, {'@': 256}), 16: (1, {'@': 256}), 18: (1, {'@': 256}), 46: (1, {'@': 256}), 19: (1, {'@': 256}), 21: (1, {'@': 256}), 24: (1, {'@': 256}), 2: (1, {'@': 256}), 47: (1, {'@': 256}), 48: (1, {'@': 256}), 30: (1, {'@': 256}), 49: (1, {'@': 256}), 50: (1, {'@': 256})}, 399: {6: (0, 3), 4: (0, 8), 7: (0, 440), 3: (0, 441), 0: (0, 10), 1: (0, 2)}, 400: {3: (0, 442)}, 401: {32: (1, {'@': 257}), 33: (1, {'@': 257}), 34: (1, {'@': 257}), 15: (1, {'@': 257}), 8: (1, {'@': 257}), 35: (1, {'@': 257}), 17: (1, {'@': 257}), 36: (1, {'@': 257}), 1: (1, {'@': 257}), 37: (1, {'@': 257}), 38: (1, {'@': 257}), 20: (1, {'@': 257}), 39: (1, {'@': 257}), 4: (1, {'@': 257}), 23: (1, {'@': 257}), 25: (1, {'@': 257}), 0: (1, {'@': 257}), 40: (1, {'@': 257}), 26: (1, {'@': 257}), 41: (1, {'@': 257}), 27: (1, {'@': 257}), 28: (1, {'@': 257}), 29: (1, {'@': 257}), 42: (1, {'@': 257}), 43: (1, {'@': 257}), 31: (1, {'@': 257}), 3: (1, {'@': 257}), 44: (1, {'@': 257}), 45: (1, {'@': 257}), 16: (1, {'@': 257}), 18: (1, {'@': 257}), 46: (1, {'@': 257}), 19: (1, {'@': 257}), 21: (1, {'@': 257}), 24: (1, {'@': 257}), 2: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 30: (1, {'@': 257}), 49: (1, {'@': 257}), 50: (1, {'@': 257})}, 402: {3: (0, 443)}, 403: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 389), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 404: {25: (1, {'@': 258}), 0: (0, 10), 15: (1, {'@': 258}), 8: (1, {'@': 258}), 16: (1, {'@': 258}), 27: (1, {'@': 258}), 28: (1, {'@': 258}), 17: (1, {'@': 258}), 29: (1, {'@': 258}), 18: (1, {'@': 258}), 1: (0, 2), 19: (1, {'@': 258}), 31: (1, {'@': 258}), 20: (1, {'@': 258}), 21: (1, {'@': 258}), 4: (0, 8), 7: (0, 444), 6: (0, 3)}, 405: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 35: (0, 445), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 406: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 57: (0, 446), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 7: (0, 447), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 407: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 35: (0, 448), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 408: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 57: (0, 449), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 409: {25: (1, {'@': 259}), 0: (1, {'@': 259}), 15: (1, {'@': 259}), 8: (1, {'@': 259}), 16: (1, {'@': 259}), 27: (1, {'@': 259}), 28: (1, {'@': 259}), 17: (1, {'@': 259}), 29: (1, {'@': 259}), 18: (1, {'@': 259}), 1: (1, {'@': 259}), 19: (1, {'@': 259}), 31: (1, {'@': 259}), 20: (1, {'@': 259}), 21: (1, {'@': 259}), 4: (1, {'@': 259})}, 410: {25: (1, {'@': 260}), 0: (0, 10), 15: (1, {'@': 260}), 8: (1, {'@': 260}), 16: (1, {'@': 260}), 27: (1, {'@': 260}), 28: (1, {'@': 260}), 17: (1, {'@': 260}), 29: (1, {'@': 260}), 18: (1, {'@': 260}), 1: (0, 2), 19: (1, {'@': 260}), 31: (1, {'@': 260}), 20: (1, {'@': 260}), 21: (1, {'@': 260}), 4: (0, 8), 6: (0, 3), 7: (0, 450)}, 411: {25: (1, {'@': 261}), 0: (1, {'@': 261}), 15: (1, {'@': 261}), 8: (1, {'@': 261}), 16: (1, {'@': 261}), 27: (1, {'@': 261}), 28: (1, {'@': 261}), 17: (1, {'@': 261}), 29: (1, {'@': 261}), 18: (1, {'@': 261}), 1: (1, {'@': 261}), 19: (1, {'@': 261}), 31: (1, {'@': 261}), 20: (1, {'@': 261}), 21: (1, {'@': 261}), 4: (1, {'@': 261})}, 412: {22: (0, 451)}, 413: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 452), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 7: (0, 453), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 27: (0, 50), 1: (0, 2), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 414: {77: (0, 84), 35: (0, 454), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 415: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 455), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 416: {35: (0, 456), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 417: {25: (1, {'@': 262}), 0: (0, 10), 15: (1, {'@': 262}), 8: (1, {'@': 262}), 16: (1, {'@': 262}), 27: (1, {'@': 262}), 28: (1, {'@': 262}), 17: (1, {'@': 262}), 29: (1, {'@': 262}), 18: (1, {'@': 262}), 1: (0, 2), 19: (1, {'@': 262}), 31: (1, {'@': 262}), 20: (1, {'@': 262}), 21: (1, {'@': 262}), 4: (0, 8), 7: (0, 457), 6: (0, 3)}, 418: {25: (1, {'@': 263}), 0: (0, 10), 15: (1, {'@': 263}), 8: (1, {'@': 263}), 16: (1, {'@': 263}), 27: (1, {'@': 263}), 28: (1, {'@': 263}), 17: (1, {'@': 263}), 29: (1, {'@': 263}), 18: (1, {'@': 263}), 1: (0, 2), 19: (1, {'@': 263}), 31: (1, {'@': 263}), 20: (1, {'@': 263}), 21: (1, {'@': 263}), 4: (0, 8), 7: (0, 458), 6: (0, 3)}, 419: {25: (1, {'@': 264}), 0: (1, {'@': 264}), 15: (1, {'@': 264}), 8: (1, {'@': 264}), 16: (1, {'@': 264}), 27: (1, {'@': 264}), 28: (1, {'@': 264}), 17: (1, {'@': 264}), 29: (1, {'@': 264}), 18: (1, {'@': 264}), 1: (1, {'@': 264}), 19: (1, {'@': 264}), 31: (1, {'@': 264}), 20: (1, {'@': 264}), 21: (1, {'@': 264}), 4: (1, {'@': 264})}, 420: {32: (1, {'@': 265}), 33: (1, {'@': 265}), 34: (1, {'@': 265}), 15: (1, {'@': 265}), 8: (1, {'@': 265}), 35: (1, {'@': 265}), 17: (1, {'@': 265}), 36: (1, {'@': 265}), 1: (1, {'@': 265}), 37: (1, {'@': 265}), 38: (1, {'@': 265}), 20: (1, {'@': 265}), 39: (1, {'@': 265}), 4: (1, {'@': 265}), 23: (1, {'@': 265}), 25: (1, {'@': 265}), 0: (1, {'@': 265}), 40: (1, {'@': 265}), 26: (1, {'@': 265}), 41: (1, {'@': 265}), 27: (1, {'@': 265}), 28: (1, {'@': 265}), 29: (1, {'@': 265}), 42: (1, {'@': 265}), 43: (1, {'@': 265}), 31: (1, {'@': 265}), 3: (1, {'@': 265}), 44: (1, {'@': 265}), 45: (1, {'@': 265}), 16: (1, {'@': 265}), 18: (1, {'@': 265}), 46: (1, {'@': 265}), 19: (1, {'@': 265}), 21: (1, {'@': 265}), 24: (1, {'@': 265}), 2: (1, {'@': 265}), 47: (1, {'@': 265}), 48: (1, {'@': 265}), 30: (1, {'@': 265}), 49: (1, {'@': 265}), 50: (1, {'@': 265})}, 421: {32: (1, {'@': 266}), 33: (1, {'@': 266}), 34: (1, {'@': 266}), 15: (1, {'@': 266}), 8: (1, {'@': 266}), 35: (1, {'@': 266}), 17: (1, {'@': 266}), 36: (1, {'@': 266}), 1: (1, {'@': 266}), 37: (1, {'@': 266}), 38: (1, {'@': 266}), 20: (1, {'@': 266}), 39: (1, {'@': 266}), 4: (1, {'@': 266}), 23: (1, {'@': 266}), 25: (1, {'@': 266}), 0: (1, {'@': 266}), 40: (1, {'@': 266}), 26: (1, {'@': 266}), 41: (1, {'@': 266}), 27: (1, {'@': 266}), 28: (1, {'@': 266}), 29: (1, {'@': 266}), 42: (1, {'@': 266}), 43: (1, {'@': 266}), 31: (1, {'@': 266}), 3: (1, {'@': 266}), 44: (1, {'@': 266}), 45: (1, {'@': 266}), 16: (1, {'@': 266}), 18: (1, {'@': 266}), 46: (1, {'@': 266}), 19: (1, {'@': 266}), 21: (1, {'@': 266}), 24: (1, {'@': 266}), 2: (1, {'@': 266}), 47: (1, {'@': 266}), 48: (1, {'@': 266}), 30: (1, {'@': 266}), 49: (1, {'@': 266}), 50: (1, {'@': 266})}, 422: {32: (1, {'@': 267}), 33: (1, {'@': 267}), 34: (1, {'@': 267}), 15: (1, {'@': 267}), 8: (1, {'@': 267}), 35: (1, {'@': 267}), 17: (1, {'@': 267}), 36: (1, {'@': 267}), 1: (1, {'@': 267}), 37: (1, {'@': 267}), 38: (1, {'@': 267}), 20: (1, {'@': 267}), 39: (1, {'@': 267}), 4: (1, {'@': 267}), 23: (1, {'@': 267}), 25: (1, {'@': 267}), 0: (1, {'@': 267}), 40: (1, {'@': 267}), 26: (1, {'@': 267}), 41: (1, {'@': 267}), 27: (1, {'@': 267}), 28: (1, {'@': 267}), 29: (1, {'@': 267}), 42: (1, {'@': 267}), 43: (1, {'@': 267}), 31: (1, {'@': 267}), 3: (1, {'@': 267}), 44: (1, {'@': 267}), 45: (1, {'@': 267}), 16: (1, {'@': 267}), 18: (1, {'@': 267}), 46: (1, {'@': 267}), 19: (1, {'@': 267}), 21: (1, {'@': 267}), 24: (1, {'@': 267}), 2: (1, {'@': 267}), 47: (1, {'@': 267}), 48: (1, {'@': 267}), 30: (1, {'@': 267}), 49: (1, {'@': 267}), 50: (1, {'@': 267})}, 423: {24: (0, 459)}, 424: {32: (1, {'@': 268}), 33: (1, {'@': 268}), 34: (1, {'@': 268}), 15: (1, {'@': 268}), 8: (1, {'@': 268}), 35: (1, {'@': 268}), 17: (1, {'@': 268}), 36: (1, {'@': 268}), 1: (1, {'@': 268}), 37: (1, {'@': 268}), 38: (1, {'@': 268}), 20: (1, {'@': 268}), 39: (1, {'@': 268}), 4: (1, {'@': 268}), 23: (1, {'@': 268}), 25: (1, {'@': 268}), 0: (1, {'@': 268}), 40: (1, {'@': 268}), 26: (1, {'@': 268}), 41: (1, {'@': 268}), 27: (1, {'@': 268}), 28: (1, {'@': 268}), 29: (1, {'@': 268}), 42: (1, {'@': 268}), 43: (1, {'@': 268}), 31: (1, {'@': 268}), 3: (1, {'@': 268}), 44: (1, {'@': 268}), 45: (1, {'@': 268}), 16: (1, {'@': 268}), 18: (1, {'@': 268}), 46: (1, {'@': 268}), 19: (1, {'@': 268}), 21: (1, {'@': 268}), 24: (1, {'@': 268}), 2: (1, {'@': 268}), 47: (1, {'@': 268}), 48: (1, {'@': 268}), 30: (1, {'@': 268}), 49: (1, {'@': 268}), 50: (1, {'@': 268})}, 425: {32: (1, {'@': 269}), 33: (1, {'@': 269}), 34: (1, {'@': 269}), 15: (1, {'@': 269}), 8: (1, {'@': 269}), 35: (1, {'@': 269}), 17: (1, {'@': 269}), 36: (1, {'@': 269}), 1: (1, {'@': 269}), 37: (1, {'@': 269}), 38: (1, {'@': 269}), 20: (1, {'@': 269}), 39: (1, {'@': 269}), 4: (1, {'@': 269}), 23: (1, {'@': 269}), 25: (1, {'@': 269}), 0: (1, {'@': 269}), 40: (1, {'@': 269}), 26: (1, {'@': 269}), 41: (1, {'@': 269}), 27: (1, {'@': 269}), 28: (1, {'@': 269}), 29: (1, {'@': 269}), 42: (1, {'@': 269}), 43: (1, {'@': 269}), 31: (1, {'@': 269}), 3: (1, {'@': 269}), 44: (1, {'@': 269}), 45: (1, {'@': 269}), 16: (1, {'@': 269}), 18: (1, {'@': 269}), 46: (1, {'@': 269}), 19: (1, {'@': 269}), 21: (1, {'@': 269}), 24: (1, {'@': 269}), 2: (1, {'@': 269}), 47: (1, {'@': 269}), 48: (1, {'@': 269}), 30: (1, {'@': 269}), 49: (1, {'@': 269}), 50: (1, {'@': 269})}, 426: {32: (1, {'@': 270}), 33: (1, {'@': 270}), 34: (1, {'@': 270}), 15: (1, {'@': 270}), 8: (1, {'@': 270}), 35: (1, {'@': 270}), 17: (1, {'@': 270}), 36: (1, {'@': 270}), 1: (1, {'@': 270}), 37: (1, {'@': 270}), 38: (1, {'@': 270}), 20: (1, {'@': 270}), 39: (1, {'@': 270}), 4: (1, {'@': 270}), 23: (1, {'@': 270}), 25: (1, {'@': 270}), 0: (1, {'@': 270}), 40: (1, {'@': 270}), 26: (1, {'@': 270}), 41: (1, {'@': 270}), 27: (1, {'@': 270}), 28: (1, {'@': 270}), 29: (1, {'@': 270}), 42: (1, {'@': 270}), 43: (1, {'@': 270}), 31: (1, {'@': 270}), 3: (1, {'@': 270}), 44: (1, {'@': 270}), 45: (1, {'@': 270}), 16: (1, {'@': 270}), 18: (1, {'@': 270}), 46: (1, {'@': 270}), 19: (1, {'@': 270}), 21: (1, {'@': 270}), 24: (1, {'@': 270}), 2: (1, {'@': 270}), 47: (1, {'@': 270}), 48: (1, {'@': 270}), 30: (1, {'@': 270}), 49: (1, {'@': 270}), 50: (1, {'@': 270})}, 427: {7: (0, 460), 6: (0, 3), 4: (0, 8), 3: (0, 461), 0: (0, 10), 1: (0, 2)}, 428: {3: (0, 462)}, 429: {32: (1, {'@': 271}), 33: (1, {'@': 271}), 34: (1, {'@': 271}), 15: (1, {'@': 271}), 8: (1, {'@': 271}), 35: (1, {'@': 271}), 17: (1, {'@': 271}), 36: (1, {'@': 271}), 1: (1, {'@': 271}), 37: (1, {'@': 271}), 38: (1, {'@': 271}), 20: (1, {'@': 271}), 39: (1, {'@': 271}), 4: (1, {'@': 271}), 23: (1, {'@': 271}), 25: (1, {'@': 271}), 0: (1, {'@': 271}), 40: (1, {'@': 271}), 26: (1, {'@': 271}), 41: (1, {'@': 271}), 27: (1, {'@': 271}), 28: (1, {'@': 271}), 29: (1, {'@': 271}), 42: (1, {'@': 271}), 43: (1, {'@': 271}), 31: (1, {'@': 271}), 3: (1, {'@': 271}), 44: (1, {'@': 271}), 45: (1, {'@': 271}), 16: (1, {'@': 271}), 18: (1, {'@': 271}), 46: (1, {'@': 271}), 19: (1, {'@': 271}), 21: (1, {'@': 271}), 24: (1, {'@': 271}), 2: (1, {'@': 271}), 47: (1, {'@': 271}), 48: (1, {'@': 271}), 30: (1, {'@': 271}), 49: (1, {'@': 271}), 50: (1, {'@': 271})}, 430: {32: (1, {'@': 272}), 33: (1, {'@': 272}), 34: (1, {'@': 272}), 15: (1, {'@': 272}), 8: (1, {'@': 272}), 35: (1, {'@': 272}), 17: (1, {'@': 272}), 36: (1, {'@': 272}), 1: (1, {'@': 272}), 37: (1, {'@': 272}), 38: (1, {'@': 272}), 20: (1, {'@': 272}), 39: (1, {'@': 272}), 4: (1, {'@': 272}), 23: (1, {'@': 272}), 25: (1, {'@': 272}), 0: (1, {'@': 272}), 40: (1, {'@': 272}), 26: (1, {'@': 272}), 41: (1, {'@': 272}), 27: (1, {'@': 272}), 28: (1, {'@': 272}), 29: (1, {'@': 272}), 42: (1, {'@': 272}), 43: (1, {'@': 272}), 31: (1, {'@': 272}), 3: (1, {'@': 272}), 44: (1, {'@': 272}), 45: (1, {'@': 272}), 16: (1, {'@': 272}), 18: (1, {'@': 272}), 46: (1, {'@': 272}), 19: (1, {'@': 272}), 21: (1, {'@': 272}), 24: (1, {'@': 272}), 2: (1, {'@': 272}), 47: (1, {'@': 272}), 48: (1, {'@': 272}), 30: (1, {'@': 272}), 49: (1, {'@': 272}), 50: (1, {'@': 272})}, 431: {89: (0, 463), 7: (0, 464), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 30: (0, 179), 3: (0, 465)}, 432: {6: (0, 3), 4: (0, 8), 7: (0, 466), 0: (0, 10), 1: (0, 2), 3: (0, 467)}, 433: {3: (0, 468)}, 434: {32: (1, {'@': 273}), 33: (1, {'@': 273}), 34: (1, {'@': 273}), 15: (1, {'@': 273}), 8: (1, {'@': 273}), 35: (1, {'@': 273}), 17: (1, {'@': 273}), 36: (1, {'@': 273}), 1: (1, {'@': 273}), 37: (1, {'@': 273}), 38: (1, {'@': 273}), 20: (1, {'@': 273}), 39: (1, {'@': 273}), 4: (1, {'@': 273}), 23: (1, {'@': 273}), 25: (1, {'@': 273}), 0: (1, {'@': 273}), 40: (1, {'@': 273}), 26: (1, {'@': 273}), 41: (1, {'@': 273}), 27: (1, {'@': 273}), 28: (1, {'@': 273}), 29: (1, {'@': 273}), 42: (1, {'@': 273}), 43: (1, {'@': 273}), 31: (1, {'@': 273}), 3: (1, {'@': 273}), 44: (1, {'@': 273}), 45: (1, {'@': 273}), 16: (1, {'@': 273}), 18: (1, {'@': 273}), 46: (1, {'@': 273}), 19: (1, {'@': 273}), 21: (1, {'@': 273}), 24: (1, {'@': 273}), 2: (1, {'@': 273}), 47: (1, {'@': 273}), 48: (1, {'@': 273}), 30: (1, {'@': 273}), 49: (1, {'@': 273}), 50: (1, {'@': 273})}, 435: {6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 3: (0, 469), 7: (0, 470)}, 436: {3: (0, 471)}, 437: {32: (1, {'@': 274}), 33: (1, {'@': 274}), 34: (1, {'@': 274}), 15: (1, {'@': 274}), 8: (1, {'@': 274}), 35: (1, {'@': 274}), 17: (1, {'@': 274}), 36: (1, {'@': 274}), 1: (1, {'@': 274}), 37: (1, {'@': 274}), 38: (1, {'@': 274}), 20: (1, {'@': 274}), 39: (1, {'@': 274}), 4: (1, {'@': 274}), 23: (1, {'@': 274}), 25: (1, {'@': 274}), 0: (1, {'@': 274}), 40: (1, {'@': 274}), 26: (1, {'@': 274}), 41: (1, {'@': 274}), 27: (1, {'@': 274}), 28: (1, {'@': 274}), 29: (1, {'@': 274}), 42: (1, {'@': 274}), 43: (1, {'@': 274}), 31: (1, {'@': 274}), 3: (1, {'@': 274}), 44: (1, {'@': 274}), 45: (1, {'@': 274}), 16: (1, {'@': 274}), 18: (1, {'@': 274}), 46: (1, {'@': 274}), 19: (1, {'@': 274}), 21: (1, {'@': 274}), 24: (1, {'@': 274}), 2: (1, {'@': 274}), 47: (1, {'@': 274}), 48: (1, {'@': 274}), 30: (1, {'@': 274}), 49: (1, {'@': 274}), 50: (1, {'@': 274})}, 438: {3: (0, 472)}, 439: {32: (1, {'@': 275}), 33: (1, {'@': 275}), 34: (1, {'@': 275}), 15: (1, {'@': 275}), 8: (1, {'@': 275}), 35: (1, {'@': 275}), 17: (1, {'@': 275}), 36: (1, {'@': 275}), 1: (1, {'@': 275}), 37: (1, {'@': 275}), 38: (1, {'@': 275}), 20: (1, {'@': 275}), 39: (1, {'@': 275}), 4: (1, {'@': 275}), 23: (1, {'@': 275}), 25: (1, {'@': 275}), 0: (1, {'@': 275}), 40: (1, {'@': 275}), 26: (1, {'@': 275}), 41: (1, {'@': 275}), 27: (1, {'@': 275}), 28: (1, {'@': 275}), 29: (1, {'@': 275}), 42: (1, {'@': 275}), 43: (1, {'@': 275}), 31: (1, {'@': 275}), 3: (1, {'@': 275}), 44: (1, {'@': 275}), 45: (1, {'@': 275}), 16: (1, {'@': 275}), 18: (1, {'@': 275}), 46: (1, {'@': 275}), 19: (1, {'@': 275}), 21: (1, {'@': 275}), 24: (1, {'@': 275}), 2: (1, {'@': 275}), 47: (1, {'@': 275}), 48: (1, {'@': 275}), 30: (1, {'@': 275}), 49: (1, {'@': 275}), 50: (1, {'@': 275})}, 440: {3: (0, 473)}, 441: {32: (1, {'@': 276}), 33: (1, {'@': 276}), 34: (1, {'@': 276}), 15: (1, {'@': 276}), 8: (1, {'@': 276}), 35: (1, {'@': 276}), 17: (1, {'@': 276}), 36: (1, {'@': 276}), 1: (1, {'@': 276}), 37: (1, {'@': 276}), 38: (1, {'@': 276}), 20: (1, {'@': 276}), 39: (1, {'@': 276}), 4: (1, {'@': 276}), 23: (1, {'@': 276}), 25: (1, {'@': 276}), 0: (1, {'@': 276}), 40: (1, {'@': 276}), 26: (1, {'@': 276}), 41: (1, {'@': 276}), 27: (1, {'@': 276}), 28: (1, {'@': 276}), 29: (1, {'@': 276}), 42: (1, {'@': 276}), 43: (1, {'@': 276}), 31: (1, {'@': 276}), 3: (1, {'@': 276}), 44: (1, {'@': 276}), 45: (1, {'@': 276}), 16: (1, {'@': 276}), 18: (1, {'@': 276}), 46: (1, {'@': 276}), 19: (1, {'@': 276}), 21: (1, {'@': 276}), 24: (1, {'@': 276}), 2: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 30: (1, {'@': 276}), 49: (1, {'@': 276}), 50: (1, {'@': 276})}, 442: {32: (1, {'@': 277}), 33: (1, {'@': 277}), 34: (1, {'@': 277}), 15: (1, {'@': 277}), 8: (1, {'@': 277}), 35: (1, {'@': 277}), 17: (1, {'@': 277}), 36: (1, {'@': 277}), 1: (1, {'@': 277}), 37: (1, {'@': 277}), 38: (1, {'@': 277}), 20: (1, {'@': 277}), 39: (1, {'@': 277}), 4: (1, {'@': 277}), 23: (1, {'@': 277}), 25: (1, {'@': 277}), 0: (1, {'@': 277}), 40: (1, {'@': 277}), 26: (1, {'@': 277}), 41: (1, {'@': 277}), 27: (1, {'@': 277}), 28: (1, {'@': 277}), 29: (1, {'@': 277}), 42: (1, {'@': 277}), 43: (1, {'@': 277}), 31: (1, {'@': 277}), 3: (1, {'@': 277}), 44: (1, {'@': 277}), 45: (1, {'@': 277}), 16: (1, {'@': 277}), 18: (1, {'@': 277}), 46: (1, {'@': 277}), 19: (1, {'@': 277}), 21: (1, {'@': 277}), 24: (1, {'@': 277}), 2: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 30: (1, {'@': 277}), 49: (1, {'@': 277}), 50: (1, {'@': 277})}, 443: {32: (1, {'@': 278}), 33: (1, {'@': 278}), 34: (1, {'@': 278}), 15: (1, {'@': 278}), 8: (1, {'@': 278}), 35: (1, {'@': 278}), 17: (1, {'@': 278}), 36: (1, {'@': 278}), 1: (1, {'@': 278}), 37: (1, {'@': 278}), 38: (1, {'@': 278}), 20: (1, {'@': 278}), 39: (1, {'@': 278}), 4: (1, {'@': 278}), 23: (1, {'@': 278}), 25: (1, {'@': 278}), 0: (1, {'@': 278}), 40: (1, {'@': 278}), 26: (1, {'@': 278}), 41: (1, {'@': 278}), 27: (1, {'@': 278}), 28: (1, {'@': 278}), 29: (1, {'@': 278}), 42: (1, {'@': 278}), 43: (1, {'@': 278}), 31: (1, {'@': 278}), 3: (1, {'@': 278}), 44: (1, {'@': 278}), 45: (1, {'@': 278}), 16: (1, {'@': 278}), 18: (1, {'@': 278}), 46: (1, {'@': 278}), 19: (1, {'@': 278}), 21: (1, {'@': 278}), 24: (1, {'@': 278}), 2: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 30: (1, {'@': 278}), 49: (1, {'@': 278}), 50: (1, {'@': 278})}, 444: {25: (1, {'@': 279}), 0: (1, {'@': 279}), 15: (1, {'@': 279}), 8: (1, {'@': 279}), 16: (1, {'@': 279}), 27: (1, {'@': 279}), 28: (1, {'@': 279}), 17: (1, {'@': 279}), 29: (1, {'@': 279}), 18: (1, {'@': 279}), 1: (1, {'@': 279}), 19: (1, {'@': 279}), 31: (1, {'@': 279}), 20: (1, {'@': 279}), 21: (1, {'@': 279}), 4: (1, {'@': 279})}, 445: {25: (1, {'@': 280}), 0: (0, 10), 15: (1, {'@': 280}), 8: (1, {'@': 280}), 16: (1, {'@': 280}), 27: (1, {'@': 280}), 28: (1, {'@': 280}), 17: (1, {'@': 280}), 29: (1, {'@': 280}), 18: (1, {'@': 280}), 1: (0, 2), 19: (1, {'@': 280}), 31: (1, {'@': 280}), 20: (1, {'@': 280}), 21: (1, {'@': 280}), 4: (0, 8), 6: (0, 3), 7: (0, 474)}, 446: {35: (0, 475), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 447: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 57: (0, 476), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 448: {25: (1, {'@': 281}), 0: (0, 10), 15: (1, {'@': 281}), 8: (1, {'@': 281}), 16: (1, {'@': 281}), 27: (1, {'@': 281}), 28: (1, {'@': 281}), 17: (1, {'@': 281}), 29: (1, {'@': 281}), 18: (1, {'@': 281}), 1: (0, 2), 19: (1, {'@': 281}), 31: (1, {'@': 281}), 20: (1, {'@': 281}), 21: (1, {'@': 281}), 4: (0, 8), 6: (0, 3), 7: (0, 477)}, 449: {35: (0, 478), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 450: {25: (1, {'@': 282}), 0: (1, {'@': 282}), 15: (1, {'@': 282}), 8: (1, {'@': 282}), 16: (1, {'@': 282}), 27: (1, {'@': 282}), 28: (1, {'@': 282}), 17: (1, {'@': 282}), 29: (1, {'@': 282}), 18: (1, {'@': 282}), 1: (1, {'@': 282}), 19: (1, {'@': 282}), 31: (1, {'@': 282}), 20: (1, {'@': 282}), 21: (1, {'@': 282}), 4: (1, {'@': 282})}, 451: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 57: (0, 479), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 6: (0, 3), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 60: (0, 42), 29: (0, 43), 8: (0, 5), 4: (0, 8), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 0: (0, 10), 20: (0, 49), 7: (0, 480), 1: (0, 2), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 452: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 35: (0, 481), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 453: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 482), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 454: {25: (1, {'@': 283}), 0: (0, 10), 15: (1, {'@': 283}), 8: (1, {'@': 283}), 16: (1, {'@': 283}), 27: (1, {'@': 283}), 28: (1, {'@': 283}), 17: (1, {'@': 283}), 29: (1, {'@': 283}), 18: (1, {'@': 283}), 1: (0, 2), 19: (1, {'@': 283}), 31: (1, {'@': 283}), 20: (1, {'@': 283}), 21: (1, {'@': 283}), 4: (0, 8), 7: (0, 483), 6: (0, 3)}, 455: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 35: (0, 484), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 456: {25: (1, {'@': 284}), 0: (0, 10), 15: (1, {'@': 284}), 8: (1, {'@': 284}), 16: (1, {'@': 284}), 27: (1, {'@': 284}), 28: (1, {'@': 284}), 17: (1, {'@': 284}), 29: (1, {'@': 284}), 18: (1, {'@': 284}), 1: (0, 2), 19: (1, {'@': 284}), 31: (1, {'@': 284}), 20: (1, {'@': 284}), 21: (1, {'@': 284}), 4: (0, 8), 6: (0, 3), 7: (0, 485)}, 457: {25: (1, {'@': 285}), 0: (1, {'@': 285}), 15: (1, {'@': 285}), 8: (1, {'@': 285}), 16: (1, {'@': 285}), 27: (1, {'@': 285}), 28: (1, {'@': 285}), 17: (1, {'@': 285}), 29: (1, {'@': 285}), 18: (1, {'@': 285}), 1: (1, {'@': 285}), 19: (1, {'@': 285}), 31: (1, {'@': 285}), 20: (1, {'@': 285}), 21: (1, {'@': 285}), 4: (1, {'@': 285})}, 458: {25: (1, {'@': 286}), 0: (1, {'@': 286}), 15: (1, {'@': 286}), 8: (1, {'@': 286}), 16: (1, {'@': 286}), 27: (1, {'@': 286}), 28: (1, {'@': 286}), 17: (1, {'@': 286}), 29: (1, {'@': 286}), 18: (1, {'@': 286}), 1: (1, {'@': 286}), 19: (1, {'@': 286}), 31: (1, {'@': 286}), 20: (1, {'@': 286}), 21: (1, {'@': 286}), 4: (1, {'@': 286})}, 459: {32: (1, {'@': 287}), 33: (1, {'@': 287}), 34: (1, {'@': 287}), 15: (1, {'@': 287}), 8: (1, {'@': 287}), 35: (1, {'@': 287}), 17: (1, {'@': 287}), 36: (1, {'@': 287}), 1: (1, {'@': 287}), 37: (1, {'@': 287}), 38: (1, {'@': 287}), 20: (1, {'@': 287}), 39: (1, {'@': 287}), 4: (1, {'@': 287}), 23: (1, {'@': 287}), 25: (1, {'@': 287}), 0: (1, {'@': 287}), 40: (1, {'@': 287}), 26: (1, {'@': 287}), 41: (1, {'@': 287}), 27: (1, {'@': 287}), 28: (1, {'@': 287}), 29: (1, {'@': 287}), 42: (1, {'@': 287}), 43: (1, {'@': 287}), 31: (1, {'@': 287}), 3: (1, {'@': 287}), 44: (1, {'@': 287}), 45: (1, {'@': 287}), 16: (1, {'@': 287}), 18: (1, {'@': 287}), 46: (1, {'@': 287}), 19: (1, {'@': 287}), 21: (1, {'@': 287}), 24: (1, {'@': 287}), 2: (1, {'@': 287}), 47: (1, {'@': 287}), 48: (1, {'@': 287}), 30: (1, {'@': 287}), 49: (1, {'@': 287}), 50: (1, {'@': 287})}, 460: {3: (0, 486)}, 461: {32: (1, {'@': 288}), 33: (1, {'@': 288}), 34: (1, {'@': 288}), 15: (1, {'@': 288}), 8: (1, {'@': 288}), 35: (1, {'@': 288}), 17: (1, {'@': 288}), 36: (1, {'@': 288}), 1: (1, {'@': 288}), 37: (1, {'@': 288}), 38: (1, {'@': 288}), 20: (1, {'@': 288}), 39: (1, {'@': 288}), 4: (1, {'@': 288}), 23: (1, {'@': 288}), 25: (1, {'@': 288}), 0: (1, {'@': 288}), 40: (1, {'@': 288}), 26: (1, {'@': 288}), 41: (1, {'@': 288}), 27: (1, {'@': 288}), 28: (1, {'@': 288}), 29: (1, {'@': 288}), 42: (1, {'@': 288}), 43: (1, {'@': 288}), 31: (1, {'@': 288}), 3: (1, {'@': 288}), 44: (1, {'@': 288}), 45: (1, {'@': 288}), 16: (1, {'@': 288}), 18: (1, {'@': 288}), 46: (1, {'@': 288}), 19: (1, {'@': 288}), 21: (1, {'@': 288}), 24: (1, {'@': 288}), 2: (1, {'@': 288}), 47: (1, {'@': 288}), 48: (1, {'@': 288}), 30: (1, {'@': 288}), 49: (1, {'@': 288}), 50: (1, {'@': 288})}, 462: {32: (1, {'@': 289}), 33: (1, {'@': 289}), 34: (1, {'@': 289}), 15: (1, {'@': 289}), 8: (1, {'@': 289}), 35: (1, {'@': 289}), 17: (1, {'@': 289}), 36: (1, {'@': 289}), 1: (1, {'@': 289}), 37: (1, {'@': 289}), 38: (1, {'@': 289}), 20: (1, {'@': 289}), 39: (1, {'@': 289}), 4: (1, {'@': 289}), 23: (1, {'@': 289}), 25: (1, {'@': 289}), 0: (1, {'@': 289}), 40: (1, {'@': 289}), 26: (1, {'@': 289}), 41: (1, {'@': 289}), 27: (1, {'@': 289}), 28: (1, {'@': 289}), 29: (1, {'@': 289}), 42: (1, {'@': 289}), 43: (1, {'@': 289}), 31: (1, {'@': 289}), 3: (1, {'@': 289}), 44: (1, {'@': 289}), 45: (1, {'@': 289}), 16: (1, {'@': 289}), 18: (1, {'@': 289}), 46: (1, {'@': 289}), 19: (1, {'@': 289}), 21: (1, {'@': 289}), 24: (1, {'@': 289}), 2: (1, {'@': 289}), 47: (1, {'@': 289}), 48: (1, {'@': 289}), 30: (1, {'@': 289}), 49: (1, {'@': 289}), 50: (1, {'@': 289})}, 463: {3: (0, 487), 6: (0, 3), 4: (0, 8), 0: (0, 10), 1: (0, 2), 7: (0, 488)}, 464: {3: (0, 489)}, 465: {32: (1, {'@': 290}), 33: (1, {'@': 290}), 34: (1, {'@': 290}), 15: (1, {'@': 290}), 8: (1, {'@': 290}), 35: (1, {'@': 290}), 17: (1, {'@': 290}), 36: (1, {'@': 290}), 1: (1, {'@': 290}), 37: (1, {'@': 290}), 38: (1, {'@': 290}), 20: (1, {'@': 290}), 39: (1, {'@': 290}), 4: (1, {'@': 290}), 23: (1, {'@': 290}), 25: (1, {'@': 290}), 0: (1, {'@': 290}), 40: (1, {'@': 290}), 26: (1, {'@': 290}), 41: (1, {'@': 290}), 27: (1, {'@': 290}), 28: (1, {'@': 290}), 29: (1, {'@': 290}), 42: (1, {'@': 290}), 43: (1, {'@': 290}), 31: (1, {'@': 290}), 3: (1, {'@': 290}), 44: (1, {'@': 290}), 45: (1, {'@': 290}), 16: (1, {'@': 290}), 18: (1, {'@': 290}), 46: (1, {'@': 290}), 19: (1, {'@': 290}), 21: (1, {'@': 290}), 24: (1, {'@': 290}), 2: (1, {'@': 290}), 47: (1, {'@': 290}), 48: (1, {'@': 290}), 30: (1, {'@': 290}), 49: (1, {'@': 290}), 50: (1, {'@': 290})}, 466: {3: (0, 490)}, 467: {32: (1, {'@': 291}), 33: (1, {'@': 291}), 34: (1, {'@': 291}), 15: (1, {'@': 291}), 8: (1, {'@': 291}), 35: (1, {'@': 291}), 17: (1, {'@': 291}), 36: (1, {'@': 291}), 1: (1, {'@': 291}), 37: (1, {'@': 291}), 38: (1, {'@': 291}), 20: (1, {'@': 291}), 39: (1, {'@': 291}), 4: (1, {'@': 291}), 23: (1, {'@': 291}), 25: (1, {'@': 291}), 0: (1, {'@': 291}), 40: (1, {'@': 291}), 26: (1, {'@': 291}), 41: (1, {'@': 291}), 27: (1, {'@': 291}), 28: (1, {'@': 291}), 29: (1, {'@': 291}), 42: (1, {'@': 291}), 43: (1, {'@': 291}), 31: (1, {'@': 291}), 3: (1, {'@': 291}), 44: (1, {'@': 291}), 45: (1, {'@': 291}), 16: (1, {'@': 291}), 18: (1, {'@': 291}), 46: (1, {'@': 291}), 19: (1, {'@': 291}), 21: (1, {'@': 291}), 24: (1, {'@': 291}), 2: (1, {'@': 291}), 47: (1, {'@': 291}), 48: (1, {'@': 291}), 30: (1, {'@': 291}), 49: (1, {'@': 291}), 50: (1, {'@': 291})}, 468: {32: (1, {'@': 292}), 33: (1, {'@': 292}), 34: (1, {'@': 292}), 15: (1, {'@': 292}), 8: (1, {'@': 292}), 35: (1, {'@': 292}), 17: (1, {'@': 292}), 36: (1, {'@': 292}), 1: (1, {'@': 292}), 37: (1, {'@': 292}), 38: (1, {'@': 292}), 20: (1, {'@': 292}), 39: (1, {'@': 292}), 4: (1, {'@': 292}), 23: (1, {'@': 292}), 25: (1, {'@': 292}), 0: (1, {'@': 292}), 40: (1, {'@': 292}), 26: (1, {'@': 292}), 41: (1, {'@': 292}), 27: (1, {'@': 292}), 28: (1, {'@': 292}), 29: (1, {'@': 292}), 42: (1, {'@': 292}), 43: (1, {'@': 292}), 31: (1, {'@': 292}), 3: (1, {'@': 292}), 44: (1, {'@': 292}), 45: (1, {'@': 292}), 16: (1, {'@': 292}), 18: (1, {'@': 292}), 46: (1, {'@': 292}), 19: (1, {'@': 292}), 21: (1, {'@': 292}), 24: (1, {'@': 292}), 2: (1, {'@': 292}), 47: (1, {'@': 292}), 48: (1, {'@': 292}), 30: (1, {'@': 292}), 49: (1, {'@': 292}), 50: (1, {'@': 292})}, 469: {32: (1, {'@': 293}), 33: (1, {'@': 293}), 34: (1, {'@': 293}), 15: (1, {'@': 293}), 8: (1, {'@': 293}), 35: (1, {'@': 293}), 17: (1, {'@': 293}), 36: (1, {'@': 293}), 1: (1, {'@': 293}), 37: (1, {'@': 293}), 38: (1, {'@': 293}), 20: (1, {'@': 293}), 39: (1, {'@': 293}), 4: (1, {'@': 293}), 23: (1, {'@': 293}), 25: (1, {'@': 293}), 0: (1, {'@': 293}), 40: (1, {'@': 293}), 26: (1, {'@': 293}), 41: (1, {'@': 293}), 27: (1, {'@': 293}), 28: (1, {'@': 293}), 29: (1, {'@': 293}), 42: (1, {'@': 293}), 43: (1, {'@': 293}), 31: (1, {'@': 293}), 3: (1, {'@': 293}), 44: (1, {'@': 293}), 45: (1, {'@': 293}), 16: (1, {'@': 293}), 18: (1, {'@': 293}), 46: (1, {'@': 293}), 19: (1, {'@': 293}), 21: (1, {'@': 293}), 24: (1, {'@': 293}), 2: (1, {'@': 293}), 47: (1, {'@': 293}), 48: (1, {'@': 293}), 30: (1, {'@': 293}), 49: (1, {'@': 293}), 50: (1, {'@': 293})}, 470: {3: (0, 491)}, 471: {32: (1, {'@': 294}), 33: (1, {'@': 294}), 34: (1, {'@': 294}), 15: (1, {'@': 294}), 8: (1, {'@': 294}), 35: (1, {'@': 294}), 17: (1, {'@': 294}), 36: (1, {'@': 294}), 1: (1, {'@': 294}), 37: (1, {'@': 294}), 38: (1, {'@': 294}), 20: (1, {'@': 294}), 39: (1, {'@': 294}), 4: (1, {'@': 294}), 23: (1, {'@': 294}), 25: (1, {'@': 294}), 0: (1, {'@': 294}), 40: (1, {'@': 294}), 26: (1, {'@': 294}), 41: (1, {'@': 294}), 27: (1, {'@': 294}), 28: (1, {'@': 294}), 29: (1, {'@': 294}), 42: (1, {'@': 294}), 43: (1, {'@': 294}), 31: (1, {'@': 294}), 3: (1, {'@': 294}), 44: (1, {'@': 294}), 45: (1, {'@': 294}), 16: (1, {'@': 294}), 18: (1, {'@': 294}), 46: (1, {'@': 294}), 19: (1, {'@': 294}), 21: (1, {'@': 294}), 24: (1, {'@': 294}), 2: (1, {'@': 294}), 47: (1, {'@': 294}), 48: (1, {'@': 294}), 30: (1, {'@': 294}), 49: (1, {'@': 294}), 50: (1, {'@': 294})}, 472: {32: (1, {'@': 295}), 33: (1, {'@': 295}), 34: (1, {'@': 295}), 15: (1, {'@': 295}), 8: (1, {'@': 295}), 35: (1, {'@': 295}), 17: (1, {'@': 295}), 36: (1, {'@': 295}), 1: (1, {'@': 295}), 37: (1, {'@': 295}), 38: (1, {'@': 295}), 20: (1, {'@': 295}), 39: (1, {'@': 295}), 4: (1, {'@': 295}), 23: (1, {'@': 295}), 25: (1, {'@': 295}), 0: (1, {'@': 295}), 40: (1, {'@': 295}), 26: (1, {'@': 295}), 41: (1, {'@': 295}), 27: (1, {'@': 295}), 28: (1, {'@': 295}), 29: (1, {'@': 295}), 42: (1, {'@': 295}), 43: (1, {'@': 295}), 31: (1, {'@': 295}), 3: (1, {'@': 295}), 44: (1, {'@': 295}), 45: (1, {'@': 295}), 16: (1, {'@': 295}), 18: (1, {'@': 295}), 46: (1, {'@': 295}), 19: (1, {'@': 295}), 21: (1, {'@': 295}), 24: (1, {'@': 295}), 2: (1, {'@': 295}), 47: (1, {'@': 295}), 48: (1, {'@': 295}), 30: (1, {'@': 295}), 49: (1, {'@': 295}), 50: (1, {'@': 295})}, 473: {32: (1, {'@': 296}), 33: (1, {'@': 296}), 34: (1, {'@': 296}), 15: (1, {'@': 296}), 8: (1, {'@': 296}), 35: (1, {'@': 296}), 17: (1, {'@': 296}), 36: (1, {'@': 296}), 1: (1, {'@': 296}), 37: (1, {'@': 296}), 38: (1, {'@': 296}), 20: (1, {'@': 296}), 39: (1, {'@': 296}), 4: (1, {'@': 296}), 23: (1, {'@': 296}), 25: (1, {'@': 296}), 0: (1, {'@': 296}), 40: (1, {'@': 296}), 26: (1, {'@': 296}), 41: (1, {'@': 296}), 27: (1, {'@': 296}), 28: (1, {'@': 296}), 29: (1, {'@': 296}), 42: (1, {'@': 296}), 43: (1, {'@': 296}), 31: (1, {'@': 296}), 3: (1, {'@': 296}), 44: (1, {'@': 296}), 45: (1, {'@': 296}), 16: (1, {'@': 296}), 18: (1, {'@': 296}), 46: (1, {'@': 296}), 19: (1, {'@': 296}), 21: (1, {'@': 296}), 24: (1, {'@': 296}), 2: (1, {'@': 296}), 47: (1, {'@': 296}), 48: (1, {'@': 296}), 30: (1, {'@': 296}), 49: (1, {'@': 296}), 50: (1, {'@': 296})}, 474: {25: (1, {'@': 297}), 0: (1, {'@': 297}), 15: (1, {'@': 297}), 8: (1, {'@': 297}), 16: (1, {'@': 297}), 27: (1, {'@': 297}), 28: (1, {'@': 297}), 17: (1, {'@': 297}), 29: (1, {'@': 297}), 18: (1, {'@': 297}), 1: (1, {'@': 297}), 19: (1, {'@': 297}), 31: (1, {'@': 297}), 20: (1, {'@': 297}), 21: (1, {'@': 297}), 4: (1, {'@': 297})}, 475: {25: (1, {'@': 298}), 0: (0, 10), 15: (1, {'@': 298}), 8: (1, {'@': 298}), 16: (1, {'@': 298}), 27: (1, {'@': 298}), 28: (1, {'@': 298}), 17: (1, {'@': 298}), 29: (1, {'@': 298}), 18: (1, {'@': 298}), 1: (0, 2), 19: (1, {'@': 298}), 31: (1, {'@': 298}), 20: (1, {'@': 298}), 21: (1, {'@': 298}), 4: (0, 8), 6: (0, 3), 7: (0, 492)}, 476: {77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 35: (0, 493), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 477: {25: (1, {'@': 299}), 0: (1, {'@': 299}), 15: (1, {'@': 299}), 8: (1, {'@': 299}), 16: (1, {'@': 299}), 27: (1, {'@': 299}), 28: (1, {'@': 299}), 17: (1, {'@': 299}), 29: (1, {'@': 299}), 18: (1, {'@': 299}), 1: (1, {'@': 299}), 19: (1, {'@': 299}), 31: (1, {'@': 299}), 20: (1, {'@': 299}), 21: (1, {'@': 299}), 4: (1, {'@': 299})}, 478: {25: (1, {'@': 300}), 0: (0, 10), 15: (1, {'@': 300}), 8: (1, {'@': 300}), 16: (1, {'@': 300}), 27: (1, {'@': 300}), 28: (1, {'@': 300}), 17: (1, {'@': 300}), 29: (1, {'@': 300}), 18: (1, {'@': 300}), 1: (0, 2), 19: (1, {'@': 300}), 31: (1, {'@': 300}), 20: (1, {'@': 300}), 21: (1, {'@': 300}), 4: (0, 8), 6: (0, 3), 7: (0, 494)}, 479: {35: (0, 495), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 480: {52: (0, 29), 53: (0, 30), 21: (0, 31), 17: (0, 32), 16: (0, 33), 54: (0, 34), 55: (0, 35), 9: (0, 36), 56: (0, 37), 58: (0, 39), 15: (0, 40), 59: (0, 41), 57: (0, 496), 60: (0, 42), 29: (0, 43), 8: (0, 5), 61: (0, 44), 19: (0, 45), 62: (0, 46), 63: (0, 47), 64: (0, 48), 20: (0, 49), 27: (0, 50), 65: (0, 51), 66: (0, 52), 67: (0, 53), 68: (0, 54), 69: (0, 55), 18: (0, 56), 70: (0, 57), 71: (0, 58), 72: (0, 59), 73: (0, 60), 74: (0, 61), 31: (0, 62), 28: (0, 63), 25: (0, 64)}, 481: {25: (1, {'@': 301}), 0: (0, 10), 15: (1, {'@': 301}), 8: (1, {'@': 301}), 16: (1, {'@': 301}), 27: (1, {'@': 301}), 28: (1, {'@': 301}), 17: (1, {'@': 301}), 29: (1, {'@': 301}), 18: (1, {'@': 301}), 1: (0, 2), 19: (1, {'@': 301}), 31: (1, {'@': 301}), 20: (1, {'@': 301}), 21: (1, {'@': 301}), 4: (0, 8), 6: (0, 3), 7: (0, 497)}, 482: {77: (0, 84), 42: (0, 85), 78: (0, 86), 35: (0, 498), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 483: {25: (1, {'@': 302}), 0: (1, {'@': 302}), 15: (1, {'@': 302}), 8: (1, {'@': 302}), 16: (1, {'@': 302}), 27: (1, {'@': 302}), 28: (1, {'@': 302}), 17: (1, {'@': 302}), 29: (1, {'@': 302}), 18: (1, {'@': 302}), 1: (1, {'@': 302}), 19: (1, {'@': 302}), 31: (1, {'@': 302}), 20: (1, {'@': 302}), 21: (1, {'@': 302}), 4: (1, {'@': 302})}, 484: {25: (1, {'@': 303}), 0: (0, 10), 15: (1, {'@': 303}), 8: (1, {'@': 303}), 16: (1, {'@': 303}), 27: (1, {'@': 303}), 28: (1, {'@': 303}), 17: (1, {'@': 303}), 29: (1, {'@': 303}), 18: (1, {'@': 303}), 1: (0, 2), 19: (1, {'@': 303}), 31: (1, {'@': 303}), 20: (1, {'@': 303}), 21: (1, {'@': 303}), 4: (0, 8), 6: (0, 3), 7: (0, 499)}, 485: {25: (1, {'@': 304}), 0: (1, {'@': 304}), 15: (1, {'@': 304}), 8: (1, {'@': 304}), 16: (1, {'@': 304}), 27: (1, {'@': 304}), 28: (1, {'@': 304}), 17: (1, {'@': 304}), 29: (1, {'@': 304}), 18: (1, {'@': 304}), 1: (1, {'@': 304}), 19: (1, {'@': 304}), 31: (1, {'@': 304}), 20: (1, {'@': 304}), 21: (1, {'@': 304}), 4: (1, {'@': 304})}, 486: {32: (1, {'@': 305}), 33: (1, {'@': 305}), 34: (1, {'@': 305}), 15: (1, {'@': 305}), 8: (1, {'@': 305}), 35: (1, {'@': 305}), 17: (1, {'@': 305}), 36: (1, {'@': 305}), 1: (1, {'@': 305}), 37: (1, {'@': 305}), 38: (1, {'@': 305}), 20: (1, {'@': 305}), 39: (1, {'@': 305}), 4: (1, {'@': 305}), 23: (1, {'@': 305}), 25: (1, {'@': 305}), 0: (1, {'@': 305}), 40: (1, {'@': 305}), 26: (1, {'@': 305}), 41: (1, {'@': 305}), 27: (1, {'@': 305}), 28: (1, {'@': 305}), 29: (1, {'@': 305}), 42: (1, {'@': 305}), 43: (1, {'@': 305}), 31: (1, {'@': 305}), 3: (1, {'@': 305}), 44: (1, {'@': 305}), 45: (1, {'@': 305}), 16: (1, {'@': 305}), 18: (1, {'@': 305}), 46: (1, {'@': 305}), 19: (1, {'@': 305}), 21: (1, {'@': 305}), 24: (1, {'@': 305}), 2: (1, {'@': 305}), 47: (1, {'@': 305}), 48: (1, {'@': 305}), 30: (1, {'@': 305}), 49: (1, {'@': 305}), 50: (1, {'@': 305})}, 487: {32: (1, {'@': 306}), 33: (1, {'@': 306}), 34: (1, {'@': 306}), 15: (1, {'@': 306}), 8: (1, {'@': 306}), 35: (1, {'@': 306}), 17: (1, {'@': 306}), 36: (1, {'@': 306}), 1: (1, {'@': 306}), 37: (1, {'@': 306}), 38: (1, {'@': 306}), 20: (1, {'@': 306}), 39: (1, {'@': 306}), 4: (1, {'@': 306}), 23: (1, {'@': 306}), 25: (1, {'@': 306}), 0: (1, {'@': 306}), 40: (1, {'@': 306}), 26: (1, {'@': 306}), 41: (1, {'@': 306}), 27: (1, {'@': 306}), 28: (1, {'@': 306}), 29: (1, {'@': 306}), 42: (1, {'@': 306}), 43: (1, {'@': 306}), 31: (1, {'@': 306}), 3: (1, {'@': 306}), 44: (1, {'@': 306}), 45: (1, {'@': 306}), 16: (1, {'@': 306}), 18: (1, {'@': 306}), 46: (1, {'@': 306}), 19: (1, {'@': 306}), 21: (1, {'@': 306}), 24: (1, {'@': 306}), 2: (1, {'@': 306}), 47: (1, {'@': 306}), 48: (1, {'@': 306}), 30: (1, {'@': 306}), 49: (1, {'@': 306}), 50: (1, {'@': 306})}, 488: {3: (0, 500)}, 489: {32: (1, {'@': 307}), 33: (1, {'@': 307}), 34: (1, {'@': 307}), 15: (1, {'@': 307}), 8: (1, {'@': 307}), 35: (1, {'@': 307}), 17: (1, {'@': 307}), 36: (1, {'@': 307}), 1: (1, {'@': 307}), 37: (1, {'@': 307}), 38: (1, {'@': 307}), 20: (1, {'@': 307}), 39: (1, {'@': 307}), 4: (1, {'@': 307}), 23: (1, {'@': 307}), 25: (1, {'@': 307}), 0: (1, {'@': 307}), 40: (1, {'@': 307}), 26: (1, {'@': 307}), 41: (1, {'@': 307}), 27: (1, {'@': 307}), 28: (1, {'@': 307}), 29: (1, {'@': 307}), 42: (1, {'@': 307}), 43: (1, {'@': 307}), 31: (1, {'@': 307}), 3: (1, {'@': 307}), 44: (1, {'@': 307}), 45: (1, {'@': 307}), 16: (1, {'@': 307}), 18: (1, {'@': 307}), 46: (1, {'@': 307}), 19: (1, {'@': 307}), 21: (1, {'@': 307}), 24: (1, {'@': 307}), 2: (1, {'@': 307}), 47: (1, {'@': 307}), 48: (1, {'@': 307}), 30: (1, {'@': 307}), 49: (1, {'@': 307}), 50: (1, {'@': 307})}, 490: {32: (1, {'@': 308}), 33: (1, {'@': 308}), 34: (1, {'@': 308}), 15: (1, {'@': 308}), 8: (1, {'@': 308}), 35: (1, {'@': 308}), 17: (1, {'@': 308}), 36: (1, {'@': 308}), 1: (1, {'@': 308}), 37: (1, {'@': 308}), 38: (1, {'@': 308}), 20: (1, {'@': 308}), 39: (1, {'@': 308}), 4: (1, {'@': 308}), 23: (1, {'@': 308}), 25: (1, {'@': 308}), 0: (1, {'@': 308}), 40: (1, {'@': 308}), 26: (1, {'@': 308}), 41: (1, {'@': 308}), 27: (1, {'@': 308}), 28: (1, {'@': 308}), 29: (1, {'@': 308}), 42: (1, {'@': 308}), 43: (1, {'@': 308}), 31: (1, {'@': 308}), 3: (1, {'@': 308}), 44: (1, {'@': 308}), 45: (1, {'@': 308}), 16: (1, {'@': 308}), 18: (1, {'@': 308}), 46: (1, {'@': 308}), 19: (1, {'@': 308}), 21: (1, {'@': 308}), 24: (1, {'@': 308}), 2: (1, {'@': 308}), 47: (1, {'@': 308}), 48: (1, {'@': 308}), 30: (1, {'@': 308}), 49: (1, {'@': 308}), 50: (1, {'@': 308})}, 491: {32: (1, {'@': 309}), 33: (1, {'@': 309}), 34: (1, {'@': 309}), 15: (1, {'@': 309}), 8: (1, {'@': 309}), 35: (1, {'@': 309}), 17: (1, {'@': 309}), 36: (1, {'@': 309}), 1: (1, {'@': 309}), 37: (1, {'@': 309}), 38: (1, {'@': 309}), 20: (1, {'@': 309}), 39: (1, {'@': 309}), 4: (1, {'@': 309}), 23: (1, {'@': 309}), 25: (1, {'@': 309}), 0: (1, {'@': 309}), 40: (1, {'@': 309}), 26: (1, {'@': 309}), 41: (1, {'@': 309}), 27: (1, {'@': 309}), 28: (1, {'@': 309}), 29: (1, {'@': 309}), 42: (1, {'@': 309}), 43: (1, {'@': 309}), 31: (1, {'@': 309}), 3: (1, {'@': 309}), 44: (1, {'@': 309}), 45: (1, {'@': 309}), 16: (1, {'@': 309}), 18: (1, {'@': 309}), 46: (1, {'@': 309}), 19: (1, {'@': 309}), 21: (1, {'@': 309}), 24: (1, {'@': 309}), 2: (1, {'@': 309}), 47: (1, {'@': 309}), 48: (1, {'@': 309}), 30: (1, {'@': 309}), 49: (1, {'@': 309}), 50: (1, {'@': 309})}, 492: {25: (1, {'@': 310}), 0: (1, {'@': 310}), 15: (1, {'@': 310}), 8: (1, {'@': 310}), 16: (1, {'@': 310}), 27: (1, {'@': 310}), 28: (1, {'@': 310}), 17: (1, {'@': 310}), 29: (1, {'@': 310}), 18: (1, {'@': 310}), 1: (1, {'@': 310}), 19: (1, {'@': 310}), 31: (1, {'@': 310}), 20: (1, {'@': 310}), 21: (1, {'@': 310}), 4: (1, {'@': 310})}, 493: {25: (1, {'@': 311}), 0: (0, 10), 15: (1, {'@': 311}), 8: (1, {'@': 311}), 16: (1, {'@': 311}), 27: (1, {'@': 311}), 28: (1, {'@': 311}), 17: (1, {'@': 311}), 29: (1, {'@': 311}), 18: (1, {'@': 311}), 1: (0, 2), 19: (1, {'@': 311}), 31: (1, {'@': 311}), 20: (1, {'@': 311}), 21: (1, {'@': 311}), 4: (0, 8), 6: (0, 3), 7: (0, 501)}, 494: {25: (1, {'@': 312}), 0: (1, {'@': 312}), 15: (1, {'@': 312}), 8: (1, {'@': 312}), 16: (1, {'@': 312}), 27: (1, {'@': 312}), 28: (1, {'@': 312}), 17: (1, {'@': 312}), 29: (1, {'@': 312}), 18: (1, {'@': 312}), 1: (1, {'@': 312}), 19: (1, {'@': 312}), 31: (1, {'@': 312}), 20: (1, {'@': 312}), 21: (1, {'@': 312}), 4: (1, {'@': 312})}, 495: {25: (1, {'@': 313}), 0: (0, 10), 15: (1, {'@': 313}), 8: (1, {'@': 313}), 16: (1, {'@': 313}), 27: (1, {'@': 313}), 28: (1, {'@': 313}), 17: (1, {'@': 313}), 29: (1, {'@': 313}), 18: (1, {'@': 313}), 1: (0, 2), 19: (1, {'@': 313}), 31: (1, {'@': 313}), 20: (1, {'@': 313}), 21: (1, {'@': 313}), 4: (0, 8), 6: (0, 3), 7: (0, 502)}, 496: {35: (0, 503), 77: (0, 84), 42: (0, 85), 78: (0, 86), 41: (0, 87), 38: (0, 89), 32: (0, 90), 39: (0, 91), 48: (0, 92), 31: (0, 93), 47: (0, 94), 34: (0, 95), 33: (0, 96), 36: (0, 97), 40: (0, 98), 43: (0, 99), 44: (0, 100)}, 497: {25: (1, {'@': 314}), 0: (1, {'@': 314}), 15: (1, {'@': 314}), 8: (1, {'@': 314}), 16: (1, {'@': 314}), 27: (1, {'@': 314}), 28: (1, {'@': 314}), 17: (1, {'@': 314}), 29: (1, {'@': 314}), 18: (1, {'@': 314}), 1: (1, {'@': 314}), 19: (1, {'@': 314}), 31: (1, {'@': 314}), 20: (1, {'@': 314}), 21: (1, {'@': 314}), 4: (1, {'@': 314})}, 498: {25: (1, {'@': 315}), 0: (0, 10), 15: (1, {'@': 315}), 8: (1, {'@': 315}), 16: (1, {'@': 315}), 27: (1, {'@': 315}), 28: (1, {'@': 315}), 17: (1, {'@': 315}), 29: (1, {'@': 315}), 18: (1, {'@': 315}), 1: (0, 2), 19: (1, {'@': 315}), 31: (1, {'@': 315}), 20: (1, {'@': 315}), 21: (1, {'@': 315}), 4: (0, 8), 6: (0, 3), 7: (0, 504)}, 499: {25: (1, {'@': 316}), 0: (1, {'@': 316}), 15: (1, {'@': 316}), 8: (1, {'@': 316}), 16: (1, {'@': 316}), 27: (1, {'@': 316}), 28: (1, {'@': 316}), 17: (1, {'@': 316}), 29: (1, {'@': 316}), 18: (1, {'@': 316}), 1: (1, {'@': 316}), 19: (1, {'@': 316}), 31: (1, {'@': 316}), 20: (1, {'@': 316}), 21: (1, {'@': 316}), 4: (1, {'@': 316})}, 500: {32: (1, {'@': 317}), 33: (1, {'@': 317}), 34: (1, {'@': 317}), 15: (1, {'@': 317}), 8: (1, {'@': 317}), 35: (1, {'@': 317}), 17: (1, {'@': 317}), 36: (1, {'@': 317}), 1: (1, {'@': 317}), 37: (1, {'@': 317}), 38: (1, {'@': 317}), 20: (1, {'@': 317}), 39: (1, {'@': 317}), 4: (1, {'@': 317}), 23: (1, {'@': 317}), 25: (1, {'@': 317}), 0: (1, {'@': 317}), 40: (1, {'@': 317}), 26: (1, {'@': 317}), 41: (1, {'@': 317}), 27: (1, {'@': 317}), 28: (1, {'@': 317}), 29: (1, {'@': 317}), 42: (1, {'@': 317}), 43: (1, {'@': 317}), 31: (1, {'@': 317}), 3: (1, {'@': 317}), 44: (1, {'@': 317}), 45: (1, {'@': 317}), 16: (1, {'@': 317}), 18: (1, {'@': 317}), 46: (1, {'@': 317}), 19: (1, {'@': 317}), 21: (1, {'@': 317}), 24: (1, {'@': 317}), 2: (1, {'@': 317}), 47: (1, {'@': 317}), 48: (1, {'@': 317}), 30: (1, {'@': 317}), 49: (1, {'@': 317}), 50: (1, {'@': 317})}, 501: {25: (1, {'@': 318}), 0: (1, {'@': 318}), 15: (1, {'@': 318}), 8: (1, {'@': 318}), 16: (1, {'@': 318}), 27: (1, {'@': 318}), 28: (1, {'@': 318}), 17: (1, {'@': 318}), 29: (1, {'@': 318}), 18: (1, {'@': 318}), 1: (1, {'@': 318}), 19: (1, {'@': 318}), 31: (1, {'@': 318}), 20: (1, {'@': 318}), 21: (1, {'@': 318}), 4: (1, {'@': 318})}, 502: {25: (1, {'@': 319}), 0: (1, {'@': 319}), 15: (1, {'@': 319}), 8: (1, {'@': 319}), 16: (1, {'@': 319}), 27: (1, {'@': 319}), 28: (1, {'@': 319}), 17: (1, {'@': 319}), 29: (1, {'@': 319}), 18: (1, {'@': 319}), 1: (1, {'@': 319}), 19: (1, {'@': 319}), 31: (1, {'@': 319}), 20: (1, {'@': 319}), 21: (1, {'@': 319}), 4: (1, {'@': 319})}, 503: {25: (1, {'@': 320}), 0: (0, 10), 15: (1, {'@': 320}), 8: (1, {'@': 320}), 16: (1, {'@': 320}), 27: (1, {'@': 320}), 28: (1, {'@': 320}), 17: (1, {'@': 320}), 29: (1, {'@': 320}), 18: (1, {'@': 320}), 1: (0, 2), 19: (1, {'@': 320}), 31: (1, {'@': 320}), 20: (1, {'@': 320}), 21: (1, {'@': 320}), 4: (0, 8), 7: (0, 505), 6: (0, 3)}, 504: {25: (1, {'@': 321}), 0: (1, {'@': 321}), 15: (1, {'@': 321}), 8: (1, {'@': 321}), 16: (1, {'@': 321}), 27: (1, {'@': 321}), 28: (1, {'@': 321}), 17: (1, {'@': 321}), 29: (1, {'@': 321}), 18: (1, {'@': 321}), 1: (1, {'@': 321}), 19: (1, {'@': 321}), 31: (1, {'@': 321}), 20: (1, {'@': 321}), 21: (1, {'@': 321}), 4: (1, {'@': 321})}, 505: {25: (1, {'@': 322}), 0: (1, {'@': 322}), 15: (1, {'@': 322}), 8: (1, {'@': 322}), 16: (1, {'@': 322}), 27: (1, {'@': 322}), 28: (1, {'@': 322}), 17: (1, {'@': 322}), 29: (1, {'@': 322}), 18: (1, {'@': 322}), 1: (1, {'@': 322}), 19: (1, {'@': 322}), 31: (1, {'@': 322}), 20: (1, {'@': 322}), 21: (1, {'@': 322}), 4: (1, {'@': 322})}}, 'start_states': {'start': 0}, 'end_states': {'start': 13}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 64}, {'@': 58}, {'@': 63}, {'@': 53}, {'@': 49}, {'@': 45}, {'@': 103}, {'@': 71}, {'@': 204}, {'@': 167}, {'@': 141}, {'@': 123}, {'@': 128}, {'@': 130}, {'@': 152}, {'@': 47}, {'@': 48}, {'@': 75}, {'@': 70}, {'@': 88}, {'@': 197}, {'@': 89}, {'@': 72}, {'@': 122}, {'@': 121}, {'@': 100}, {'@': 109}, {'@': 104}, {'@': 110}, {'@': 113}, {'@': 101}, {'@': 112}, {'@': 108}, {'@': 105}, {'@': 114}, {'@': 111}, {'@': 106}, {'@': 107}, {'@': 102}, {'@': 163}, {'@': 134}, {'@': 188}, {'@': 155}, {'@': 156}, {'@': 131}, {'@': 86}, {'@': 87}, {'@': 77}, {'@': 80}, {'@': 79}, {'@': 73}, {'@': 91}, {'@': 90}, {'@': 65}, {'@': 92}, {'@': 93}, {'@': 69}, {'@': 84}, {'@': 85}, {'@': 68}, {'@': 81}, {'@': 67}, {'@': 66}, {'@': 78}, {'@': 76}, {'@': 94}, {'@': 74}, {'@': 198}, {'@': 135}, {'@': 136}, {'@': 265}, {'@': 240}, {'@': 239}, {'@': 206}, {'@': 241}, {'@': 207}, {'@': 168}, {'@': 242}, {'@': 208}, {'@': 209}, {'@': 169}, {'@': 210}, {'@': 170}, {'@': 142}, {'@': 253}, {'@': 221}, {'@': 222}, {'@': 176}, {'@': 224}, {'@': 178}, {'@': 144}, {'@': 226}, {'@': 179}, {'@': 181}, {'@': 145}, {'@': 183}, {'@': 147}, {'@': 125}, {'@': 124}, {'@': 98}, {'@': 227}, {'@': 185}, {'@': 184}, {'@': 148}, {'@': 187}, {'@': 151}, {'@': 154}, {'@': 129}, {'@': 99}, {'@': 150}, {'@': 127}, {'@': 149}, {'@': 126}, {'@': 83}, {'@': 82}, {'@': 231}, {'@': 196}, {'@': 195}, {'@': 162}, {'@': 194}, {'@': 161}, {'@': 133}, {'@': 230}, {'@': 192}, {'@': 229}, {'@': 191}, {'@': 193}, {'@': 160}, {'@': 189}, {'@': 157}, {'@': 190}, {'@': 158}, {'@': 159}, {'@': 132}, {'@': 117}, {'@': 118}, {'@': 120}, {'@': 119}, {'@': 234}, {'@': 203}, {'@': 202}, {'@': 165}, {'@': 139}, {'@': 140}, {'@': 137}, {'@': 116}, {'@': 200}, {'@': 164}, {'@': 287}, {'@': 267}, {'@': 268}, {'@': 246}, {'@': 269}, {'@': 247}, {'@': 213}, {'@': 266}, {'@': 243}, {'@': 244}, {'@': 211}, {'@': 245}, {'@': 212}, {'@': 171}, {'@': 270}, {'@': 249}, {'@': 250}, {'@': 215}, {'@': 248}, {'@': 214}, {'@': 172}, {'@': 251}, {'@': 217}, {'@': 216}, {'@': 173}, {'@': 218}, {'@': 174}, {'@': 143}, {'@': 317}, {'@': 306}, {'@': 307}, {'@': 290}, {'@': 308}, {'@': 291}, {'@': 272}, {'@': 305}, {'@': 288}, {'@': 289}, {'@': 271}, {'@': 292}, {'@': 273}, {'@': 254}, {'@': 309}, {'@': 293}, {'@': 294}, {'@': 274}, {'@': 295}, {'@': 275}, {'@': 255}, {'@': 296}, {'@': 276}, {'@': 277}, {'@': 256}, {'@': 278}, {'@': 257}, {'@': 228}, {'@': 322}, {'@': 320}, {'@': 319}, {'@': 313}, {'@': 321}, {'@': 315}, {'@': 314}, {'@': 301}, {'@': 316}, {'@': 303}, {'@': 302}, {'@': 283}, {'@': 304}, {'@': 284}, {'@': 285}, {'@': 262}, {'@': 286}, {'@': 263}, {'@': 264}, {'@': 238}, {'@': 318}, {'@': 311}, {'@': 310}, {'@': 298}, {'@': 312}, {'@': 300}, {'@': 299}, {'@': 281}, {'@': 297}, {'@': 280}, {'@': 279}, {'@': 258}, {'@': 282}, {'@': 260}, {'@': 259}, {'@': 235}, {'@': 261}, {'@': 236}, {'@': 237}, {'@': 205}, {'@': 219}, {'@': 175}, {'@': 51}, {'@': 54}, {'@': 62}, {'@': 61}, {'@': 60}, {'@': 59}, {'@': 96}, {'@': 97}, {'@': 50}, {'@': 46}, {'@': 52}, {'@': 55}, {'@': 57}, {'@': 56}, {'@': 95}, {'@': 115}, {'@': 225}, {'@': 180}, {'@': 182}, {'@': 146}, {'@': 252}, {'@': 220}, {'@': 223}, {'@': 177}, {'@': 153}, {'@': 186}, {'@': 138}, {'@': 166}, {'@': 199}, {'@': 201}, {'@': 233}, {'@': 232}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{(?:(?:(?:(?!\\${)([^}]))+|\\$\\{[^}]+\\}))+\\}))*"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 47: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 49: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 64: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 65: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 96: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 97: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 98: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 116: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 139: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 147: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 154: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 167: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 175: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 178: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 181: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 183: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 187: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 200: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 202: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 221: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 224: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 226: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 233: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 234: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 253: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

